from __future__ import annotations
from typing import Optional, TYPE_CHECKING

from spark_auto_mapper_fhir.fhir_types.boolean import FhirBoolean
from spark_auto_mapper_fhir.fhir_types.list import FhirList
from spark_auto_mapper_fhir.fhir_types.string import FhirString
from spark_auto_mapper_fhir.extensions.extension_base import ExtensionBase

from spark_auto_mapper_fhir.base_types.fhir_backbone_element_base import (
    FhirBackboneElementBase,
)

if TYPE_CHECKING:
    pass
    # id_ (string)
    # extension (Extension)
    # modifierExtension (Extension)
    # process (ExampleScenario.Process)
    from spark_auto_mapper_fhir.backbone_elements.example_scenario_process import (
        ExampleScenarioProcess,
    )

    # pause (boolean)
    # operation (ExampleScenario.Operation)
    from spark_auto_mapper_fhir.backbone_elements.example_scenario_operation import (
        ExampleScenarioOperation,
    )

    # alternative (ExampleScenario.Alternative)
    from spark_auto_mapper_fhir.backbone_elements.example_scenario_alternative import (
        ExampleScenarioAlternative,
    )


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleScenarioStep(FhirBackboneElementBase):
    """
    ExampleScenario.Step
        Example of workflow instance.
    """

    # noinspection PyPep8Naming
    def __init__(
        self,
        *,
        id_: Optional[FhirString] = None,
        extension: Optional[FhirList[ExtensionBase]] = None,
        modifierExtension: Optional[FhirList[ExtensionBase]] = None,
        process: Optional[FhirList[ExampleScenarioProcess]] = None,
        pause: Optional[FhirBoolean] = None,
        operation: Optional[ExampleScenarioOperation] = None,
        alternative: Optional[FhirList[ExampleScenarioAlternative]] = None,
    ) -> None:
        """
            Example of workflow instance.

            :param id_: None
            :param extension: May be used to represent additional information that is not part of the basic
        definition of the element. To make the use of extensions safe and manageable,
        there is a strict set of governance  applied to the definition and use of
        extensions. Though any implementer can define an extension, there is a set of
        requirements that SHALL be met as part of the definition of the extension.
            :param modifierExtension: May be used to represent additional information that is not part of the basic
        definition of the element and that modifies the understanding of the element
        in which it is contained and/or the understanding of the containing element's
        descendants. Usually modifier elements provide negation or qualification. To
        make the use of extensions safe and manageable, there is a strict set of
        governance applied to the definition and use of extensions. Though any
        implementer can define an extension, there is a set of requirements that SHALL
        be met as part of the definition of the extension. Applications processing a
        resource are required to check for modifier extensions.

        Modifier extensions SHALL NOT change the meaning of any elements on Resource
        or DomainResource (including cannot change the meaning of modifierExtension
        itself).
            :param process: Nested process.
            :param pause: If there is a pause in the flow.
            :param operation: Each interaction or action.
            :param alternative: Indicates an alternative step that can be taken instead of the operations on
        the base step in exceptional/atypical circumstances.
        """
        super().__init__(
            id_=id_,
            extension=extension,
            modifierExtension=modifierExtension,
            process=process,
            pause=pause,
            operation=operation,
            alternative=alternative,
        )
