from __future__ import annotations
from typing import Optional, TYPE_CHECKING

from spark_auto_mapper_fhir.fhir_types.list import FhirList
from spark_auto_mapper_fhir.fhir_types.string import FhirString
from spark_auto_mapper_fhir.extensions.extension_base import ExtensionBase

from spark_auto_mapper_fhir.base_types.fhir_backbone_element_base import (
    FhirBackboneElementBase,
)

if TYPE_CHECKING:
    pass
    # id_ (string)
    # extension (Extension)
    # modifierExtension (Extension)
    # target (Identifier)
    from spark_auto_mapper_fhir.complex_types.identifier import Identifier

    # type_ (CodeableConcept)
    from spark_auto_mapper_fhir.complex_types.codeable_concept import CodeableConcept

    # End Import for References for type_
    # Import for CodeableConcept for type_
    from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode

    # End Import for CodeableConcept for type_
    # interaction (CodeableConcept)
    # End Import for References for interaction
    # Import for CodeableConcept for interaction
    # End Import for CodeableConcept for interaction
    # organism (CodeableConcept)
    # End Import for References for organism
    # Import for CodeableConcept for organism
    # End Import for CodeableConcept for organism
    # organismType (CodeableConcept)
    # End Import for References for organismType
    # Import for CodeableConcept for organismType
    # End Import for CodeableConcept for organismType
    # amountQuantity (Quantity)
    from spark_auto_mapper_fhir.complex_types.quantity import Quantity

    # amountRange (Range)
    from spark_auto_mapper_fhir.complex_types.range import Range

    # amountString (string)
    # amountType (CodeableConcept)
    # End Import for References for amountType
    # Import for CodeableConcept for amountType
    # End Import for CodeableConcept for amountType
    # source (Reference)
    from spark_auto_mapper_fhir.complex_types.reference import Reference

    # Imports for References for source
    from spark_auto_mapper_fhir.resources.document_reference import DocumentReference


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SubstanceReferenceInformationTarget(FhirBackboneElementBase):
    """
    SubstanceReferenceInformation.Target
        Todo.
    """

    # noinspection PyPep8Naming
    def __init__(
        self,
        *,
        id_: Optional[FhirString] = None,
        extension: Optional[FhirList[ExtensionBase]] = None,
        modifierExtension: Optional[FhirList[ExtensionBase]] = None,
        target: Optional[Identifier] = None,
        type_: Optional[CodeableConcept[GenericTypeCode]] = None,
        interaction: Optional[CodeableConcept[GenericTypeCode]] = None,
        organism: Optional[CodeableConcept[GenericTypeCode]] = None,
        organismType: Optional[CodeableConcept[GenericTypeCode]] = None,
        amountQuantity: Optional[Quantity] = None,
        amountRange: Optional[Range] = None,
        amountString: Optional[FhirString] = None,
        amountType: Optional[CodeableConcept[GenericTypeCode]] = None,
        source: Optional[FhirList[Reference[DocumentReference]]] = None,
    ) -> None:
        """
            Todo.

            :param id_: None
            :param extension: May be used to represent additional information that is not part of the basic
        definition of the element. To make the use of extensions safe and manageable,
        there is a strict set of governance  applied to the definition and use of
        extensions. Though any implementer can define an extension, there is a set of
        requirements that SHALL be met as part of the definition of the extension.
            :param modifierExtension: May be used to represent additional information that is not part of the basic
        definition of the element and that modifies the understanding of the element
        in which it is contained and/or the understanding of the containing element's
        descendants. Usually modifier elements provide negation or qualification. To
        make the use of extensions safe and manageable, there is a strict set of
        governance applied to the definition and use of extensions. Though any
        implementer can define an extension, there is a set of requirements that SHALL
        be met as part of the definition of the extension. Applications processing a
        resource are required to check for modifier extensions.

        Modifier extensions SHALL NOT change the meaning of any elements on Resource
        or DomainResource (including cannot change the meaning of modifierExtension
        itself).
            :param target: Todo.
            :param type_: Todo.
            :param interaction: Todo.
            :param organism: Todo.
            :param organismType: Todo.
            :param amountQuantity: None
            :param amountRange: None
            :param amountString: None
            :param amountType: Todo.
            :param source: Todo.
        """
        super().__init__(
            id_=id_,
            extension=extension,
            modifierExtension=modifierExtension,
            target=target,
            type_=type_,
            interaction=interaction,
            organism=organism,
            organismType=organismType,
            amountQuantity=amountQuantity,
            amountRange=amountRange,
            amountString=amountString,
            amountType=amountType,
            source=source,
        )
