from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ACMECholCodesBloodCode(GenericTypeCode):
    """
    ACMECholCodesBlood
    From: http://hl7.org/fhir/CodeSystem/example in valuesets.xml
        This is an example code system that includes all the ACME codes for
    serum/plasma cholesterol from v2.36.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/CodeSystem/example
    """
    codeset: FhirUri = "http://hl7.org/fhir/CodeSystem/example"


class ACMECholCodesBloodCodeValues:
    """
    Serum Cholesterol, in mmol/L
    From: http://hl7.org/fhir/CodeSystem/example in valuesets.xml
    """

    SChol_mmol_L_ = ACMECholCodesBloodCode("chol-mmol")
    """
    Serum Cholesterol, in mg/L
    From: http://hl7.org/fhir/CodeSystem/example in valuesets.xml
    """
    SChol_mg_L_ = ACMECholCodesBloodCode("chol-mass")
    """
    Serum Cholesterol
    From: http://hl7.org/fhir/CodeSystem/example in valuesets.xml
    """
    SChol = ACMECholCodesBloodCode("chol")
