from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActExposureLevelCode(GenericTypeCode):
    """
    v3.ActExposureLevelCode
    From: http://terminology.hl7.org/ValueSet/v3-ActExposureLevelCode in v3-codesystems.xml
         A qualitative measure of the degree of exposure to the causative agent.  This
    includes concepts such as "low", "medium" and "high".  This quantifies how the
    quantity that was available to be administered to the target differs from
    typical or background levels of the substance.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ActExposureLevelCode
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ActExposureLevelCode"


class ActExposureLevelCodeValues:
    """
    A qualitative measure of the degree of exposure to the causative agent.  This
    includes concepts such as "low", "medium" and "high".  This quantifies how the
    quantity that was available to be administered to the target differs from
    typical or background levels of the substance.
    From: http://terminology.hl7.org/CodeSystem/v3-ActExposureLevelCode in v3-codesystems.xml
    """

    ActExposureLevelCode_ = ActExposureLevelCode("_ActExposureLevelCode")
