from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActInvoiceElementModifier(GenericTypeCode):
    """
    v3.ActInvoiceElementModifier
    From: http://terminology.hl7.org/ValueSet/v3-ActInvoiceElementModifier in v3-codesystems.xml
         Processing consideration and clarification codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ActInvoiceElementModifier
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/v3-ActInvoiceElementModifier"
    )


class ActInvoiceElementModifierValues:
    """
    Electronic form with supporting information to follow.
    From: http://terminology.hl7.org/CodeSystem/v3-ActInvoiceElementModifier in v3-codesystems.xml
    """

    ElectronicFormToFollow = ActInvoiceElementModifier("EFORM")
    """
    Fax with supporting information to follow.
    From: http://terminology.hl7.org/CodeSystem/v3-ActInvoiceElementModifier in v3-codesystems.xml
    """
    FaxToFollow = ActInvoiceElementModifier("FAX")
    """
    Represents the last invoice from the perspective of the provider.
    From: http://terminology.hl7.org/CodeSystem/v3-ActInvoiceElementModifier in v3-codesystems.xml
    """
    LastInvoice = ActInvoiceElementModifier("LINV")
    """
    Paper documentation (or other physical format) with supporting information to
    follow.
    From: http://terminology.hl7.org/CodeSystem/v3-ActInvoiceElementModifier in v3-codesystems.xml
    """
    PaperDocumentationToFollow = ActInvoiceElementModifier("PAPER")
