from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActMood(GenericTypeCode):
    """
    v3.ActMood
    From: http://terminology.hl7.org/ValueSet/v3-ActMood in v3-codesystems.xml
         OpenIssue:  In Ballot 2009May, a strong Negative vote was lodged against
    several of the concept definitions in the vocabulary used for Act.moodCode.
    The vote was found "Persuasive With Mod", with the understanding that M and M
    would undertake a detailed review of these concept definitions for a future
    release of the RIM.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ActMood
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ActMood"


class ActMoodValues:
    """
    These are moods describing activities as they progress in the business cycle,
    from defined, through planned and ordered to completed.
    From: http://terminology.hl7.org/CodeSystem/v3-ActMood in v3-codesystems.xml
    """

    ActMoodCompletionTrack = ActMood("_ActMoodCompletionTrack")
    """
    Definition: An act that expresses condition statements for other acts.
    From: http://terminology.hl7.org/CodeSystem/v3-ActMood in v3-codesystems.xml
    """
    ActMoodPredicate = ActMood("_ActMoodPredicate")
