from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActMoodIntent(GenericTypeCode):
    """
    v3.ActMoodIntent
    From: http://terminology.hl7.org/ValueSet/v3-ActMoodIntent in v3-codesystems.xml
         An intention or plan to perform a service. Historical note: in previous RIM
    versions, the intent mood was captured as a separate class hierarchy, called
    Service_intent_or_order.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ActMood
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ActMood"


class ActMoodIntentValues:
    """
    These are moods describing activities as they progress in the business cycle,
    from defined, through planned and ordered to completed.
    From: http://terminology.hl7.org/CodeSystem/v3-ActMood in v3-codesystems.xml
    """

    ActMoodCompletionTrack = ActMoodIntent("_ActMoodCompletionTrack")
    """
    Definition: An act that expresses condition statements for other acts.
    From: http://terminology.hl7.org/CodeSystem/v3-ActMood in v3-codesystems.xml
    """
    ActMoodPredicate = ActMoodIntent("_ActMoodPredicate")
