from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActMoodPredicate(GenericTypeCode):
    """
    v3.ActMoodPredicate
    From: http://terminology.hl7.org/ValueSet/v3-ActMoodPredicate in v3-codesystems.xml
         Any of the above service moods (e.g., event, intent, or goal) can be turned
    into a predicate used as a criterion to express conditionals (or queries.)
    However, currently we allow only criteria on service events.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ActMood
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ActMood"


class ActMoodPredicateValues:
    """
    These are moods describing activities as they progress in the business cycle,
    from defined, through planned and ordered to completed.
    From: http://terminology.hl7.org/CodeSystem/v3-ActMood in v3-codesystems.xml
    """

    ActMoodCompletionTrack = ActMoodPredicate("_ActMoodCompletionTrack")
    """
    Definition: An act that expresses condition statements for other acts.
    From: http://terminology.hl7.org/CodeSystem/v3-ActMood in v3-codesystems.xml
    """
    ActMoodPredicate_ = ActMoodPredicate("_ActMoodPredicate")
