from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActRelationshipConditional(GenericTypeCode):
    """
    v3.ActRelationshipConditional
    From: http://terminology.hl7.org/ValueSet/v3-ActRelationshipConditional in v3-codesystems.xml
         Specifies under what circumstances (target Act) the source-Act may, must,
    must not or has occurred
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType"


class ActRelationshipConditionalValues:
    """
    Description: A directed association between a source Act and a target Act.


                               Usage Note: This code should never be transmitted
    in an instance as the value of ActRelationship.typeCode (attribute)
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """

    ActRelationshipType = ActRelationshipConditional("ART")
    """
    curative indication
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """
    CurativeIndication = ActRelationshipConditional("CURE")
    """
    adjunct curative indication
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """
    AdjunctCurativeIndication = ActRelationshipConditional("CURE.ADJ")
    """
    adjunct mitigation
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """
    AdjunctMitigation = ActRelationshipConditional("MTGT.ADJ")
    """
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """
    RACT = ActRelationshipConditional("RACT")
    """
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """
    SUGG = ActRelationshipConditional("SUGG")
