from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActRelationshipPertains(GenericTypeCode):
    """
    v3.ActRelationshipPertains
    From: http://terminology.hl7.org/ValueSet/v3-ActRelationshipPertains in v3-codesystems.xml
         This is a very unspecific relationship from one item of clinical information
    to another.  It does not judge about the role the pertinent information plays.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType"


class ActRelationshipPertainsValues:
    """
    Description: A directed association between a source Act and a target Act.


                               Usage Note: This code should never be transmitted
    in an instance as the value of ActRelationship.typeCode (attribute)
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """

    ActRelationshipType = ActRelationshipPertains("ART")
    """
    curative indication
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """
    CurativeIndication = ActRelationshipPertains("CURE")
    """
    adjunct curative indication
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """
    AdjunctCurativeIndication = ActRelationshipPertains("CURE.ADJ")
    """
    adjunct mitigation
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """
    AdjunctMitigation = ActRelationshipPertains("MTGT.ADJ")
    """
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """
    RACT = ActRelationshipPertains("RACT")
    """
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipType in v3-codesystems.xml
    """
    SUGG = ActRelationshipPertains("SUGG")
