from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActRelationshipSubset(GenericTypeCode):
    """
    v3.ActRelationshipSubset
    From: http://terminology.hl7.org/ValueSet/v3-ActRelationshipSubset in v3-codesystems.xml
         <ns1:p>Used to indicate that the target of the relationship will be a
    filtered subset of the total related set of targets.</ns1:p><ns1:p>Used when
    there is a need to limit the number of components to the first, the last, the
    next, the total, the average or some other filtered or calculated
    subset.</ns1:p>
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ActRelationshipSubset
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ActRelationshipSubset"


class ActRelationshipSubsetValues:
    """
    Used to indicate that the participation is a filtered subset of the total
    participations of the same type owned by the Act.

                            Used when there is a need to limit the participations
    to the first, the last, the next or some other filtered subset.
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipSubset in v3-codesystems.xml
    """

    ParticipationSubset = ActRelationshipSubset("_ParticipationSubset")
    """
    ActRelationshipExpectedSubset
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipSubset in v3-codesystems.xml
    """
    ActRelationshipExpectedSubset = ActRelationshipSubset(
        "ActRelationshipExpectedSubset"
    )
    """
    ActRelationshipPastSubset
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipSubset in v3-codesystems.xml
    """
    ActRelationshipPastSubset = ActRelationshipSubset("ActRelationshipPastSubset")
    """
    The occurrence whose value attribute is greater than all other occurrences at
    the time the instance is created.
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipSubset in v3-codesystems.xml
    """
    Maximum = ActRelationshipSubset("MAX")
    """
    The occurrence whose value attribute is less than all other occurrences at the
    time the instance is created.
    From: http://terminology.hl7.org/CodeSystem/v3-ActRelationshipSubset in v3-codesystems.xml
    """
    Minimum = ActRelationshipSubset("MIN")
