from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActSubstanceAdminSubstitutionCode(GenericTypeCode):
    """
    v3.ActSubstanceAdminSubstitutionCode
    From: http://terminology.hl7.org/ValueSet/v3-ActSubstanceAdminSubstitutionCode in v3-codesystems.xml
        No Description Provided
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-substanceAdminSubstitution
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/v3-substanceAdminSubstitution"
    )


class ActSubstanceAdminSubstitutionCodeValues:
    """
    Description: Substitution occurred or is permitted with another product that
    may potentially have different ingredients, but having the same biological and
    therapeutic effects.
    From: http://terminology.hl7.org/CodeSystem/v3-substanceAdminSubstitution in v3-codesystems.xml
    """

    ActSubstanceAdminSubstitutionCode_ = ActSubstanceAdminSubstitutionCode(
        "_ActSubstanceAdminSubstitutionCode"
    )
