from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActUncertainty(GenericTypeCode):
    """
    v3.ActUncertainty
    From: http://terminology.hl7.org/ValueSet/v3-ActUncertainty in v3-codesystems.xml
          OpenIssue:
    Missing Description
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ActUncertainty
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ActUncertainty"


class ActUncertaintyValues:
    """
    Specifies that the act statement is made without explicit tagging of
    uncertainty. This is the normal statement, meaning that it is not free of
    errors and uncertainty may still exist.
    From: http://terminology.hl7.org/CodeSystem/v3-ActUncertainty in v3-codesystems.xml
    """

    StatedWithNoAssertionOfUncertainty = ActUncertainty("N")
    """
    Specifies that the originator of the Act statement does not have full
    confidence in the applicability (i.e., in event mood: factual truth) of the
    statement.
    From: http://terminology.hl7.org/CodeSystem/v3-ActUncertainty in v3-codesystems.xml
    """
    StatedWithUncertainty = ActUncertainty("U")
