from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActUSPrivacyLaw(GenericTypeCode):
    """
    v3.ActUSPrivacyLaw
    From: http://terminology.hl7.org/ValueSet/v3-ActUSPrivacyLaw in v3-codesystems.xml
         A jurisdictional mandate in the US relating to privacy.   Deprecation
    Comment:
    Content moved to ActCode under _ActPrivacyLaw; use that instead.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ActUSPrivacyLaw
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ActUSPrivacyLaw"


class ActUSPrivacyLawValues:
    """
    Definition: A jurisdictional mandate in the U.S. relating to privacy.


                               Usage Note: ActPrivacyLaw codes may be associated
    with an Act or a Role to indicate the legal provision to which the assignment
    of an Act.confidentialityCode or Role.confidentialtyCode complies.  May be
    used to further specify rationale for assignment of other ActPrivacyPolicy
    codes in the US realm, e.g., ETH and 42CFRPart2 can be differentiated from ETH
    and Title38Part1.
    From: http://terminology.hl7.org/CodeSystem/v3-ActUSPrivacyLaw in v3-codesystems.xml
    """

    ActUSPrivacyLaw_ = ActUSPrivacyLaw("_ActUSPrivacyLaw")
