from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActionConditionKindCode(GenericTypeCode):
    """
    ActionConditionKind
    From: http://hl7.org/fhir/action-condition-kind in valuesets.xml
        Defines the kinds of conditions that can appear on actions.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/action-condition-kind
    """
    codeset: FhirUri = "http://hl7.org/fhir/action-condition-kind"


class ActionConditionKindCodeValues:
    """
    The condition describes whether or not a given action is applicable.
    From: http://hl7.org/fhir/action-condition-kind in valuesets.xml
    """

    Applicability = ActionConditionKindCode("applicability")
    """
    The condition is a starting condition for the action.
    From: http://hl7.org/fhir/action-condition-kind in valuesets.xml
    """
    Start = ActionConditionKindCode("start")
    """
    The condition is a stop, or exit condition for the action.
    From: http://hl7.org/fhir/action-condition-kind in valuesets.xml
    """
    Stop = ActionConditionKindCode("stop")
