from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActionParticipantTypeCode(GenericTypeCode):
    """
    ActionParticipantType
    From: http://hl7.org/fhir/action-participant-type in valuesets.xml
        The type of participant for the action.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/action-participant-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/action-participant-type"


class ActionParticipantTypeCodeValues:
    """
    The participant is the patient under evaluation.
    From: http://hl7.org/fhir/action-participant-type in valuesets.xml
    """

    Patient = ActionParticipantTypeCode("patient")
    """
    The participant is a practitioner involved in the patient's care.
    From: http://hl7.org/fhir/action-participant-type in valuesets.xml
    """
    Practitioner = ActionParticipantTypeCode("practitioner")
    """
    The participant is a person related to the patient.
    From: http://hl7.org/fhir/action-participant-type in valuesets.xml
    """
    RelatedPerson = ActionParticipantTypeCode("related-person")
    """
    The participant is a system or device used in the care of the patient.
    From: http://hl7.org/fhir/action-participant-type in valuesets.xml
    """
    Device = ActionParticipantTypeCode("device")
