from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActionTypeCode(GenericTypeCode):
    """
    ActionType
    From: http://terminology.hl7.org/CodeSystem/action-type in valuesets.xml
        The type of action to be performed.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/action-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/action-type"


class ActionTypeCodeValues:
    """
    The action is to create a new resource.
    From: http://terminology.hl7.org/CodeSystem/action-type in valuesets.xml
    """

    Create = ActionTypeCode("create")
    """
    The action is to update an existing resource.
    From: http://terminology.hl7.org/CodeSystem/action-type in valuesets.xml
    """
    Update = ActionTypeCode("update")
    """
    The action is to remove an existing resource.
    From: http://terminology.hl7.org/CodeSystem/action-type in valuesets.xml
    """
    Remove = ActionTypeCode("remove")
    """
    The action is to fire a specific event.
    From: http://terminology.hl7.org/CodeSystem/action-type in valuesets.xml
    """
    FireEvent = ActionTypeCode("fire-event")
