from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActivityDefinitionCategoryCode(GenericTypeCode):
    """
    ActivityDefinitionCategory
    From: http://terminology.hl7.org/CodeSystem/activity-definition-category in valuesets.xml
        High-level categorization of the type of activity.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/activity-definition-category
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/activity-definition-category"
    )


class ActivityDefinitionCategoryCodeValues:
    """
    The activity is intended to provide or is related to treatment of the patient.
    From: http://terminology.hl7.org/CodeSystem/activity-definition-category in valuesets.xml
    """

    Treatment = ActivityDefinitionCategoryCode("treatment")
    """
    The activity is intended to provide or is related to education of the patient.
    From: http://terminology.hl7.org/CodeSystem/activity-definition-category in valuesets.xml
    """
    Education = ActivityDefinitionCategoryCode("education")
    """
    The activity is intended to perform or is related to assessment of the
    patient.
    From: http://terminology.hl7.org/CodeSystem/activity-definition-category in valuesets.xml
    """
    Assessment = ActivityDefinitionCategoryCode("assessment")
