from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AddressTypeCode(GenericTypeCode):
    """
    AddressType
    From: http://hl7.org/fhir/address-type in valuesets.xml
        The type of an address (physical / postal).
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/address-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/address-type"


class AddressTypeCodeValues:
    """
    Mailing addresses - PO Boxes and care-of addresses.
    From: http://hl7.org/fhir/address-type in valuesets.xml
    """

    Postal = AddressTypeCode("postal")
    """
    A physical address that can be visited.
    From: http://hl7.org/fhir/address-type in valuesets.xml
    """
    Physical = AddressTypeCode("physical")
    """
    An address that is both physical and postal.
    From: http://hl7.org/fhir/address-type in valuesets.xml
    """
    Postal_Physical = AddressTypeCode("both")
