from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AdjudicationErrorCodesCode(GenericTypeCode):
    """
    Adjudication Error Codes
    From: http://terminology.hl7.org/CodeSystem/adjudication-error in valuesets.xml
        This value set includes a smattering of adjudication codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/adjudication-error
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/adjudication-error"


class AdjudicationErrorCodesCodeValues:
    """
    Missing Identifier
    From: http://terminology.hl7.org/CodeSystem/adjudication-error in valuesets.xml
    """

    MissingIdentifier = AdjudicationErrorCodesCode("a001")
    """
    Missing Creation Date
    From: http://terminology.hl7.org/CodeSystem/adjudication-error in valuesets.xml
    """
    MissingCreationDate = AdjudicationErrorCodesCode("a002")
