from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AdjudicationReasonCodesCode(GenericTypeCode):
    """
    AdjudicationReasonCodes
    From: http://terminology.hl7.org/CodeSystem/adjudication-reason in valuesets.xml
        This value set includes smattering of Adjudication Reason codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/adjudication-reason
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/adjudication-reason"


class AdjudicationReasonCodesCodeValues:
    """
    Not covered
    From: http://terminology.hl7.org/CodeSystem/adjudication-reason in valuesets.xml
    """

    NotCovered = AdjudicationReasonCodesCode("ar001")
    """
    Plan Limit Reached
    From: http://terminology.hl7.org/CodeSystem/adjudication-reason in valuesets.xml
    """
    PlanLimitReached = AdjudicationReasonCodesCode("ar002")
