from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AdministrativeGenderCode(GenericTypeCode):
    """
    AdministrativeGender
    From: http://hl7.org/fhir/administrative-gender in valuesets.xml
        The gender of a person used for administrative purposes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/administrative-gender
    """
    codeset: FhirUri = "http://hl7.org/fhir/administrative-gender"


class AdministrativeGenderCodeValues:
    """
    Male.
    From: http://hl7.org/fhir/administrative-gender in valuesets.xml
    """

    Male = AdministrativeGenderCode("male")
    """
    Female.
    From: http://hl7.org/fhir/administrative-gender in valuesets.xml
    """
    Female = AdministrativeGenderCode("female")
    """
    Other.
    From: http://hl7.org/fhir/administrative-gender in valuesets.xml
    """
    Other = AdministrativeGenderCode("other")
    """
    Unknown.
    From: http://hl7.org/fhir/administrative-gender in valuesets.xml
    """
    Unknown = AdministrativeGenderCode("unknown")
