from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AdverseEventCausalityMethodCode(GenericTypeCode):
    """
    AdverseEventCausalityMethod
    From: http://terminology.hl7.org/CodeSystem/adverse-event-causality-method in valuesets.xml
        TODO.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/adverse-event-causality-method
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/adverse-event-causality-method"
    )


class AdverseEventCausalityMethodCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-causality-method in valuesets.xml
    """

    ProbabilityScale = AdverseEventCausalityMethodCode("ProbabilityScale")
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-causality-method in valuesets.xml
    """
    Bayesian = AdverseEventCausalityMethodCode("Bayesian")
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-causality-method in valuesets.xml
    """
    Checklist = AdverseEventCausalityMethodCode("Checklist")
