from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AdverseEventOutcomeCode(GenericTypeCode):
    """
    AdverseEventOutcome
    From: http://terminology.hl7.org/CodeSystem/adverse-event-outcome in valuesets.xml
        TODO (and should this be required?).
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/adverse-event-outcome
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/adverse-event-outcome"


class AdverseEventOutcomeCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-outcome in valuesets.xml
    """

    Resolved = AdverseEventOutcomeCode("resolved")
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-outcome in valuesets.xml
    """
    Recovering = AdverseEventOutcomeCode("recovering")
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-outcome in valuesets.xml
    """
    Ongoing = AdverseEventOutcomeCode("ongoing")
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-outcome in valuesets.xml
    """
    ResolvedWithSequelae = AdverseEventOutcomeCode("resolvedWithSequelae")
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-outcome in valuesets.xml
    """
    Fatal = AdverseEventOutcomeCode("fatal")
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-outcome in valuesets.xml
    """
    Unknown = AdverseEventOutcomeCode("unknown")
