from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AdverseEventSeriousnessCode(GenericTypeCode):
    """
    AdverseEventSeriousness
    From: http://terminology.hl7.org/CodeSystem/adverse-event-seriousness in valuesets.xml
        Overall seriousness of this event for the patient.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/adverse-event-seriousness
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/adverse-event-seriousness"


class AdverseEventSeriousnessCodeValues:
    """
    Non-serious.
    From: http://terminology.hl7.org/CodeSystem/adverse-event-seriousness in valuesets.xml
    """

    Non_serious = AdverseEventSeriousnessCode("Non-serious")
    """
    Serious.
    From: http://terminology.hl7.org/CodeSystem/adverse-event-seriousness in valuesets.xml
    """
    Serious = AdverseEventSeriousnessCode("Serious")
