from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AdverseEventSeverityCode(GenericTypeCode):
    """
    AdverseEventSeverity
    From: http://terminology.hl7.org/CodeSystem/adverse-event-severity in valuesets.xml
        The severity of the adverse event itself, in direct relation to the subject.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/adverse-event-severity
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/adverse-event-severity"


class AdverseEventSeverityCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-severity in valuesets.xml
    """

    Mild = AdverseEventSeverityCode("mild")
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-severity in valuesets.xml
    """
    Moderate = AdverseEventSeverityCode("moderate")
    """
    From: http://terminology.hl7.org/CodeSystem/adverse-event-severity in valuesets.xml
    """
    Severe = AdverseEventSeverityCode("severe")
