from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AllLanguagesCode(GenericTypeCode):
    """
    AllLanguages
    From: http://hl7.org/fhir/ValueSet/all-languages in valuesets.xml
        This value set includes all possible codes from BCP-47
    (http://tools.ietf.org/html/bcp47)
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    urn:ietf:bcp:47
    """
    codeset: FhirUri = "urn:ietf:bcp:47"
