from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AllergyIntoleranceClinicalStatusCodesCode(GenericTypeCode):
    """
    AllergyIntoleranceClinicalStatusCodes
    From: http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical in valuesets.xml
        Preferred value set for AllergyIntolerance Clinical Status.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical"
    )


class AllergyIntoleranceClinicalStatusCodesCodeValues:
    """
    The subject is currently experiencing, or is at risk of, a reaction to the
    identified substance.
    From: http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical in valuesets.xml
    """

    Active = AllergyIntoleranceClinicalStatusCodesCode("active")
    """
    The subject is no longer at risk of a reaction to the identified substance.
    From: http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical in valuesets.xml
    """
    Inactive = AllergyIntoleranceClinicalStatusCodesCode("inactive")
