from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AllergyIntoleranceCriticalityCode(GenericTypeCode):
    """
    AllergyIntoleranceCriticality
    From: http://hl7.org/fhir/allergy-intolerance-criticality in valuesets.xml
        Estimate of the potential clinical harm, or seriousness, of a reaction to an
    identified substance.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/allergy-intolerance-criticality
    """
    codeset: FhirUri = "http://hl7.org/fhir/allergy-intolerance-criticality"


class AllergyIntoleranceCriticalityCodeValues:
    """
    Worst case result of a future exposure is not assessed to be life-threatening
    or having high potential for organ system failure.
    From: http://hl7.org/fhir/allergy-intolerance-criticality in valuesets.xml
    """

    LowRisk = AllergyIntoleranceCriticalityCode("low")
    """
    Worst case result of a future exposure is assessed to be life-threatening or
    having high potential for organ system failure.
    From: http://hl7.org/fhir/allergy-intolerance-criticality in valuesets.xml
    """
    HighRisk = AllergyIntoleranceCriticalityCode("high")
    """
    Unable to assess the worst case result of a future exposure.
    From: http://hl7.org/fhir/allergy-intolerance-criticality in valuesets.xml
    """
    UnableToAssessRisk = AllergyIntoleranceCriticalityCode("unable-to-assess")
