from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AllergyIntoleranceSeverityCode(GenericTypeCode):
    """
    AllergyIntoleranceSeverity
    From: http://hl7.org/fhir/reaction-event-severity in valuesets.xml
        Clinical assessment of the severity of a reaction event as a whole,
    potentially considering multiple different manifestations.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/reaction-event-severity
    """
    codeset: FhirUri = "http://hl7.org/fhir/reaction-event-severity"


class AllergyIntoleranceSeverityCodeValues:
    """
    Causes mild physiological effects.
    From: http://hl7.org/fhir/reaction-event-severity in valuesets.xml
    """

    Mild = AllergyIntoleranceSeverityCode("mild")
    """
    Causes moderate physiological effects.
    From: http://hl7.org/fhir/reaction-event-severity in valuesets.xml
    """
    Moderate = AllergyIntoleranceSeverityCode("moderate")
    """
    Causes severe physiological effects.
    From: http://hl7.org/fhir/reaction-event-severity in valuesets.xml
    """
    Severe = AllergyIntoleranceSeverityCode("severe")
