from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AllergyIntoleranceTypeCode(GenericTypeCode):
    """
    AllergyIntoleranceType
    From: http://hl7.org/fhir/allergy-intolerance-type in valuesets.xml
        Identification of the underlying physiological mechanism for a Reaction Risk.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/allergy-intolerance-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/allergy-intolerance-type"


class AllergyIntoleranceTypeCodeValues:
    """
    A propensity for hypersensitive reaction(s) to a substance.  These reactions
    are most typically type I hypersensitivity, plus other "allergy-like"
    reactions, including pseudoallergy.
    From: http://hl7.org/fhir/allergy-intolerance-type in valuesets.xml
    """

    Allergy = AllergyIntoleranceTypeCode("allergy")
    """
    A propensity for adverse reactions to a substance that is not judged to be
    allergic or "allergy-like".  These reactions are typically (but not
    necessarily) non-immune.  They are to some degree idiosyncratic and/or
    patient-specific (i.e. are not a reaction that is expected to occur with most
    or all patients given similar circumstances).
    From: http://hl7.org/fhir/allergy-intolerance-type in valuesets.xml
    """
    Intolerance = AllergyIntoleranceTypeCode("intolerance")
