from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AppointmentCancellationReasonCode(GenericTypeCode):
    """
    AppointmentCancellationReason
    From: http://terminology.hl7.org/CodeSystem/appointment-cancellation-reason in valuesets.xml
        This example value set defines a set of reasons for the cancellation of an
    appointment.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/appointment-cancellation-reason
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/appointment-cancellation-reason"
    )


class AppointmentCancellationReasonCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/appointment-cancellation-reason in valuesets.xml
    """

    Patient = AppointmentCancellationReasonCode("pat")
    """
    From: http://terminology.hl7.org/CodeSystem/appointment-cancellation-reason in valuesets.xml
    """
    Provider = AppointmentCancellationReasonCode("prov")
    """
    From: http://terminology.hl7.org/CodeSystem/appointment-cancellation-reason in valuesets.xml
    """
    EquipmentMaintenance_Repair = AppointmentCancellationReasonCode("maint")
    """
    From: http://terminology.hl7.org/CodeSystem/appointment-cancellation-reason in valuesets.xml
    """
    Prep_MedIncomplete = AppointmentCancellationReasonCode("meds-inc")
    """
    From: http://terminology.hl7.org/CodeSystem/appointment-cancellation-reason in valuesets.xml
    """
    Other = AppointmentCancellationReasonCode("other")
