from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AssertionOperatorTypeCode(GenericTypeCode):
    """
    AssertionOperatorType
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
        The type of operator to use for assertion.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/assert-operator-codes
    """
    codeset: FhirUri = "http://hl7.org/fhir/assert-operator-codes"


class AssertionOperatorTypeCodeValues:
    """
    Default value. Equals comparison.
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
    """

    Equals = AssertionOperatorTypeCode("equals")
    """
    Not equals comparison.
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
    """
    NotEquals = AssertionOperatorTypeCode("notEquals")
    """
    Compare value within a known set of values.
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
    """
    In = AssertionOperatorTypeCode("in")
    """
    Compare value not within a known set of values.
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
    """
    NotIn = AssertionOperatorTypeCode("notIn")
    """
    Compare value to be greater than a known value.
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
    """
    GreaterThan = AssertionOperatorTypeCode("greaterThan")
    """
    Compare value to be less than a known value.
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
    """
    LessThan = AssertionOperatorTypeCode("lessThan")
    """
    Compare value is empty.
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
    """
    Empty = AssertionOperatorTypeCode("empty")
    """
    Compare value is not empty.
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
    """
    NotEmpty = AssertionOperatorTypeCode("notEmpty")
    """
    Compare value string contains a known value.
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
    """
    Contains = AssertionOperatorTypeCode("contains")
    """
    Compare value string does not contain a known value.
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
    """
    NotContains = AssertionOperatorTypeCode("notContains")
    """
    Evaluate the FHIRPath expression as a boolean condition.
    From: http://hl7.org/fhir/assert-operator-codes in valuesets.xml
    """
    Evaluate = AssertionOperatorTypeCode("eval")
