from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AssertionResponseTypesCode(GenericTypeCode):
    """
    AssertionResponseTypes
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
        The type of response code to use for assertion.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/assert-response-code-types
    """
    codeset: FhirUri = "http://hl7.org/fhir/assert-response-code-types"


class AssertionResponseTypesCodeValues:
    """
    Response code is 200.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """

    Okay = AssertionResponseTypesCode("okay")
    """
    Response code is 201.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """
    Created = AssertionResponseTypesCode("created")
    """
    Response code is 204.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """
    NoContent = AssertionResponseTypesCode("noContent")
    """
    Response code is 304.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """
    NotModified = AssertionResponseTypesCode("notModified")
    """
    Response code is 400.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """
    Bad = AssertionResponseTypesCode("bad")
    """
    Response code is 403.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """
    Forbidden = AssertionResponseTypesCode("forbidden")
    """
    Response code is 404.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """
    NotFound = AssertionResponseTypesCode("notFound")
    """
    Response code is 405.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """
    MethodNotAllowed = AssertionResponseTypesCode("methodNotAllowed")
    """
    Response code is 409.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """
    Conflict = AssertionResponseTypesCode("conflict")
    """
    Response code is 410.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """
    Gone = AssertionResponseTypesCode("gone")
    """
    Response code is 412.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """
    PreconditionFailed = AssertionResponseTypesCode("preconditionFailed")
    """
    Response code is 422.
    From: http://hl7.org/fhir/assert-response-code-types in valuesets.xml
    """
    Unprocessable = AssertionResponseTypesCode("unprocessable")
