from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AuditEventAgentNetworkTypeCode(GenericTypeCode):
    """
    AuditEventAgentNetworkType
    From: http://hl7.org/fhir/network-type in valuesets.xml
        The type of network access point of this agent in the audit event.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/network-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/network-type"


class AuditEventAgentNetworkTypeCodeValues:
    """
    The machine name, including DNS name.
    From: http://hl7.org/fhir/network-type in valuesets.xml
    """

    MachineName = AuditEventAgentNetworkTypeCode("1")
    """
    The assigned Internet Protocol (IP) address.
    From: http://hl7.org/fhir/network-type in valuesets.xml
    """
    IPAddress = AuditEventAgentNetworkTypeCode("2")
    """
    The assigned telephone number.
    From: http://hl7.org/fhir/network-type in valuesets.xml
    """
    TelephoneNumber = AuditEventAgentNetworkTypeCode("3")
    """
    The assigned email address.
    From: http://hl7.org/fhir/network-type in valuesets.xml
    """
    EmailAddress = AuditEventAgentNetworkTypeCode("4")
    """
    URI (User directory, HTTP-PUT, ftp, etc.).
    From: http://hl7.org/fhir/network-type in valuesets.xml
    """
    URI = AuditEventAgentNetworkTypeCode("5")
