from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AuditEventIDCode(GenericTypeCode):
    """
    AuditEventID
    From: http://terminology.hl7.org/CodeSystem/audit-event-type in valuesets.xml
        Event Types for Audit Events - defined by DICOM with some FHIR specific
    additions.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/audit-event-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/audit-event-type"


class AuditEventIDCodeValues:
    """
    Audit Event: Execution of a RESTful operation as defined by FHIR.
    From: http://terminology.hl7.org/CodeSystem/audit-event-type in valuesets.xml
    """

    RESTfulOperation = AuditEventIDCode("rest")
