from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AuditEventSourceTypeCode(GenericTypeCode):
    """
    AuditEventSourceType
    From: http://terminology.hl7.org/CodeSystem/security-source-type in valuesets.xml
        The type of process where the audit event originated from.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/security-source-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/security-source-type"


class AuditEventSourceTypeCodeValues:
    """
    End-user display device, diagnostic device.
    From: http://terminology.hl7.org/CodeSystem/security-source-type in valuesets.xml
    """

    UserDevice = AuditEventSourceTypeCode("1")
    """
    Data acquisition device or instrument.
    From: http://terminology.hl7.org/CodeSystem/security-source-type in valuesets.xml
    """
    DataInterface = AuditEventSourceTypeCode("2")
    """
    Web Server process or thread.
    From: http://terminology.hl7.org/CodeSystem/security-source-type in valuesets.xml
    """
    WebServer = AuditEventSourceTypeCode("3")
    """
    Application Server process or thread.
    From: http://terminology.hl7.org/CodeSystem/security-source-type in valuesets.xml
    """
    ApplicationServer = AuditEventSourceTypeCode("4")
    """
    Database Server process or thread.
    From: http://terminology.hl7.org/CodeSystem/security-source-type in valuesets.xml
    """
    DatabaseServer = AuditEventSourceTypeCode("5")
    """
    Security server, e.g. a domain controller.
    From: http://terminology.hl7.org/CodeSystem/security-source-type in valuesets.xml
    """
    SecurityServer = AuditEventSourceTypeCode("6")
    """
    ISO level 1-3 network component.
    From: http://terminology.hl7.org/CodeSystem/security-source-type in valuesets.xml
    """
    NetworkDevice = AuditEventSourceTypeCode("7")
    """
    ISO level 4-6 operating software.
    From: http://terminology.hl7.org/CodeSystem/security-source-type in valuesets.xml
    """
    NetworkRouter = AuditEventSourceTypeCode("8")
    """
    Other kind of device (defined by DICOM, but some other code/system can be
    used).
    From: http://terminology.hl7.org/CodeSystem/security-source-type in valuesets.xml
    """
    Other = AuditEventSourceTypeCode("9")
