from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AuditEventSub_TypeCode(GenericTypeCode):
    """
    AuditEventSub-Type
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
        More detailed code concerning the type of the audit event - defined by DICOM
    with some FHIR specific additions.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/restful-interaction
    """
    codeset_restful_interaction: FhirUri = "http://hl7.org/fhir/restful-interaction"
    """
    http://dicom.nema.org/resources/ontology/DCM
    """
    codeset_DCM: FhirUri = "http://dicom.nema.org/resources/ontology/DCM"


class AuditEventSub_TypeCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """

    _110120 = AuditEventSub_TypeCode("110120")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110121 = AuditEventSub_TypeCode("110121")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110122 = AuditEventSub_TypeCode("110122")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110123 = AuditEventSub_TypeCode("110123")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110124 = AuditEventSub_TypeCode("110124")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110125 = AuditEventSub_TypeCode("110125")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110126 = AuditEventSub_TypeCode("110126")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110127 = AuditEventSub_TypeCode("110127")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110128 = AuditEventSub_TypeCode("110128")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110129 = AuditEventSub_TypeCode("110129")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110130 = AuditEventSub_TypeCode("110130")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110131 = AuditEventSub_TypeCode("110131")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110132 = AuditEventSub_TypeCode("110132")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110133 = AuditEventSub_TypeCode("110133")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110134 = AuditEventSub_TypeCode("110134")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110135 = AuditEventSub_TypeCode("110135")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110136 = AuditEventSub_TypeCode("110136")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110137 = AuditEventSub_TypeCode("110137")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110138 = AuditEventSub_TypeCode("110138")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110139 = AuditEventSub_TypeCode("110139")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110140 = AuditEventSub_TypeCode("110140")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110141 = AuditEventSub_TypeCode("110141")
    """
    From: http://hl7.org/fhir/ValueSet/audit-event-sub-type in valuesets.xml
    """
    _110142 = AuditEventSub_TypeCode("110142")
