from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class BenefitTermCodesCode(GenericTypeCode):
    """
    BenefitTermCodes
    From: http://terminology.hl7.org/CodeSystem/benefit-term in valuesets.xml
        This value set includes a smattering of Benefit Term codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/benefit-term
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/benefit-term"


class BenefitTermCodesCodeValues:
    """
    Annual, renewing on the anniversary
    From: http://terminology.hl7.org/CodeSystem/benefit-term in valuesets.xml
    """

    Annual = BenefitTermCodesCode("annual")
    """
    Per day
    From: http://terminology.hl7.org/CodeSystem/benefit-term in valuesets.xml
    """
    Day = BenefitTermCodesCode("day")
    """
    For the total term, lifetime, of the policy or coverage
    From: http://terminology.hl7.org/CodeSystem/benefit-term in valuesets.xml
    """
    Lifetime = BenefitTermCodesCode("lifetime")
