from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class BenefitTypeCodesCode(GenericTypeCode):
    """
    BenefitTypeCodes
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
        This value set includes a smattering of Benefit type codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/benefit-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/benefit-type"


class BenefitTypeCodesCodeValues:
    """
    Maximum benefit allowable.
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """

    Benefit = BenefitTypeCodesCode("benefit")
    """
    Cost to be incurred before benefits are applied
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """
    Deductible = BenefitTypeCodesCode("deductible")
    """
    Service visit
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """
    Visit = BenefitTypeCodesCode("visit")
    """
    Type of room
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """
    Room = BenefitTypeCodesCode("room")
    """
    Copayment per service
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """
    CopaymentPerService = BenefitTypeCodesCode("copay")
    """
    Copayment percentage per service
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """
    CopaymentPercentPerService = BenefitTypeCodesCode("copay-percent")
    """
    Copayment maximum per service
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """
    CopaymentMaximumPerService = BenefitTypeCodesCode("copay-maximum")
    """
    Vision Exam
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """
    VisionExam = BenefitTypeCodesCode("vision-exam")
    """
    Frames and lenses
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """
    VisionGlasses = BenefitTypeCodesCode("vision-glasses")
    """
    Contact Lenses
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """
    VisionContactsCoverage = BenefitTypeCodesCode("vision-contacts")
    """
    Medical Primary Health Coverage
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """
    MedicalPrimaryHealthCoverage = BenefitTypeCodesCode("medical-primarycare")
    """
    Pharmacy Dispense Coverage
    From: http://terminology.hl7.org/CodeSystem/benefit-type in valuesets.xml
    """
    PharmacyDispenseCoverage = BenefitTypeCodesCode("pharmacy-dispense")
