from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class BiologicallyDerivedProductCategoryCode(GenericTypeCode):
    """
    BiologicallyDerivedProductCategory
    From: http://hl7.org/fhir/product-category in valuesets.xml
        Biologically Derived Product Category.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/product-category
    """
    codeset: FhirUri = "http://hl7.org/fhir/product-category"


class BiologicallyDerivedProductCategoryCodeValues:
    """
    A collection of tissues joined in a structural unit to serve a common
    function.
    From: http://hl7.org/fhir/product-category in valuesets.xml
    """

    Organ = BiologicallyDerivedProductCategoryCode("organ")
    """
    An ensemble of similar cells and their extracellular matrix from the same
    origin that together carry out a specific function.
    From: http://hl7.org/fhir/product-category in valuesets.xml
    """
    Tissue = BiologicallyDerivedProductCategoryCode("tissue")
    """
    Body fluid.
    From: http://hl7.org/fhir/product-category in valuesets.xml
    """
    Fluid = BiologicallyDerivedProductCategoryCode("fluid")
    """
    Collection of cells.
    From: http://hl7.org/fhir/product-category in valuesets.xml
    """
    Cells = BiologicallyDerivedProductCategoryCode("cells")
    """
    Biological agent of unspecified type.
    From: http://hl7.org/fhir/product-category in valuesets.xml
    """
    BiologicalAgent = BiologicallyDerivedProductCategoryCode("biologicalAgent")
