from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class BiologicallyDerivedProductStorageScaleCode(GenericTypeCode):
    """
    BiologicallyDerivedProductStorageScale
    From: http://hl7.org/fhir/product-storage-scale in valuesets.xml
        BiologicallyDerived Product Storage Scale.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/product-storage-scale
    """
    codeset: FhirUri = "http://hl7.org/fhir/product-storage-scale"


class BiologicallyDerivedProductStorageScaleCodeValues:
    """
    Fahrenheit temperature scale.
    From: http://hl7.org/fhir/product-storage-scale in valuesets.xml
    """

    Fahrenheit = BiologicallyDerivedProductStorageScaleCode("farenheit")
    """
    Celsius or centigrade temperature scale.
    From: http://hl7.org/fhir/product-storage-scale in valuesets.xml
    """
    Celsius = BiologicallyDerivedProductStorageScaleCode("celsius")
    """
    Kelvin absolute thermodynamic temperature scale.
    From: http://hl7.org/fhir/product-storage-scale in valuesets.xml
    """
    Kelvin = BiologicallyDerivedProductStorageScaleCode("kelvin")
