from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class BodyWeightUnitsCode(GenericTypeCode):
    """
    BodyWeightUnits
    From: http://hl7.org/fhir/ValueSet/ucum-bodyweight in valuesets.xml
        UCUM units for recording Body Weight
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://unitsofmeasure.org
    """
    codeset: FhirUri = "http://unitsofmeasure.org"


class BodyWeightUnitsCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/ucum-bodyweight in valuesets.xml
    """

    Kg = BodyWeightUnitsCode("kg")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-bodyweight in valuesets.xml
    """
    _lb_av_ = BodyWeightUnitsCode("[lb_av]")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-bodyweight in valuesets.xml
    """
    G = BodyWeightUnitsCode("g")
