from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CalendarType(GenericTypeCode):
    """
    v3.CalendarType
    From: http://terminology.hl7.org/ValueSet/v3-CalendarType in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-CalendarType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-CalendarType"


class CalendarTypeValues:
    """
    The Gregorian calendar is in effect in the most countries of Christian
    influence since approximately 1582.  This calendar superceded the Julian
    calendar.
    From: http://terminology.hl7.org/CodeSystem/v3-CalendarType in v3-codesystems.xml
    """

    Gregorian = CalendarType("GREG")
