from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Can_push_updatesCode(GenericTypeCode):
    """
    can-push-updates
    From: http://terminology.hl7.org/CodeSystem/can-push-updates in valuesets.xml
        Ability of the primary source to push updates/alerts
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/can-push-updates
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/can-push-updates"


class Can_push_updatesCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/can-push-updates in valuesets.xml
    """

    Yes = Can_push_updatesCode("yes")
    """
    From: http://terminology.hl7.org/CodeSystem/can-push-updates in valuesets.xml
    """
    No = Can_push_updatesCode("no")
    """
    From: http://terminology.hl7.org/CodeSystem/can-push-updates in valuesets.xml
    """
    Undetermined = Can_push_updatesCode("undetermined")
