from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CarePlanActivityKindCode(GenericTypeCode):
    """
    CarePlanActivityKind
    From: http://hl7.org/fhir/ValueSet/care-plan-activity-kind in valuesets.xml
        Resource types defined as part of FHIR that can be represented as in-line
    definitions of a care plan activity.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/resource-types
    """
    codeset: FhirUri = "http://hl7.org/fhir/resource-types"


class CarePlanActivityKindCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/care-plan-activity-kind in valuesets.xml
    """

    Appointment = CarePlanActivityKindCode("Appointment")
    """
    From: http://hl7.org/fhir/ValueSet/care-plan-activity-kind in valuesets.xml
    """
    CommunicationRequest = CarePlanActivityKindCode("CommunicationRequest")
    """
    From: http://hl7.org/fhir/ValueSet/care-plan-activity-kind in valuesets.xml
    """
    DeviceRequest = CarePlanActivityKindCode("DeviceRequest")
    """
    From: http://hl7.org/fhir/ValueSet/care-plan-activity-kind in valuesets.xml
    """
    MedicationRequest = CarePlanActivityKindCode("MedicationRequest")
    """
    From: http://hl7.org/fhir/ValueSet/care-plan-activity-kind in valuesets.xml
    """
    NutritionOrder = CarePlanActivityKindCode("NutritionOrder")
    """
    From: http://hl7.org/fhir/ValueSet/care-plan-activity-kind in valuesets.xml
    """
    Task = CarePlanActivityKindCode("Task")
    """
    From: http://hl7.org/fhir/ValueSet/care-plan-activity-kind in valuesets.xml
    """
    ServiceRequest = CarePlanActivityKindCode("ServiceRequest")
    """
    From: http://hl7.org/fhir/ValueSet/care-plan-activity-kind in valuesets.xml
    """
    VisionPrescription = CarePlanActivityKindCode("VisionPrescription")
