from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CatalogEntryRelationTypeCode(GenericTypeCode):
    """
    CatalogEntryRelationType
    From: http://hl7.org/fhir/relation-type in valuesets.xml
        The type of relations between entries.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/relation-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/relation-type"


class CatalogEntryRelationTypeCodeValues:
    """
    the related entry represents an activity that may be triggered by the current
    item.
    From: http://hl7.org/fhir/relation-type in valuesets.xml
    """

    Triggers = CatalogEntryRelationTypeCode("triggers")
    """
    the related entry represents an item that replaces the current retired item.
    From: http://hl7.org/fhir/relation-type in valuesets.xml
    """
    ReplacedBy = CatalogEntryRelationTypeCode("is-replaced-by")
