from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CatalogTypeCode(GenericTypeCode):
    """
    CatalogType
    From: http://terminology.hl7.org/CodeSystem/catalogType in valuesets.xml
        The type of catalog.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/catalogType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/catalogType"


class CatalogTypeCodeValues:
    """
    Medication Catalog.
    From: http://terminology.hl7.org/CodeSystem/catalogType in valuesets.xml
    """

    MedicationCatalog = CatalogTypeCode("medication")
    """
    Device Catalog.
    From: http://terminology.hl7.org/CodeSystem/catalogType in valuesets.xml
    """
    DeviceCatalog = CatalogTypeCode("device")
    """
    Protocol List.
    From: http://terminology.hl7.org/CodeSystem/catalogType in valuesets.xml
    """
    ProtocolList = CatalogTypeCode("protocol")
