from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ChargeItemCodeCode(GenericTypeCode):
    """
    ChargeItemCode
    From: http://terminology.hl7.org/CodeSystem/chargeitem-billingcodes in valuesets.xml
        Example set of codes that can be used for billing purposes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/chargeitem-billingcodes
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/chargeitem-billingcodes"


class ChargeItemCodeCodeValues:
    """
    From German EBM billing system:
    Unvorhergesehene Inanspruchnahme des Vertragsarztes durch einen
    Patienten;zwischen 19:00 und 22:00 Uhr;an Samstagen, Sonntagen und
    gesetzlichen Feiertagen, am 24.12. und 31.12. zwischen 07:00 und 19:00 Uhr.
    From: http://terminology.hl7.org/CodeSystem/chargeitem-billingcodes in valuesets.xml
    """

    UnvorhergeseheneInanspruchnahme = ChargeItemCodeCode("1100")
    """
    From German EBM billing system:
    Notfallpauschale im organisierten Not(-fall)dienst und für nicht an der
    vertragsärztlichen Versorgung teilnehmende Ärzte, Institute und Krankenhäuser
    bei Inanspruchnahme;zwischen 07:00 und 19:00 Uhr.
    From: http://terminology.hl7.org/CodeSystem/chargeitem-billingcodes in valuesets.xml
    """
    Notfallpauschale = ChargeItemCodeCode("1210")
    """
    From German EBM billing system:
    Grundpauschale für Ärzte, Institute und Krankenhäuser, die zur Erbringung von
    Leistungen innerhalb mindestens eines der Fachgebiete Anästhesiologie,
    Frauenheilkunde und Geburtshilfe, Haut- und Geschlechtskrankheiten, Mund-,
    Kiefer- und Gesichtschirurgie und Humangenetik ermächtigt sind.
    From: http://terminology.hl7.org/CodeSystem/chargeitem-billingcodes in valuesets.xml
    """
    Grundpauschale = ChargeItemCodeCode("1320")
