from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Charset(GenericTypeCode):
    """
    v3.Charset
    From: http://terminology.hl7.org/ValueSet/v3-Charset in v3-codesystems.xml
         Internet Assigned Numbers Authority (IANA) Charset Types
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-Charset
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-Charset"


class CharsetValues:
    """
    HL7 is indifferent to the use of this Charset.
    From: http://terminology.hl7.org/CodeSystem/v3-Charset in v3-codesystems.xml
    """

    EBCDIC = Charset("EBCDIC")
    """
    Deprecated for HL7 use.
    From: http://terminology.hl7.org/CodeSystem/v3-Charset in v3-codesystems.xml
    """
    ISO_10646_UCS_2 = Charset("ISO-10646-UCS-2")
    """
    Deprecated for HL7 use.
    From: http://terminology.hl7.org/CodeSystem/v3-Charset in v3-codesystems.xml
    """
    ISO_10646_UCS_4 = Charset("ISO-10646-UCS-4")
    """
    HL7 is indifferent to the use of this Charset.
    From: http://terminology.hl7.org/CodeSystem/v3-Charset in v3-codesystems.xml
    """
    ISO_8859_1 = Charset("ISO-8859-1")
    """
    HL7 is indifferent to the use of this Charset.
    From: http://terminology.hl7.org/CodeSystem/v3-Charset in v3-codesystems.xml
    """
    ISO_8859_2 = Charset("ISO-8859-2")
    """
    HL7 is indifferent to the use of this Charset.
    From: http://terminology.hl7.org/CodeSystem/v3-Charset in v3-codesystems.xml
    """
    ISO_8859_5 = Charset("ISO-8859-5")
    """
    HL7 is indifferent to the use of this Charset.
    From: http://terminology.hl7.org/CodeSystem/v3-Charset in v3-codesystems.xml
    """
    JIS_2022_JP = Charset("JIS-2022-JP")
    """
    Required for HL7 use.
    From: http://terminology.hl7.org/CodeSystem/v3-Charset in v3-codesystems.xml
    """
    US_ASCII = Charset("US-ASCII")
    """
    HL7 is indifferent to the use of this Charset.
    From: http://terminology.hl7.org/CodeSystem/v3-Charset in v3-codesystems.xml
    """
    UTF_7 = Charset("UTF-7")
    """
    Required for Unicode support.
    From: http://terminology.hl7.org/CodeSystem/v3-Charset in v3-codesystems.xml
    """
    UTF_8 = Charset("UTF-8")
