from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ChoiceListOrientationCode(GenericTypeCode):
    """
    ChoiceListOrientation
    From: http://terminology.hl7.org/CodeSystem/choice-list-orientation in valuesets.xml
        Direction in which lists of possible answers should be displayed.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/choice-list-orientation
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/choice-list-orientation"


class ChoiceListOrientationCodeValues:
    """
    List choices along the horizontal axis.
    From: http://terminology.hl7.org/CodeSystem/choice-list-orientation in valuesets.xml
    """

    Horizontal = ChoiceListOrientationCode("horizontal")
    """
    List choices down the vertical axis.
    From: http://terminology.hl7.org/CodeSystem/choice-list-orientation in valuesets.xml
    """
    Vertical = ChoiceListOrientationCode("vertical")
