from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CholCodeLegacyStatusCode(GenericTypeCode):
    """
    CholCodeLegacyStatus
    From: http://hl7.org/fhir/CodeSystem/example-supplement in valuesets.xml

    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/CodeSystem/example-supplement
    """
    codeset: FhirUri = "http://hl7.org/fhir/CodeSystem/example-supplement"


class CholCodeLegacyStatusCodeValues:
    """
    From: http://hl7.org/fhir/CodeSystem/example-supplement in valuesets.xml
    """

    Chol_mmol = CholCodeLegacyStatusCode("chol-mmol")
    """
    From: http://hl7.org/fhir/CodeSystem/example-supplement in valuesets.xml
    """
    Chol_mass = CholCodeLegacyStatusCode("chol-mass")
    """
    From: http://hl7.org/fhir/CodeSystem/example-supplement in valuesets.xml
    """
    Chol = CholCodeLegacyStatusCode("chol")
