from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ClaimCareTeamRoleCodesCode(GenericTypeCode):
    """
    ClaimCareTeamRoleCodes
    From: http://terminology.hl7.org/CodeSystem/claimcareteamrole in valuesets.xml
        This value set includes sample Claim Care Team Role codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/claimcareteamrole
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/claimcareteamrole"


class ClaimCareTeamRoleCodesCodeValues:
    """
    The primary care provider.
    From: http://terminology.hl7.org/CodeSystem/claimcareteamrole in valuesets.xml
    """

    PrimaryProvider = ClaimCareTeamRoleCodesCode("primary")
    """
    Assisting care provider.
    From: http://terminology.hl7.org/CodeSystem/claimcareteamrole in valuesets.xml
    """
    AssistingProvider = ClaimCareTeamRoleCodesCode("assist")
    """
    Supervising care provider.
    From: http://terminology.hl7.org/CodeSystem/claimcareteamrole in valuesets.xml
    """
    SupervisingProvider = ClaimCareTeamRoleCodesCode("supervisor")
    """
    Other role on the care team.
    From: http://terminology.hl7.org/CodeSystem/claimcareteamrole in valuesets.xml
    """
    Other = ClaimCareTeamRoleCodesCode("other")
