from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ClaimProcessingCodesCode(GenericTypeCode):
    """
    ClaimProcessingCodes
    From: http://hl7.org/fhir/remittance-outcome in valuesets.xml
        This value set includes Claim Processing Outcome codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/remittance-outcome
    """
    codeset: FhirUri = "http://hl7.org/fhir/remittance-outcome"


class ClaimProcessingCodesCodeValues:
    """
    The Claim/Pre-authorization/Pre-determination has been received but processing
    has not begun.
    From: http://hl7.org/fhir/remittance-outcome in valuesets.xml
    """

    Queued = ClaimProcessingCodesCode("queued")
    """
    The processing has completed without errors
    From: http://hl7.org/fhir/remittance-outcome in valuesets.xml
    """
    ProcessingComplete = ClaimProcessingCodesCode("complete")
    """
    One or more errors have been detected in the Claim
    From: http://hl7.org/fhir/remittance-outcome in valuesets.xml
    """
    Error = ClaimProcessingCodesCode("error")
    """
    No errors have been detected in the Claim and some of the adjudication has
    been performed.
    From: http://hl7.org/fhir/remittance-outcome in valuesets.xml
    """
    PartialProcessing = ClaimProcessingCodesCode("partial")
