from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ClaimTypeCodesCode(GenericTypeCode):
    """
    ClaimTypeCodes
    From: http://terminology.hl7.org/CodeSystem/claim-type in valuesets.xml
        This value set includes Claim Type codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/claim-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/claim-type"


class ClaimTypeCodesCodeValues:
    """
    Hospital, clinic and typically inpatient claims.
    From: http://terminology.hl7.org/CodeSystem/claim-type in valuesets.xml
    """

    Institutional = ClaimTypeCodesCode("institutional")
    """
    Dental, Denture and Hygiene claims.
    From: http://terminology.hl7.org/CodeSystem/claim-type in valuesets.xml
    """
    Oral = ClaimTypeCodesCode("oral")
    """
    Pharmacy claims for goods and services.
    From: http://terminology.hl7.org/CodeSystem/claim-type in valuesets.xml
    """
    Pharmacy = ClaimTypeCodesCode("pharmacy")
    """
    Typically, outpatient claims from Physician, Psychological, Chiropractor,
    Physiotherapy, Speech Pathology, rehabilitative, consulting.
    From: http://terminology.hl7.org/CodeSystem/claim-type in valuesets.xml
    """
    Professional = ClaimTypeCodesCode("professional")
    """
    Vision claims for professional services and products such as glasses and
    contact lenses.
    From: http://terminology.hl7.org/CodeSystem/claim-type in valuesets.xml
    """
    Vision = ClaimTypeCodesCode("vision")
