from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ClinVarCode(GenericTypeCode):
    """
    ClinVar
    From: http://hl7.org/fhir/ValueSet/clinvar in valuesets.xml
        NCBI central repository for curating pathogenicity of potentially clinically
    relevant variants
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://www.ncbi.nlm.nih.gov/clinvar
    """
    codeset: FhirUri = "http://www.ncbi.nlm.nih.gov/clinvar"
