from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CodeSearchSupportCode(GenericTypeCode):
    """
    CodeSearchSupport
    From: http://hl7.org/fhir/code-search-support in valuesets.xml
        The degree to which the server supports the code search parameter on ValueSet,
    if it is supported.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/code-search-support
    """
    codeset: FhirUri = "http://hl7.org/fhir/code-search-support"


class CodeSearchSupportCodeValues:
    """
    The search for code on ValueSet only includes codes explicitly detailed on
    includes or expansions.
    From: http://hl7.org/fhir/code-search-support in valuesets.xml
    """

    ExplicitCodes = CodeSearchSupportCode("explicit")
    """
    The search for code on ValueSet only includes all codes based on the expansion
    of the value set.
    From: http://hl7.org/fhir/code-search-support in valuesets.xml
    """
    ImplicitCodes = CodeSearchSupportCode("all")
