from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CodeSystemSummaryExampleForACMEBodySitesCode(GenericTypeCode):
    """
    Code system summary example for ACME body sites
    From: http://hl7.org/fhir/CodeSystem/summary in valuesets.xml
        This is an example code system summary for the ACME codes for body site.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/CodeSystem/summary
    """
    codeset: FhirUri = "http://hl7.org/fhir/CodeSystem/summary"
