from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CommonLanguages_Written_Code(GenericTypeCode):
    """
    Common Languages (Written)
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
        This value set includes common codes from BCP-47
    (http://tools.ietf.org/html/bcp47) for the purpose of writing; this value set
    (unlike the common languages value set) doesn't include dialects except where
    they are relevant for written languages
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    urn:ietf:bcp:47
    """
    codeset: FhirUri = "urn:ietf:bcp:47"


class CommonLanguages_Written_CodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """

    Arabic = CommonLanguages_Written_Code("ar")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Bengali = CommonLanguages_Written_Code("bn")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Czech = CommonLanguages_Written_Code("cs")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Danish = CommonLanguages_Written_Code("da")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    German = CommonLanguages_Written_Code("de")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Greek = CommonLanguages_Written_Code("el")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    English = CommonLanguages_Written_Code("en")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Spanish = CommonLanguages_Written_Code("es")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Finnish = CommonLanguages_Written_Code("fi")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    French = CommonLanguages_Written_Code("fr")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Frysian = CommonLanguages_Written_Code("fy")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Hindi = CommonLanguages_Written_Code("hi")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Croatian = CommonLanguages_Written_Code("hr")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Italian = CommonLanguages_Written_Code("it")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Japanese = CommonLanguages_Written_Code("ja")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Korean = CommonLanguages_Written_Code("ko")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Dutch = CommonLanguages_Written_Code("nl")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Norwegian = CommonLanguages_Written_Code("no")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Punjabi = CommonLanguages_Written_Code("pa")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Polish = CommonLanguages_Written_Code("pl")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Portuguese = CommonLanguages_Written_Code("pt")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Russian = CommonLanguages_Written_Code("ru")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Serbian = CommonLanguages_Written_Code("sr")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Swedish = CommonLanguages_Written_Code("sv")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Telegu = CommonLanguages_Written_Code("te")
    """
    From: http://hl7.org/fhir/ValueSet/written-language in valuesets.xml
    """
    Chinese = CommonLanguages_Written_Code("zh")
