from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CommonUCUMCodesForDistanceCode(GenericTypeCode):
    """
    CommonUCUMCodesForDistance
    From: http://hl7.org/fhir/ValueSet/distance-units in valuesets.xml
        Unified Code for Units of Measure (UCUM). This value set includes common UCUM
    codes for units of distance
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://unitsofmeasure.org
    """
    codeset: FhirUri = "http://unitsofmeasure.org"


class CommonUCUMCodesForDistanceCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/distance-units in valuesets.xml
    """

    Nanometers = CommonUCUMCodesForDistanceCode("nm")
    """
    From: http://hl7.org/fhir/ValueSet/distance-units in valuesets.xml
    """
    Micrometers = CommonUCUMCodesForDistanceCode("um")
    """
    From: http://hl7.org/fhir/ValueSet/distance-units in valuesets.xml
    """
    Millimeters = CommonUCUMCodesForDistanceCode("mm")
    """
    From: http://hl7.org/fhir/ValueSet/distance-units in valuesets.xml
    """
    Meters = CommonUCUMCodesForDistanceCode("m")
    """
    From: http://hl7.org/fhir/ValueSet/distance-units in valuesets.xml
    """
    Kilometers = CommonUCUMCodesForDistanceCode("km")
