from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CommonUCUMCodesForDurationCode(GenericTypeCode):
    """
    CommonUCUMCodesForDuration
    From: http://hl7.org/fhir/ValueSet/duration-units in valuesets.xml
        Unified Code for Units of Measure (UCUM). This value set includes all UCUM
    codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://unitsofmeasure.org
    """
    codeset: FhirUri = "http://unitsofmeasure.org"


class CommonUCUMCodesForDurationCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/duration-units in valuesets.xml
    """

    Milliseconds = CommonUCUMCodesForDurationCode("ms")
    """
    From: http://hl7.org/fhir/ValueSet/duration-units in valuesets.xml
    """
    Seconds = CommonUCUMCodesForDurationCode("s")
    """
    From: http://hl7.org/fhir/ValueSet/duration-units in valuesets.xml
    """
    Minutes = CommonUCUMCodesForDurationCode("min")
    """
    From: http://hl7.org/fhir/ValueSet/duration-units in valuesets.xml
    """
    Hours = CommonUCUMCodesForDurationCode("h")
    """
    From: http://hl7.org/fhir/ValueSet/duration-units in valuesets.xml
    """
    Days = CommonUCUMCodesForDurationCode("d")
    """
    From: http://hl7.org/fhir/ValueSet/duration-units in valuesets.xml
    """
    Weeks = CommonUCUMCodesForDurationCode("wk")
    """
    From: http://hl7.org/fhir/ValueSet/duration-units in valuesets.xml
    """
    Months = CommonUCUMCodesForDurationCode("mo")
    """
    From: http://hl7.org/fhir/ValueSet/duration-units in valuesets.xml
    """
    Years = CommonUCUMCodesForDurationCode("a")
