from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CommunicationCategoryCode(GenericTypeCode):
    """
    CommunicationCategory
    From: http://terminology.hl7.org/CodeSystem/communication-category in valuesets.xml
        Codes for general categories of communications such as alerts, instructions,
    etc.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/communication-category
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/communication-category"


class CommunicationCategoryCodeValues:
    """
    The communication conveys an alert.
    From: http://terminology.hl7.org/CodeSystem/communication-category in valuesets.xml
    """

    Alert = CommunicationCategoryCode("alert")
    """
    The communication conveys a notification.
    From: http://terminology.hl7.org/CodeSystem/communication-category in valuesets.xml
    """
    Notification = CommunicationCategoryCode("notification")
    """
    The communication conveys a reminder.
    From: http://terminology.hl7.org/CodeSystem/communication-category in valuesets.xml
    """
    Reminder = CommunicationCategoryCode("reminder")
    """
    The communication conveys an instruction.
    From: http://terminology.hl7.org/CodeSystem/communication-category in valuesets.xml
    """
    Instruction = CommunicationCategoryCode("instruction")
