from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CommunicationFunctionType(GenericTypeCode):
    """
    v3.CommunicationFunctionType
    From: http://terminology.hl7.org/ValueSet/v3-CommunicationFunctionType in v3-codesystems.xml
         Describes the type of communication function that the associated entity plays
    in the associated transmission.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-CommunicationFunctionType
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/v3-CommunicationFunctionType"
    )


class CommunicationFunctionTypeValues:
    """
    The entity is the receiver of the transmission.
    From: http://terminology.hl7.org/CodeSystem/v3-CommunicationFunctionType in v3-codesystems.xml
    """

    Receiver = CommunicationFunctionType("RCV")
    """
    The entity is the one to which the response or reply to the transmission
    should be sent.
    From: http://terminology.hl7.org/CodeSystem/v3-CommunicationFunctionType in v3-codesystems.xml
    """
    RespondTo = CommunicationFunctionType("RSP")
    """
    The entity is the sender of the transmission.
    From: http://terminology.hl7.org/CodeSystem/v3-CommunicationFunctionType in v3-codesystems.xml
    """
    Sender = CommunicationFunctionType("SND")
