from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CommunicationNotDoneReasonCode(GenericTypeCode):
    """
    CommunicationNotDoneReason
    From: http://terminology.hl7.org/CodeSystem/communication-not-done-reason in valuesets.xml
        Codes for the reason why a communication did not happen.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/communication-not-done-reason
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/communication-not-done-reason"
    )


class CommunicationNotDoneReasonCodeValues:
    """
    The communication was not done due to an unknown reason.
    From: http://terminology.hl7.org/CodeSystem/communication-not-done-reason in valuesets.xml
    """

    Unknown = CommunicationNotDoneReasonCode("unknown")
    """
    The communication was not done due to a system error.
    From: http://terminology.hl7.org/CodeSystem/communication-not-done-reason in valuesets.xml
    """
    SystemError = CommunicationNotDoneReasonCode("system-error")
    """
    The communication was not done due to an invalid phone number.
    From: http://terminology.hl7.org/CodeSystem/communication-not-done-reason in valuesets.xml
    """
    InvalidPhoneNumber = CommunicationNotDoneReasonCode("invalid-phone-number")
    """
    The communication was not done due to the recipient being unavailable.
    From: http://terminology.hl7.org/CodeSystem/communication-not-done-reason in valuesets.xml
    """
    RecipientUnavailable = CommunicationNotDoneReasonCode("recipient-unavailable")
    """
    The communication was not done due to a family objection.
    From: http://terminology.hl7.org/CodeSystem/communication-not-done-reason in valuesets.xml
    """
    FamilyObjection = CommunicationNotDoneReasonCode("family-objection")
    """
    The communication was not done due to a patient objection.
    From: http://terminology.hl7.org/CodeSystem/communication-not-done-reason in valuesets.xml
    """
    PatientObjection = CommunicationNotDoneReasonCode("patient-objection")
