from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CompositionAttestationModeCode(GenericTypeCode):
    """
    CompositionAttestationMode
    From: http://hl7.org/fhir/composition-attestation-mode in valuesets.xml
        The way in which a person authenticated a composition.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/composition-attestation-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/composition-attestation-mode"


class CompositionAttestationModeCodeValues:
    """
    The person authenticated the content in their personal capacity.
    From: http://hl7.org/fhir/composition-attestation-mode in valuesets.xml
    """

    Personal = CompositionAttestationModeCode("personal")
    """
    The person authenticated the content in their professional capacity.
    From: http://hl7.org/fhir/composition-attestation-mode in valuesets.xml
    """
    Professional = CompositionAttestationModeCode("professional")
    """
    The person authenticated the content and accepted legal responsibility for its
    content.
    From: http://hl7.org/fhir/composition-attestation-mode in valuesets.xml
    """
    Legal = CompositionAttestationModeCode("legal")
    """
    The organization authenticated the content as consistent with their policies
    and procedures.
    From: http://hl7.org/fhir/composition-attestation-mode in valuesets.xml
    """
    Official = CompositionAttestationModeCode("official")
