from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConceptMapGroupUnmappedModeCode(GenericTypeCode):
    """
    ConceptMapGroupUnmappedMode
    From: http://hl7.org/fhir/conceptmap-unmapped-mode in valuesets.xml
        Defines which action to take if there is no match in the group.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/conceptmap-unmapped-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/conceptmap-unmapped-mode"


class ConceptMapGroupUnmappedModeCodeValues:
    """
    Use the code as provided in the $translate request.
    From: http://hl7.org/fhir/conceptmap-unmapped-mode in valuesets.xml
    """

    ProvidedCode = ConceptMapGroupUnmappedModeCode("provided")
    """
    Use the code explicitly provided in the group.unmapped.
    From: http://hl7.org/fhir/conceptmap-unmapped-mode in valuesets.xml
    """
    FixedCode = ConceptMapGroupUnmappedModeCode("fixed")
    """
    Use the map identified by the canonical URL in the url element.
    From: http://hl7.org/fhir/conceptmap-unmapped-mode in valuesets.xml
    """
    OtherMap = ConceptMapGroupUnmappedModeCode("other-map")
