from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Condition_or_DiagnosisSeverityCode(GenericTypeCode):
    """
    Condition/DiagnosisSeverity
    From: http://hl7.org/fhir/ValueSet/condition-severity in valuesets.xml
        Preferred value set for Condition/Diagnosis severity grading.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class Condition_or_DiagnosisSeverityCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/condition-severity in valuesets.xml
    """

    _24484000 = Condition_or_DiagnosisSeverityCode("24484000")
    """
    From: http://hl7.org/fhir/ValueSet/condition-severity in valuesets.xml
    """
    _6736007 = Condition_or_DiagnosisSeverityCode("6736007")
    """
    From: http://hl7.org/fhir/ValueSet/condition-severity in valuesets.xml
    """
    _255604002 = Condition_or_DiagnosisSeverityCode("255604002")
