from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Condition_or_Problem_or_DiagnosisCodesCode(GenericTypeCode):
    """
    Condition/Problem/DiagnosisCodes
    From: http://hl7.org/fhir/ValueSet/condition-code in valuesets.xml
        Example value set for Condition/Problem/Diagnosis codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class Condition_or_Problem_or_DiagnosisCodesCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/condition-code in valuesets.xml
    """

    NoCurrentProblemsOrDisability = Condition_or_Problem_or_DiagnosisCodesCode(
        "160245001"
    )
