from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConditionStageTypeCode(GenericTypeCode):
    """
    ConditionStageType
    From: http://hl7.org/fhir/ValueSet/condition-stage-type in valuesets.xml
        Example value set for the type of stages of cancer and other conditions
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class ConditionStageTypeCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/condition-stage-type in valuesets.xml
    """

    PathologicalStaging_qualifierValue_ = ConditionStageTypeCode("261023001")
    """
    From: http://hl7.org/fhir/ValueSet/condition-stage-type in valuesets.xml
    """
    ClinicalStaging_qualifierValue_ = ConditionStageTypeCode("260998006")
