from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConditionVerificationStatusCode(GenericTypeCode):
    """
    ConditionVerificationStatus
    From: http://terminology.hl7.org/CodeSystem/condition-ver-status in valuesets.xml
        The verification status to support or decline the clinical status of the
    condition or diagnosis.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/condition-ver-status
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/condition-ver-status"


class ConditionVerificationStatusCodeValues:
    """
    There is not sufficient diagnostic and/or clinical evidence to treat this as a
    confirmed condition.
    From: http://terminology.hl7.org/CodeSystem/condition-ver-status in valuesets.xml
    """

    Unconfirmed = ConditionVerificationStatusCode("unconfirmed")
    """
    There is sufficient diagnostic and/or clinical evidence to treat this as a
    confirmed condition.
    From: http://terminology.hl7.org/CodeSystem/condition-ver-status in valuesets.xml
    """
    Confirmed = ConditionVerificationStatusCode("confirmed")
    """
    This condition has been ruled out by diagnostic and clinical evidence.
    From: http://terminology.hl7.org/CodeSystem/condition-ver-status in valuesets.xml
    """
    Refuted = ConditionVerificationStatusCode("refuted")
    """
    The statement was entered in error and is not valid.
    From: http://terminology.hl7.org/CodeSystem/condition-ver-status in valuesets.xml
    """
    EnteredInError = ConditionVerificationStatusCode("entered-in-error")
