from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Confidentiality(GenericTypeCode):
    """
    v3.Confidentiality
    From: http://terminology.hl7.org/ValueSet/v3-Confidentiality in v3-codesystems.xml
         A set of codes specifying the security classification of acts and roles in
    accordance with the definition for concept domain "Confidentiality".
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-Confidentiality
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-Confidentiality"


class ConfidentialityValues:
    """
    A specializable code and its leaf codes used in Confidentiality value sets to
    value the Act.Confidentiality and Role.Confidentiality attribute in accordance
    with the definition for concept domain "Confidentiality".
    From: http://terminology.hl7.org/CodeSystem/v3-Confidentiality in v3-codesystems.xml
    """

    Confidentiality_ = Confidentiality("_Confidentiality")
    """
    Description: By accessing subject / role and relationship based  rights
    (These concepts are mutually exclusive, one and only one is required for a
    valid confidentiality coding.)
    
    
                               Deprecation Comment:Deprecated due to updated
    confidentiality codes under ActCode
    From: http://terminology.hl7.org/CodeSystem/v3-Confidentiality in v3-codesystems.xml
    """
    ConfidentialityByAccessKind = Confidentiality("_ConfidentialityByAccessKind")
    """
    Description: By information type, only for service catalog entries (multiples
    allowed). Not to be used with actual patient data!
    
    
                               Deprecation Comment:Deprecated due to updated
    confidentiality codes under ActCode
    From: http://terminology.hl7.org/CodeSystem/v3-Confidentiality in v3-codesystems.xml
    """
    ConfidentialityByInfoType = Confidentiality("_ConfidentialityByInfoType")
    """
    Description: Modifiers of role based access rights  (multiple allowed)
    
    
                               Deprecation Comment:Deprecated due to updated
    confidentiality codes under ActCode
    From: http://terminology.hl7.org/CodeSystem/v3-Confidentiality in v3-codesystems.xml
    """
    ConfidentialityModifiers = Confidentiality("_ConfidentialityModifiers")
