from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConsentDataMeaningCode(GenericTypeCode):
    """
    ConsentDataMeaning
    From: http://hl7.org/fhir/consent-data-meaning in valuesets.xml
        How a resource reference is interpreted when testing consent restrictions.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/consent-data-meaning
    """
    codeset: FhirUri = "http://hl7.org/fhir/consent-data-meaning"


class ConsentDataMeaningCodeValues:
    """
    The consent applies directly to the instance of the resource.
    From: http://hl7.org/fhir/consent-data-meaning in valuesets.xml
    """

    Instance = ConsentDataMeaningCode("instance")
    """
    The consent applies directly to the instance of the resource and instances it
    refers to.
    From: http://hl7.org/fhir/consent-data-meaning in valuesets.xml
    """
    Related = ConsentDataMeaningCode("related")
    """
    The consent applies directly to the instance of the resource and instances
    that refer to it.
    From: http://hl7.org/fhir/consent-data-meaning in valuesets.xml
    """
    Dependents = ConsentDataMeaningCode("dependents")
    """
    The consent applies to instances of resources that are authored by.
    From: http://hl7.org/fhir/consent-data-meaning in valuesets.xml
    """
    AuthoredBy = ConsentDataMeaningCode("authoredby")
