from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConsentProvisionTypeCode(GenericTypeCode):
    """
    ConsentProvisionType
    From: http://hl7.org/fhir/consent-provision-type in valuesets.xml
        How a rule statement is applied, such as adding additional consent or removing
    consent.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/consent-provision-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/consent-provision-type"


class ConsentProvisionTypeCodeValues:
    """
    Consent is denied for actions meeting these rules.
    From: http://hl7.org/fhir/consent-provision-type in valuesets.xml
    """

    OptOut = ConsentProvisionTypeCode("deny")
    """
    Consent is provided for actions meeting these rules.
    From: http://hl7.org/fhir/consent-provision-type in valuesets.xml
    """
    OptIn = ConsentProvisionTypeCode("permit")
