from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConsentScopeCodesCode(GenericTypeCode):
    """
    ConsentScopeCodes
    From: http://terminology.hl7.org/CodeSystem/consentscope in valuesets.xml
        This value set includes the four Consent scope codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/consentscope
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/consentscope"


class ConsentScopeCodesCodeValues:
    """
    Actions to be taken if they are no longer able to make decisions for
    themselves
    From: http://terminology.hl7.org/CodeSystem/consentscope in valuesets.xml
    """

    AdvancedCareDirective = ConsentScopeCodesCode("adr")
    """
    Consent to participate in research protocol and information sharing required
    From: http://terminology.hl7.org/CodeSystem/consentscope in valuesets.xml
    """
    Research = ConsentScopeCodesCode("research")
    """
    Agreement to collect, access, use or disclose (share) information
    From: http://terminology.hl7.org/CodeSystem/consentscope in valuesets.xml
    """
    PrivacyConsent = ConsentScopeCodesCode("patient-privacy")
    """
    Consent to undergo a specific treatment
    From: http://terminology.hl7.org/CodeSystem/consentscope in valuesets.xml
    """
    Treatment = ConsentScopeCodesCode("treatment")
