from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContainerCapCode(GenericTypeCode):
    """
    ContainerCap
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
        Color of the container cap.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/container-cap
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/container-cap"


class ContainerCapCodeValues:
    """
    red cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """

    RedCap = ContainerCapCode("red")
    """
    yellow cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """
    YellowCap = ContainerCapCode("yellow")
    """
    dark yellow cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """
    DarkYellowCap = ContainerCapCode("dark-yellow")
    """
    grey cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """
    GreyCap = ContainerCapCode("grey")
    """
    light blue cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """
    LightBlueCap = ContainerCapCode("light-blue")
    """
    black cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """
    BlackCap = ContainerCapCode("black")
    """
    green cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """
    GreenCap = ContainerCapCode("green")
    """
    light green cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """
    LightGreenCap = ContainerCapCode("light-green")
    """
    lavender cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """
    LavenderCap = ContainerCapCode("lavender")
    """
    brown cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """
    BrownCap = ContainerCapCode("brown")
    """
    white cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """
    WhiteCap = ContainerCapCode("white")
    """
    pink cap.
    From: http://terminology.hl7.org/CodeSystem/container-cap in valuesets.xml
    """
    PinkCap = ContainerCapCode("pink")
