from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContractDataMeaningCode(GenericTypeCode):
    """
    ContractDataMeaning
    From: http://terminology.hl7.org/CodeSystem/contract-data-meaning in valuesets.xml
        How a resource reference is interpreted when evaluating contract offers.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/contract-data-meaning
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/contract-data-meaning"


class ContractDataMeaningCodeValues:
    """
    The consent applies directly to the instance of the resource.
    From: http://terminology.hl7.org/CodeSystem/contract-data-meaning in valuesets.xml
    """

    Instance = ContractDataMeaningCode("instance")
    """
    The consent applies directly to the instance of the resource and instances it
    refers to.
    From: http://terminology.hl7.org/CodeSystem/contract-data-meaning in valuesets.xml
    """
    Related = ContractDataMeaningCode("related")
    """
    The consent applies directly to the instance of the resource and instances
    that refer to it.
    From: http://terminology.hl7.org/CodeSystem/contract-data-meaning in valuesets.xml
    """
    Dependents = ContractDataMeaningCode("dependents")
    """
    The consent applies to instances of resources that are authored by.
    From: http://terminology.hl7.org/CodeSystem/contract-data-meaning in valuesets.xml
    """
    AuthoredBy = ContractDataMeaningCode("authoredby")
