from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContractResourceAssetAvailiabilityCodesCode(GenericTypeCode):
    """
    ContractResourceAssetAvailiabilityCodes
    From: http://hl7.org/fhir/asset-availability in valuesets.xml
        This value set has asset availability codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/asset-availability
    """
    codeset: FhirUri = "http://hl7.org/fhir/asset-availability"


class ContractResourceAssetAvailiabilityCodesCodeValues:
    """
    To be completed
    From: http://hl7.org/fhir/asset-availability in valuesets.xml
    """

    Lease = ContractResourceAssetAvailiabilityCodesCode("lease")
