from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContractTermSubtypeCodesCode(GenericTypeCode):
    """
    ContractTermSubtypeCodes
    From: http://terminology.hl7.org/CodeSystem/contracttermsubtypecodes in valuesets.xml
        This value set includes sample Contract Term SubType codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/contracttermsubtypecodes
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/contracttermsubtypecodes"


class ContractTermSubtypeCodesCodeValues:
    """
    Terms that go to the very root of a contract.
    From: http://terminology.hl7.org/CodeSystem/contracttermsubtypecodes in valuesets.xml
    """

    Condition = ContractTermSubtypeCodesCode("condition")
    """
    Less imperative than a condition, so the contract will survive a breach
    From: http://terminology.hl7.org/CodeSystem/contracttermsubtypecodes in valuesets.xml
    """
    Warranty = ContractTermSubtypeCodesCode("warranty")
    """
    Breach of which might or might not go to the root of the contract depending
    upon the nature of the breach
    From: http://terminology.hl7.org/CodeSystem/contracttermsubtypecodes in valuesets.xml
    """
    Innominate = ContractTermSubtypeCodesCode("innominate")
