from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContractTermTypeCodesCode(GenericTypeCode):
    """
    ContractTermTypeCodes
    From: http://terminology.hl7.org/CodeSystem/contracttermtypecodes in valuesets.xml
        This value set includes sample Contract Term Type codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/contracttermtypecodes
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/contracttermtypecodes"


class ContractTermTypeCodesCodeValues:
    """
    Based on specialized statutes that deal with particular subjects.
    From: http://terminology.hl7.org/CodeSystem/contracttermtypecodes in valuesets.xml
    """

    Statutory = ContractTermTypeCodesCode("statutory")
    """
    Execution of the term in the contract is conditional on the execution of other
    actions.
    From: http://terminology.hl7.org/CodeSystem/contracttermtypecodes in valuesets.xml
    """
    SubjectTo = ContractTermTypeCodesCode("subject-to")
