from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContractTypeCodesCode(GenericTypeCode):
    """
    ContractTypeCodes
    From: http://terminology.hl7.org/CodeSystem/contract-type in valuesets.xml
        This value set includes sample Contract Type codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/contract-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/contract-type"


class ContractTypeCodesCodeValues:
    """
    Privacy policy.
    From: http://terminology.hl7.org/CodeSystem/contract-type in valuesets.xml
    """

    Privacy = ContractTypeCodesCode("privacy")
    """
    Information disclosure policy.
    From: http://terminology.hl7.org/CodeSystem/contract-type in valuesets.xml
    """
    Disclosure = ContractTypeCodesCode("disclosure")
    """
    Health Insurance policy.
    From: http://terminology.hl7.org/CodeSystem/contract-type in valuesets.xml
    """
    HealthInsurance = ContractTypeCodesCode("healthinsurance")
    """
    Contract to supply goods or services.
    From: http://terminology.hl7.org/CodeSystem/contract-type in valuesets.xml
    """
    SupplyContract = ContractTypeCodesCode("supply")
    """
    Consent Directive.
    From: http://terminology.hl7.org/CodeSystem/contract-type in valuesets.xml
    """
    Consent = ContractTypeCodesCode("consent")
