from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ContributorTypeCode(GenericTypeCode):
    """
    ContributorType
    From: http://hl7.org/fhir/contributor-type in valuesets.xml
        The type of contributor.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/contributor-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/contributor-type"


class ContributorTypeCodeValues:
    """
    An author of the content of the module.
    From: http://hl7.org/fhir/contributor-type in valuesets.xml
    """

    Author = ContributorTypeCode("author")
    """
    An editor of the content of the module.
    From: http://hl7.org/fhir/contributor-type in valuesets.xml
    """
    Editor = ContributorTypeCode("editor")
    """
    A reviewer of the content of the module.
    From: http://hl7.org/fhir/contributor-type in valuesets.xml
    """
    Reviewer = ContributorTypeCode("reviewer")
    """
    An endorser of the content of the module.
    From: http://hl7.org/fhir/contributor-type in valuesets.xml
    """
    Endorser = ContributorTypeCode("endorser")
