from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CopyNumberEventCode(GenericTypeCode):
    """
    CopyNumberEvent
    From: http://terminology.hl7.org/CodeSystem/copy-number-event in valuesets.xml
        Copy Number Event.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/copy-number-event
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/copy-number-event"


class CopyNumberEventCodeValues:
    """
    amplification.
    From: http://terminology.hl7.org/CodeSystem/copy-number-event in valuesets.xml
    """

    Amplification = CopyNumberEventCode("amp")
    """
    deletion.
    From: http://terminology.hl7.org/CodeSystem/copy-number-event in valuesets.xml
    """
    Deletion = CopyNumberEventCode("del")
    """
    loss of function.
    From: http://terminology.hl7.org/CodeSystem/copy-number-event in valuesets.xml
    """
    LossOfFunction = CopyNumberEventCode("lof")
