from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class COSMICCode(GenericTypeCode):
    """
    COSMIC
    From: http://hl7.org/fhir/ValueSet/cosmic in valuesets.xml
        COSMIC : Catalogue Of Somatic Mutations In Cancer
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://cancer.sanger.ac.uk/cancergenome/projects/cosmic
    """
    codeset: FhirUri = "http://cancer.sanger.ac.uk/cancergenome/projects/cosmic"
