from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CoverageClassCodesCode(GenericTypeCode):
    """
    CoverageClassCodes
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
        This value set includes Coverage Class codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/coverage-class
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/coverage-class"


class CoverageClassCodesCodeValues:
    """
    An employee group
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
    """

    Group = CoverageClassCodesCode("group")
    """
    A sub-group of an employee group
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
    """
    SubGroup = CoverageClassCodesCode("subgroup")
    """
    A specific suite of benefits.
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
    """
    Plan = CoverageClassCodesCode("plan")
    """
    A subset of a specific suite of benefits.
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
    """
    SubPlan = CoverageClassCodesCode("subplan")
    """
    A class of benefits.
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
    """
    Class = CoverageClassCodesCode("class")
    """
    A subset of a class of benefits.
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
    """
    SubClass = CoverageClassCodesCode("subclass")
    """
    A sequence number associated with a short-term continuance of the coverage.
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
    """
    Sequence = CoverageClassCodesCode("sequence")
    """
    Pharmacy benefit manager's Business Identification Number.
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
    """
    RXBIN = CoverageClassCodesCode("rxbin")
    """
    A Pharmacy Benefit Manager specified Processor Control Number.
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
    """
    RXPCN = CoverageClassCodesCode("rxpcn")
    """
    A Pharmacy Benefit Manager specified Member ID.
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
    """
    RXId = CoverageClassCodesCode("rxid")
    """
    A Pharmacy Benefit Manager specified Group number.
    From: http://terminology.hl7.org/CodeSystem/coverage-class in valuesets.xml
    """
    RXGroup = CoverageClassCodesCode("rxgroup")
