from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CoverageCopayTypeCodesCode(GenericTypeCode):
    """
    CoverageCopayTypeCodes
    From: http://terminology.hl7.org/CodeSystem/coverage-copay-type in valuesets.xml
        This value set includes sample Coverage Copayment Type codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/coverage-copay-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/coverage-copay-type"


class CoverageCopayTypeCodesCodeValues:
    """
    An office visit for a general practitioner of a discipline.
    From: http://terminology.hl7.org/CodeSystem/coverage-copay-type in valuesets.xml
    """

    GPOfficeVisit = CoverageCopayTypeCodesCode("gpvisit")
    """
    An office visit for a specialist practitioner of a discipline
    From: http://terminology.hl7.org/CodeSystem/coverage-copay-type in valuesets.xml
    """
    SpecialistOfficeVisit = CoverageCopayTypeCodesCode("spvisit")
    """
    An episode in an emergency department.
    From: http://terminology.hl7.org/CodeSystem/coverage-copay-type in valuesets.xml
    """
    Emergency = CoverageCopayTypeCodesCode("emergency")
    """
    An episode of an Inpatient hospital stay.
    From: http://terminology.hl7.org/CodeSystem/coverage-copay-type in valuesets.xml
    """
    InpatientHospital = CoverageCopayTypeCodesCode("inpthosp")
    """
    A visit held where the patient is remote relative to the practitioner, e.g. by
    phone, computer or video conference.
    From: http://terminology.hl7.org/CodeSystem/coverage-copay-type in valuesets.xml
    """
    Tele_visit = CoverageCopayTypeCodesCode("televisit")
    """
    A visit to an urgent care facility - typically a community care clinic.
    From: http://terminology.hl7.org/CodeSystem/coverage-copay-type in valuesets.xml
    """
    UrgentCare = CoverageCopayTypeCodesCode("urgentcare")
    """
    A standard percentage applied to all classes or service or product not
    otherwise specified.
    From: http://terminology.hl7.org/CodeSystem/coverage-copay-type in valuesets.xml
    """
    CopayPercentage = CoverageCopayTypeCodesCode("copaypct")
    """
    A standard fixed currency amount applied to all classes or service or product
    not otherwise specified.
    From: http://terminology.hl7.org/CodeSystem/coverage-copay-type in valuesets.xml
    """
    CopayAmount = CoverageCopayTypeCodesCode("copay")
    """
    The accumulated amount of patient payment before the coverage begins to pay
    for services.
    From: http://terminology.hl7.org/CodeSystem/coverage-copay-type in valuesets.xml
    """
    Deductible = CoverageCopayTypeCodesCode("deductible")
    """
    The maximum amout of payment for services which a patient, or family, is
    expected to incur - typically annually.
    From: http://terminology.hl7.org/CodeSystem/coverage-copay-type in valuesets.xml
    """
    MaximumOutOfPocket = CoverageCopayTypeCodesCode("maxoutofpocket")
