from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CoverageEligibilityResponseAuthSupportCodesCode(GenericTypeCode):
    """
    CoverageEligibilityResponseAuthSupportCodes
    From: http://terminology.hl7.org/CodeSystem/coverageeligibilityresponse-ex-auth-support in valuesets.xml
        This value set includes CoverageEligibilityResponse Auth Support codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/coverageeligibilityresponse-ex-auth-support
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/coverageeligibilityresponse-ex-auth-support"


class CoverageEligibilityResponseAuthSupportCodesCodeValues:
    """
    A request or authorization for laboratory diagnostic tests.
    From: http://terminology.hl7.org/CodeSystem/coverageeligibilityresponse-ex-auth-support in valuesets.xml
    """

    LabOrder = CoverageEligibilityResponseAuthSupportCodesCode("laborder")
    """
    A report on laboratory diagnostic test(s).
    From: http://terminology.hl7.org/CodeSystem/coverageeligibilityresponse-ex-auth-support in valuesets.xml
    """
    LabReport = CoverageEligibilityResponseAuthSupportCodesCode("labreport")
    """
    A request or authorization for diagnostic imaging.
    From: http://terminology.hl7.org/CodeSystem/coverageeligibilityresponse-ex-auth-support in valuesets.xml
    """
    DiagnosticImageOrder = CoverageEligibilityResponseAuthSupportCodesCode(
        "diagnosticimageorder"
    )
    """
    A report on diagnostic image(s).
    From: http://terminology.hl7.org/CodeSystem/coverageeligibilityresponse-ex-auth-support in valuesets.xml
    """
    DiagnosticImageReport = CoverageEligibilityResponseAuthSupportCodesCode(
        "diagnosticimagereport"
    )
    """
    A report from a licensed professional regarding the siutation, condition or
    proposed treatment.
    From: http://terminology.hl7.org/CodeSystem/coverageeligibilityresponse-ex-auth-support in valuesets.xml
    """
    ProfessionalReport = CoverageEligibilityResponseAuthSupportCodesCode(
        "professionalreport"
    )
    """
    A formal accident report as would be filed with police or a simlar official
    body.
    From: http://terminology.hl7.org/CodeSystem/coverageeligibilityresponse-ex-auth-support in valuesets.xml
    """
    AccidentReport = CoverageEligibilityResponseAuthSupportCodesCode("accidentreport")
    """
    A physical model of the affected area.
    From: http://terminology.hl7.org/CodeSystem/coverageeligibilityresponse-ex-auth-support in valuesets.xml
    """
    Model = CoverageEligibilityResponseAuthSupportCodesCode("model")
    """
    A photograph of the affected area.
    From: http://terminology.hl7.org/CodeSystem/coverageeligibilityresponse-ex-auth-support in valuesets.xml
    """
    Picture = CoverageEligibilityResponseAuthSupportCodesCode("picture")
