from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class CurrenciesCode(GenericTypeCode):
    """
    Currencies
    From: http://hl7.org/fhir/ValueSet/currencies in valuesets.xml
        Currency codes from ISO 4217 (see https://www.iso.org/iso-4217-currency-
    codes.html)
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    urn:iso:std:iso:4217
    """
    codeset: FhirUri = "urn:iso:std:iso:4217"
