from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DataElementSDCObjectClassCode(GenericTypeCode):
    """
    DataElementSDCObjectClass
    From: http://hl7.org/fhir/ValueSet/dataelement-sdcobjectclass in valuesets.xml
        The allowed codes for identifying the ISO 11179 ObjectClass for a particular
    data element if intended for registration/use within the U.S. Structured Data
    Capture (SDC) project.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://loinc.org
    """
    codeset_loinc_org: FhirUri = "http://loinc.org"
    """
    http://snomed.info/sct
    """
    codeset_sct: FhirUri = "http://snomed.info/sct"
    """
    http://www.nlm.nih.gov/research/umls/rxnorm
    """
    codeset_rxnorm: FhirUri = "http://www.nlm.nih.gov/research/umls/rxnorm"
