from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DefinitionUseCodesCode(GenericTypeCode):
    """
    DefinitionUseCodes
    From: http://terminology.hl7.org/CodeSystem/definition-use in valuesets.xml
        Structure Definition Use Codes / Keywords
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/definition-use
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/definition-use"


class DefinitionUseCodesCodeValues:
    """
    This structure is defined as part of the base FHIR Specification
    From: http://terminology.hl7.org/CodeSystem/definition-use in valuesets.xml
    """

    FHIRStructure = DefinitionUseCodesCode("fhir-structure")
    """
    This structure is intended to be treated like a FHIR resource (e.g. on the
    FHIR API)
    From: http://terminology.hl7.org/CodeSystem/definition-use in valuesets.xml
    """
    CustomResource = DefinitionUseCodesCode("custom-resource")
    """
    This structure captures an analysis of a domain
    From: http://terminology.hl7.org/CodeSystem/definition-use in valuesets.xml
    """
    DomainAnalysisModel = DefinitionUseCodesCode("dam")
    """
    This structure represents and existing structure (e.g. CDA, HL7 v2)
    From: http://terminology.hl7.org/CodeSystem/definition-use in valuesets.xml
    """
    WireFormat = DefinitionUseCodesCode("wire-format")
    """
    This structure captures an analysis of a domain
    From: http://terminology.hl7.org/CodeSystem/definition-use in valuesets.xml
    """
    DomainAnalysisModel = DefinitionUseCodesCode("archetype")
    """
    This structure is a template (n.b: 'template' has many meanings)
    From: http://terminology.hl7.org/CodeSystem/definition-use in valuesets.xml
    """
    Template = DefinitionUseCodesCode("template")
