from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DesignationUseCode(GenericTypeCode):
    """
    DesignationUse
    From: http://hl7.org/fhir/ValueSet/designation-use in valuesets.xml
        Details of how a designation would be used
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class DesignationUseCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/designation-use in valuesets.xml
    """

    _900000000000003001 = DesignationUseCode("900000000000003001")
    """
    From: http://hl7.org/fhir/ValueSet/designation-use in valuesets.xml
    """
    _900000000000013009 = DesignationUseCode("900000000000013009")
