from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DetectedIssueSeverityCode(GenericTypeCode):
    """
    DetectedIssueSeverity
    From: http://hl7.org/fhir/detectedissue-severity in valuesets.xml
        Indicates the potential degree of impact of the identified issue on the
    patient.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/detectedissue-severity
    """
    codeset: FhirUri = "http://hl7.org/fhir/detectedissue-severity"


class DetectedIssueSeverityCodeValues:
    """
    Indicates the issue may be life-threatening or has the potential to cause
    permanent injury.
    From: http://hl7.org/fhir/detectedissue-severity in valuesets.xml
    """

    High = DetectedIssueSeverityCode("high")
    """
    Indicates the issue may result in noticeable adverse consequences but is
    unlikely to be life-threatening or cause permanent injury.
    From: http://hl7.org/fhir/detectedissue-severity in valuesets.xml
    """
    Moderate = DetectedIssueSeverityCode("moderate")
    """
    Indicates the issue may result in some adverse consequences but is unlikely to
    substantially affect the situation of the subject.
    From: http://hl7.org/fhir/detectedissue-severity in valuesets.xml
    """
    Low = DetectedIssueSeverityCode("low")
