from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceAlertLevel(GenericTypeCode):
    """
    v3.DeviceAlertLevel
    From: http://terminology.hl7.org/ValueSet/v3-DeviceAlertLevel in v3-codesystems.xml
         Domain values for the Device.Alert_levelCode
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-DeviceAlertLevel
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-DeviceAlertLevel"


class DeviceAlertLevelValues:
    """
    Shut Down, Fix Problem and Re-initialize
    From: http://terminology.hl7.org/CodeSystem/v3-DeviceAlertLevel in v3-codesystems.xml
    """

    Critical = DeviceAlertLevel("C")
    """
    No Corrective Action Needed
    From: http://terminology.hl7.org/CodeSystem/v3-DeviceAlertLevel in v3-codesystems.xml
    """
    Normal = DeviceAlertLevel("N")
    """
    Corrective Action Required
    From: http://terminology.hl7.org/CodeSystem/v3-DeviceAlertLevel in v3-codesystems.xml
    """
    Serious = DeviceAlertLevel("S")
    """
    Corrective Action Anticipated
    From: http://terminology.hl7.org/CodeSystem/v3-DeviceAlertLevel in v3-codesystems.xml
    """
    Warning = DeviceAlertLevel("W")
