from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceDefinitionPropertyCodeCode(GenericTypeCode):
    """
    DeviceDefinitionPropertyCode
    From: http://hl7.org/fhir/ValueSet/device-component-property in valuesets.xml
        Codes for identifying device properties.   This is based upon IEEE/HCD
    specified codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    urn:iso:std:iso:11073:10101
    """
    codeset: FhirUri = "urn:iso:std:iso:11073:10101"


class DeviceDefinitionPropertyCodeCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/device-component-property in valuesets.xml
    """

    MDC_TIME_CAP_STATE = DeviceDefinitionPropertyCodeCode("68219")
    """
    From: http://hl7.org/fhir/ValueSet/device-component-property in valuesets.xml
    """
    MDC_TIME_SYNC_PROTOCOL = DeviceDefinitionPropertyCodeCode("68220")
    """
    From: http://hl7.org/fhir/ValueSet/device-component-property in valuesets.xml
    """
    MDC_TIME_SYNC_ACCURACY = DeviceDefinitionPropertyCodeCode("68221")
    """
    From: http://hl7.org/fhir/ValueSet/device-component-property in valuesets.xml
    """
    MDC_TIME_RES_ABS = DeviceDefinitionPropertyCodeCode("68222")
    """
    From: http://hl7.org/fhir/ValueSet/device-component-property in valuesets.xml
    """
    MDC_TIME_RES_REL = DeviceDefinitionPropertyCodeCode("68223")
    """
    From: http://hl7.org/fhir/ValueSet/device-component-property in valuesets.xml
    """
    MDC_TIME_RES_REL_HI_RES = DeviceDefinitionPropertyCodeCode("68224")
    """
    From: http://hl7.org/fhir/ValueSet/device-component-property in valuesets.xml
    """
    MDC_TIME_RES_BO = DeviceDefinitionPropertyCodeCode("68226")
    """
    From: http://hl7.org/fhir/ValueSet/device-component-property in valuesets.xml
    """
    MDC_REG_CERT_DATA_CONTINUA_CERT_DEV_LIST = DeviceDefinitionPropertyCodeCode(
        "532353"
    )
    """
    From: http://hl7.org/fhir/ValueSet/device-component-property in valuesets.xml
    """
    MDC_REG_CERT_DATA_CONTINUA_REG_STATUS = DeviceDefinitionPropertyCodeCode("532354")
    """
    From: http://hl7.org/fhir/ValueSet/device-component-property in valuesets.xml
    """
    MDC_REG_CERT_DATA_CONTINUA_PHG_CERT_LIST = DeviceDefinitionPropertyCodeCode(
        "532355"
    )
