from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceMetricCalibrationTypeCode(GenericTypeCode):
    """
    DeviceMetricCalibrationType
    From: http://hl7.org/fhir/metric-calibration-type in valuesets.xml
        Describes the type of a metric calibration.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/metric-calibration-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/metric-calibration-type"


class DeviceMetricCalibrationTypeCodeValues:
    """
    Metric calibration method has not been identified.
    From: http://hl7.org/fhir/metric-calibration-type in valuesets.xml
    """

    Unspecified = DeviceMetricCalibrationTypeCode("unspecified")
    """
    Offset metric calibration method.
    From: http://hl7.org/fhir/metric-calibration-type in valuesets.xml
    """
    Offset = DeviceMetricCalibrationTypeCode("offset")
    """
    Gain metric calibration method.
    From: http://hl7.org/fhir/metric-calibration-type in valuesets.xml
    """
    Gain = DeviceMetricCalibrationTypeCode("gain")
    """
    Two-point metric calibration method.
    From: http://hl7.org/fhir/metric-calibration-type in valuesets.xml
    """
    TwoPoint = DeviceMetricCalibrationTypeCode("two-point")
