from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceMetricCategoryCode(GenericTypeCode):
    """
    DeviceMetricCategory
    From: http://hl7.org/fhir/metric-category in valuesets.xml
        Describes the category of the metric.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/metric-category
    """
    codeset: FhirUri = "http://hl7.org/fhir/metric-category"


class DeviceMetricCategoryCodeValues:
    """
    DeviceObservations generated for this DeviceMetric are measured.
    From: http://hl7.org/fhir/metric-category in valuesets.xml
    """

    Measurement = DeviceMetricCategoryCode("measurement")
    """
    DeviceObservations generated for this DeviceMetric is a setting that will
    influence the behavior of the Device.
    From: http://hl7.org/fhir/metric-category in valuesets.xml
    """
    Setting = DeviceMetricCategoryCode("setting")
    """
    DeviceObservations generated for this DeviceMetric are calculated.
    From: http://hl7.org/fhir/metric-category in valuesets.xml
    """
    Calculation = DeviceMetricCategoryCode("calculation")
    """
    The category of this DeviceMetric is unspecified.
    From: http://hl7.org/fhir/metric-category in valuesets.xml
    """
    Unspecified = DeviceMetricCategoryCode("unspecified")
