from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceMetricColorCode(GenericTypeCode):
    """
    DeviceMetricColor
    From: http://hl7.org/fhir/metric-color in valuesets.xml
        Describes the typical color of representation.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/metric-color
    """
    codeset: FhirUri = "http://hl7.org/fhir/metric-color"


class DeviceMetricColorCodeValues:
    """
    Color for representation - black.
    From: http://hl7.org/fhir/metric-color in valuesets.xml
    """

    ColorBlack = DeviceMetricColorCode("black")
    """
    Color for representation - red.
    From: http://hl7.org/fhir/metric-color in valuesets.xml
    """
    ColorRed = DeviceMetricColorCode("red")
    """
    Color for representation - green.
    From: http://hl7.org/fhir/metric-color in valuesets.xml
    """
    ColorGreen = DeviceMetricColorCode("green")
    """
    Color for representation - yellow.
    From: http://hl7.org/fhir/metric-color in valuesets.xml
    """
    ColorYellow = DeviceMetricColorCode("yellow")
    """
    Color for representation - blue.
    From: http://hl7.org/fhir/metric-color in valuesets.xml
    """
    ColorBlue = DeviceMetricColorCode("blue")
    """
    Color for representation - magenta.
    From: http://hl7.org/fhir/metric-color in valuesets.xml
    """
    ColorMagenta = DeviceMetricColorCode("magenta")
    """
    Color for representation - cyan.
    From: http://hl7.org/fhir/metric-color in valuesets.xml
    """
    ColorCyan = DeviceMetricColorCode("cyan")
    """
    Color for representation - white.
    From: http://hl7.org/fhir/metric-color in valuesets.xml
    """
    ColorWhite = DeviceMetricColorCode("white")
