from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceMetricOperationalStatusCode(GenericTypeCode):
    """
    DeviceMetricOperationalStatus
    From: http://hl7.org/fhir/metric-operational-status in valuesets.xml
        Describes the operational status of the DeviceMetric.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/metric-operational-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/metric-operational-status"


class DeviceMetricOperationalStatusCodeValues:
    """
    The DeviceMetric is operating and will generate DeviceObservations.
    From: http://hl7.org/fhir/metric-operational-status in valuesets.xml
    """

    On = DeviceMetricOperationalStatusCode("on")
    """
    The DeviceMetric is not operating.
    From: http://hl7.org/fhir/metric-operational-status in valuesets.xml
    """
    Off = DeviceMetricOperationalStatusCode("off")
    """
    The DeviceMetric is operating, but will not generate any DeviceObservations.
    From: http://hl7.org/fhir/metric-operational-status in valuesets.xml
    """
    Standby = DeviceMetricOperationalStatusCode("standby")
    """
    The DeviceMetric was entered in error.
    From: http://hl7.org/fhir/metric-operational-status in valuesets.xml
    """
    EnteredInError = DeviceMetricOperationalStatusCode("entered-in-error")
