from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceNameTypeCode(GenericTypeCode):
    """
    DeviceNameType
    From: http://hl7.org/fhir/device-nametype in valuesets.xml
        The type of name the device is referred by.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/device-nametype
    """
    codeset: FhirUri = "http://hl7.org/fhir/device-nametype"


class DeviceNameTypeCodeValues:
    """
    UDI Label name.
    From: http://hl7.org/fhir/device-nametype in valuesets.xml
    """

    UDILabelName = DeviceNameTypeCode("udi-label-name")
    """
    User Friendly name.
    From: http://hl7.org/fhir/device-nametype in valuesets.xml
    """
    UserFriendlyName = DeviceNameTypeCode("user-friendly-name")
    """
    Patient Reported name.
    From: http://hl7.org/fhir/device-nametype in valuesets.xml
    """
    PatientReportedName = DeviceNameTypeCode("patient-reported-name")
    """
    Manufacturer name.
    From: http://hl7.org/fhir/device-nametype in valuesets.xml
    """
    ManufacturerName = DeviceNameTypeCode("manufacturer-name")
    """
    Model name.
    From: http://hl7.org/fhir/device-nametype in valuesets.xml
    """
    ModelName = DeviceNameTypeCode("model-name")
    """
    other.
    From: http://hl7.org/fhir/device-nametype in valuesets.xml
    """
    Other = DeviceNameTypeCode("other")
