from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceSafetyCode(GenericTypeCode):
    """
    DeviceSafety
    From: http://hl7.org/fhir/ValueSet/device-safety in valuesets.xml
        Codes used to identify medical devices safety characteristics. These codes are
    taken from the [NCI
    Thesaurus](https://ncit.nci.nih.gov/ncitbrowser/pages/home.jsf) and are
    provided here as a suggestive example.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    urn:oid:2.16.840.1.113883.3.26.1.1
    """
    codeset: FhirUri = "urn:oid:2.16.840.1.113883.3.26.1.1"


class DeviceSafetyCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/device-safety in valuesets.xml
    """

    MagneticResonanceConditional = DeviceSafetyCode("C106046")
    """
    From: http://hl7.org/fhir/ValueSet/device-safety in valuesets.xml
    """
    MagneticResonanceSafe = DeviceSafetyCode("C106045")
    """
    From: http://hl7.org/fhir/ValueSet/device-safety in valuesets.xml
    """
    MagneticResonanceUnsafe = DeviceSafetyCode("C106047")
    """
    From: http://hl7.org/fhir/ValueSet/device-safety in valuesets.xml
    """
    LabelingDoesNotContainMRISafetyInformation = DeviceSafetyCode("C113844")
    """
    From: http://hl7.org/fhir/ValueSet/device-safety in valuesets.xml
    """
    LabeledAsContainingNaturalRubberLatex = DeviceSafetyCode("C101673")
    """
    From: http://hl7.org/fhir/ValueSet/device-safety in valuesets.xml
    """
    NotMadeWithNaturalRubberLatex = DeviceSafetyCode("C106038")
