from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DeviceTypeCode(GenericTypeCode):
    """
    DeviceType
    From: http://hl7.org/fhir/ValueSet/device-type in valuesets.xml
        Codes used to identify medical devices. Includes concepts from SNOMED CT
    (http://www.snomed.org/) where concept is-a 49062001 (Device)  and is provided
    as a suggestive example.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"
