from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DiagnosisRoleCode(GenericTypeCode):
    """
    DiagnosisRole
    From: http://terminology.hl7.org/CodeSystem/diagnosis-role in valuesets.xml
        This value set defines a set of codes that can be used to express the role of
    a diagnosis on the Encounter or EpisodeOfCare record.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/diagnosis-role
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/diagnosis-role"


class DiagnosisRoleCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/diagnosis-role in valuesets.xml
    """

    AdmissionDiagnosis = DiagnosisRoleCode("AD")
    """
    From: http://terminology.hl7.org/CodeSystem/diagnosis-role in valuesets.xml
    """
    DischargeDiagnosis = DiagnosisRoleCode("DD")
    """
    From: http://terminology.hl7.org/CodeSystem/diagnosis-role in valuesets.xml
    """
    ChiefComplaint = DiagnosisRoleCode("CC")
    """
    From: http://terminology.hl7.org/CodeSystem/diagnosis-role in valuesets.xml
    """
    ComorbidityDiagnosis = DiagnosisRoleCode("CM")
    """
    From: http://terminology.hl7.org/CodeSystem/diagnosis-role in valuesets.xml
    """
    Pre_opDiagnosis = DiagnosisRoleCode("pre-op")
    """
    From: http://terminology.hl7.org/CodeSystem/diagnosis-role in valuesets.xml
    """
    Post_opDiagnosis = DiagnosisRoleCode("post-op")
    """
    From: http://terminology.hl7.org/CodeSystem/diagnosis-role in valuesets.xml
    """
    Billing = DiagnosisRoleCode("billing")
