from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DiagnosticAttachmentTypeCode(GenericTypeCode):
    """
    DiagnosticAttachmentType
    From: http://hl7.org/fhir/ValueSet/diagnostic-based-on-snomed in valuesets.xml
        Diagnostic Attachment Type codes from [SNOMED CT](http://snomed.info/sct)
    where concept is-a 182836005 (Review of medication (procedure)) or is-a
    404684003 (Clinical finding (finding))
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"
