from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DocumentModeCode(GenericTypeCode):
    """
    DocumentMode
    From: http://hl7.org/fhir/document-mode in valuesets.xml
        Whether the application produces or consumes documents.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/document-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/document-mode"


class DocumentModeCodeValues:
    """
    The application produces documents of the specified type.
    From: http://hl7.org/fhir/document-mode in valuesets.xml
    """

    Producer = DocumentModeCode("producer")
    """
    The application consumes documents of the specified type.
    From: http://hl7.org/fhir/document-mode in valuesets.xml
    """
    Consumer = DocumentModeCode("consumer")
