from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DocumentRelationshipTypeCode(GenericTypeCode):
    """
    DocumentRelationshipType
    From: http://hl7.org/fhir/document-relationship-type in valuesets.xml
        The type of relationship between documents.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/document-relationship-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/document-relationship-type"


class DocumentRelationshipTypeCodeValues:
    """
    This document logically replaces or supersedes the target document.
    From: http://hl7.org/fhir/document-relationship-type in valuesets.xml
    """

    Replaces = DocumentRelationshipTypeCode("replaces")
    """
    This document was generated by transforming the target document (e.g. format
    or language conversion).
    From: http://hl7.org/fhir/document-relationship-type in valuesets.xml
    """
    Transforms = DocumentRelationshipTypeCode("transforms")
    """
    This document is a signature of the target document.
    From: http://hl7.org/fhir/document-relationship-type in valuesets.xml
    """
    Signs = DocumentRelationshipTypeCode("signs")
    """
    This document adds additional information to the target document.
    From: http://hl7.org/fhir/document-relationship-type in valuesets.xml
    """
    Appends = DocumentRelationshipTypeCode("appends")
