from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DocumentStorage(GenericTypeCode):
    """
    v3.DocumentStorage
    From: http://terminology.hl7.org/ValueSet/v3-DocumentStorage in v3-codesystems.xml
         Identifies the storage status of a document.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-DocumentStorage
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-DocumentStorage"


class DocumentStorageValues:
    """
    A storage status in which a document is available on-line.
    From: http://terminology.hl7.org/CodeSystem/v3-DocumentStorage in v3-codesystems.xml
    """

    Active = DocumentStorage("AC")
    """
    A storage status in which a document has been stored off-line for long-term
    access.
    From: http://terminology.hl7.org/CodeSystem/v3-DocumentStorage in v3-codesystems.xml
    """
    Archived_notActive_ = DocumentStorage("AR")
    """
    A storage status in which a document is no longer available in this system.
    From: http://terminology.hl7.org/CodeSystem/v3-DocumentStorage in v3-codesystems.xml
    """
    Purged = DocumentStorage("PU")
