from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EligibilityRequestPurposeCode(GenericTypeCode):
    """
    EligibilityRequestPurpose
    From: http://hl7.org/fhir/eligibilityrequest-purpose in valuesets.xml
        A code specifying the types of information being requested.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/eligibilityrequest-purpose
    """
    codeset: FhirUri = "http://hl7.org/fhir/eligibilityrequest-purpose"


class EligibilityRequestPurposeCodeValues:
    """
    The prior authorization requirements for the listed, or discovered if
    specified, converages for the categories of service and/or specifed biling
    codes are requested.
    From: http://hl7.org/fhir/eligibilityrequest-purpose in valuesets.xml
    """

    CoverageAuth_requirements = EligibilityRequestPurposeCode("auth-requirements")
    """
    The plan benefits and optionally benefits consumed  for the listed, or
    discovered if specified, converages are requested.
    From: http://hl7.org/fhir/eligibilityrequest-purpose in valuesets.xml
    """
    CoverageBenefits = EligibilityRequestPurposeCode("benefits")
    """
    The insurer is requested to report on any coverages which they are aware of in
    addition to any specifed.
    From: http://hl7.org/fhir/eligibilityrequest-purpose in valuesets.xml
    """
    CoverageDiscovery = EligibilityRequestPurposeCode("discovery")
    """
    A check that the specified coverages are in-force is requested.
    From: http://hl7.org/fhir/eligibilityrequest-purpose in valuesets.xml
    """
    CoverageValidation = EligibilityRequestPurposeCode("validation")
