from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EmployeeJobClass(GenericTypeCode):
    """
    v3.EmployeeJobClass
    From: http://terminology.hl7.org/ValueSet/v3-EmployeeJobClass in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-EmployeeJobClass
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-EmployeeJobClass"


class EmployeeJobClassValues:
    """
    Employment in which the employee is expected to work at least a standard work
    week (defined by the US Bureau of Labor Statistics as 35-44 hours per week)
    From: http://terminology.hl7.org/CodeSystem/v3-EmployeeJobClass in v3-codesystems.xml
    """

    Full_time = EmployeeJobClass("FT")
    """
    Employment in which the employee is expected to work less than a standard work
    week (defined by the US Bureau of Labor Statistics as 35-44 hours per week)
    From: http://terminology.hl7.org/CodeSystem/v3-EmployeeJobClass in v3-codesystems.xml
    """
    Part_time = EmployeeJobClass("PT")
