from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EncounterAdmissionSource(GenericTypeCode):
    """
    v3.EncounterAdmissionSource
    From: http://terminology.hl7.org/ValueSet/v3-EncounterAdmissionSource in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-EncounterAdmissionSource
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/v3-EncounterAdmissionSource"
    )


class EncounterAdmissionSourceValues:
    """
    emergency
    From: http://terminology.hl7.org/CodeSystem/v3-EncounterAdmissionSource in v3-codesystems.xml
    """

    Emergency = EncounterAdmissionSource("E")
    """
    labor and delivery
    From: http://terminology.hl7.org/CodeSystem/v3-EncounterAdmissionSource in v3-codesystems.xml
    """
    LaborAndDelivery = EncounterAdmissionSource("LD")
    """
    newborn
    From: http://terminology.hl7.org/CodeSystem/v3-EncounterAdmissionSource in v3-codesystems.xml
    """
    Newborn = EncounterAdmissionSource("NB")
