from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EncounterLocationStatusCode(GenericTypeCode):
    """
    EncounterLocationStatus
    From: http://hl7.org/fhir/encounter-location-status in valuesets.xml
        The status of the location.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/encounter-location-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/encounter-location-status"


class EncounterLocationStatusCodeValues:
    """
    The patient is planned to be moved to this location at some point in the
    future.
    From: http://hl7.org/fhir/encounter-location-status in valuesets.xml
    """

    Planned = EncounterLocationStatusCode("planned")
    """
    The patient is currently at this location, or was between the period
    specified.
    
    A system may update these records when the patient leaves the location to
    either reserved, or completed.
    From: http://hl7.org/fhir/encounter-location-status in valuesets.xml
    """
    Active = EncounterLocationStatusCode("active")
    """
    This location is held empty for this patient.
    From: http://hl7.org/fhir/encounter-location-status in valuesets.xml
    """
    Reserved = EncounterLocationStatusCode("reserved")
    """
    The patient was at this location during the period specified.
    
    Not to be used when the patient is currently at the location.
    From: http://hl7.org/fhir/encounter-location-status in valuesets.xml
    """
    Completed = EncounterLocationStatusCode("completed")
