from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EncounterSpecialCourtesy(GenericTypeCode):
    """
    v3.EncounterSpecialCourtesy
    From: http://terminology.hl7.org/ValueSet/v3-EncounterSpecialCourtesy in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-EncounterSpecialCourtesy
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/v3-EncounterSpecialCourtesy"
    )


class EncounterSpecialCourtesyValues:
    """
    extended courtesy
    From: http://terminology.hl7.org/CodeSystem/v3-EncounterSpecialCourtesy in v3-codesystems.xml
    """

    ExtendedCourtesy = EncounterSpecialCourtesy("EXT")
    """
    normal courtesy
    From: http://terminology.hl7.org/CodeSystem/v3-EncounterSpecialCourtesy in v3-codesystems.xml
    """
    NormalCourtesy = EncounterSpecialCourtesy("NRM")
    """
    professional courtesy
    From: http://terminology.hl7.org/CodeSystem/v3-EncounterSpecialCourtesy in v3-codesystems.xml
    """
    ProfessionalCourtesy = EncounterSpecialCourtesy("PRF")
    """
    Courtesies extended to the staff of the entity providing service.
    From: http://terminology.hl7.org/CodeSystem/v3-EncounterSpecialCourtesy in v3-codesystems.xml
    """
    Staff = EncounterSpecialCourtesy("STF")
    """
    very important person
    From: http://terminology.hl7.org/CodeSystem/v3-EncounterSpecialCourtesy in v3-codesystems.xml
    """
    VeryImportantPerson = EncounterSpecialCourtesy("VIP")
