from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EnteralRouteCodesCode(GenericTypeCode):
    """
    EnteralRouteCodes
    From: http://hl7.org/fhir/ValueSet/enteral-route in valuesets.xml
        EnteralRouteOfAdministration: Codes specifying the route of administration of
    enteral formula.  This value set is composed of HL7 V3 codes and is provided
    as a suggestive example.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-RouteOfAdministration
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-RouteOfAdministration"


class EnteralRouteCodesCodeValues:
    """
    Route of substance administration classified by administration method.
    From: http://terminology.hl7.org/CodeSystem/v3-RouteOfAdministration in v3-codesystems.xml
    """

    RouteByMethod = EnteralRouteCodesCode("_RouteByMethod")
    """
    Route of substance administration classified by site.
    From: http://terminology.hl7.org/CodeSystem/v3-RouteOfAdministration in v3-codesystems.xml
    """
    RouteBySite = EnteralRouteCodesCode("_RouteBySite")
    """
    From: http://hl7.org/fhir/ValueSet/enteral-route in valuesets.xml
    """
    PO = EnteralRouteCodesCode("PO")
    """
    From: http://hl7.org/fhir/ValueSet/enteral-route in valuesets.xml
    """
    EFT = EnteralRouteCodesCode("EFT")
    """
    From: http://hl7.org/fhir/ValueSet/enteral-route in valuesets.xml
    """
    ENTINSTL = EnteralRouteCodesCode("ENTINSTL")
    """
    From: http://hl7.org/fhir/ValueSet/enteral-route in valuesets.xml
    """
    GT = EnteralRouteCodesCode("GT")
    """
    From: http://hl7.org/fhir/ValueSet/enteral-route in valuesets.xml
    """
    NGT = EnteralRouteCodesCode("NGT")
    """
    From: http://hl7.org/fhir/ValueSet/enteral-route in valuesets.xml
    """
    OGT = EnteralRouteCodesCode("OGT")
    """
    From: http://hl7.org/fhir/ValueSet/enteral-route in valuesets.xml
    """
    GJT = EnteralRouteCodesCode("GJT")
    """
    From: http://hl7.org/fhir/ValueSet/enteral-route in valuesets.xml
    """
    JJTINSTL = EnteralRouteCodesCode("JJTINSTL")
    """
    From: http://hl7.org/fhir/ValueSet/enteral-route in valuesets.xml
    """
    OJJ = EnteralRouteCodesCode("OJJ")
