from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EntityClass(GenericTypeCode):
    """
    v3.EntityClass
    From: http://terminology.hl7.org/ValueSet/v3-EntityClass in v3-codesystems.xml
         Classifies the Entity class and all of its subclasses.  The terminology is
    hierarchical.  At the top is this  HL7-defined domain of high-level categories
    (such as represented by the Entity subclasses). Each of these terms must be
    harmonized and is specializable. The value sets beneath are drawn from
    multiple, frequently external, domains that reflect much more fine-grained
    typing.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-EntityClass
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-EntityClass"


class EntityClassValues:
    """
    Corresponds to the Entity class
    From: http://terminology.hl7.org/CodeSystem/v3-EntityClass in v3-codesystems.xml
    """

    Entity = EntityClass("ENT")
