from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EntityClassPlace(GenericTypeCode):
    """
    v3.EntityClassPlace
    From: http://terminology.hl7.org/ValueSet/v3-EntityClassPlace in v3-codesystems.xml
         A physicial place or site with its containing structure. May be natural or
    man-made.  The geographic position of a place may or may not be constant.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-EntityClass
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-EntityClass"


class EntityClassPlaceValues:
    """
    Corresponds to the Entity class
    From: http://terminology.hl7.org/CodeSystem/v3-EntityClass in v3-codesystems.xml
    """

    Entity = EntityClassPlace("ENT")
