from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EntityCode(GenericTypeCode):
    """
    v3.EntityCode
    From: http://terminology.hl7.org/ValueSet/v3-EntityCode in v3-codesystems.xml
          OpenIssue:
    Missing description.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-EntityCode
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-EntityCode"


class EntityCodeValues:
    """
    Types of Material for EntityClass "MAT"
    From: http://terminology.hl7.org/CodeSystem/v3-EntityCode in v3-codesystems.xml
    """

    MaterialEntityClassType = EntityCode("_MaterialEntityClassType")
    """
    Indicates types of allergy and intolerance agents which are non-drugs.  (E.g.
    foods, latex, etc.)
    From: http://terminology.hl7.org/CodeSystem/v3-EntityCode in v3-codesystems.xml
    """
    NonDrugAgentEntity = EntityCode("_NonDrugAgentEntity")
    """
    Further classifies entities of classCode ORG.
    From: http://terminology.hl7.org/CodeSystem/v3-EntityCode in v3-codesystems.xml
    """
    OrganizationEntityType = EntityCode("_OrganizationEntityType")
    """
    Types of places for EntityClass "PLC"
    From: http://terminology.hl7.org/CodeSystem/v3-EntityCode in v3-codesystems.xml
    """
    PlaceEntityType = EntityCode("_PlaceEntityType")
    """
    Codes to characterize a Resource Group using categories that typify its
    membership and/or function
    
                            .
    
    
                               Example: PractitionerGroup
    From: http://terminology.hl7.org/CodeSystem/v3-EntityCode in v3-codesystems.xml
    """
    ResourceGroupEntityType = EntityCode("_ResourceGroupEntityType")
