from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EntityNamePartType(GenericTypeCode):
    """
    v3.EntityNamePartType
    From: http://terminology.hl7.org/ValueSet/v3-EntityNamePartType in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-EntityNamePartType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-EntityNamePartType"


class EntityNamePartTypeValues:
    """
    A delimiter has no meaning other than being literally printed in this name
    representation.  A delimiter has no implicit leading and trailing white space.
    From: http://terminology.hl7.org/CodeSystem/v3-EntityNamePartType in v3-codesystems.xml
    """

    Delimiter = EntityNamePartType("DEL")
    """
    Family name, this is the name that links to the genealogy. In some cultures
    (e.g. Eritrea) the family name of a son is the first name of his father.
    From: http://terminology.hl7.org/CodeSystem/v3-EntityNamePartType in v3-codesystems.xml
    """
    Family = EntityNamePartType("FAM")
    """
    Given name (don't call it "first name" since this given names do not always
    come first)
    From: http://terminology.hl7.org/CodeSystem/v3-EntityNamePartType in v3-codesystems.xml
    """
    Given = EntityNamePartType("GIV")
    """
    A prefix has a strong association to the immediately following name part. A
    prefix has no implicit trailing white space (it has implicit leading white
    space though). Note that prefixes can be inverted.
    From: http://terminology.hl7.org/CodeSystem/v3-EntityNamePartType in v3-codesystems.xml
    """
    Prefix = EntityNamePartType("PFX")
    """
    Description:A suffix has a strong association to the immediately preceding
    name part. A suffix has no implicit leading white space (it has implicit
    trailing white space though). Suffices cannot be inverted.
    From: http://terminology.hl7.org/CodeSystem/v3-EntityNamePartType in v3-codesystems.xml
    """
    Suffix = EntityNamePartType("SFX")
