from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EntityStatus(GenericTypeCode):
    """
    v3.EntityStatus
    From: http://terminology.hl7.org/ValueSet/v3-EntityStatus in v3-codesystems.xml
         Codes representing the defined possible states of an Entity, as defined by
    the Entity class state machine.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-EntityStatus
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-EntityStatus"


class EntityStatusValues:
    """
    The 'typical' state. Excludes "nullified" which represents the termination
    state of an Entity record instance that was created in error.
    From: http://terminology.hl7.org/CodeSystem/v3-EntityStatus in v3-codesystems.xml
    """

    Normal = EntityStatus("normal")
    """
    The state representing the termination of an Entity record instance that was
    created in error.
    From: http://terminology.hl7.org/CodeSystem/v3-EntityStatus in v3-codesystems.xml
    """
    Nullified = EntityStatus("nullified")
