from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EpisodeOfCareTypeCode(GenericTypeCode):
    """
    EpisodeOfCareType
    From: http://terminology.hl7.org/CodeSystem/episodeofcare-type in valuesets.xml
        This example value set defines a set of codes that can be used to express the
    usage type of an EpisodeOfCare record.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/episodeofcare-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/episodeofcare-type"


class EpisodeOfCareTypeCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/episodeofcare-type in valuesets.xml
    """

    HomeAndCommunityCare = EpisodeOfCareTypeCode("hacc")
    """
    From: http://terminology.hl7.org/CodeSystem/episodeofcare-type in valuesets.xml
    """
    PostAcuteCare = EpisodeOfCareTypeCode("pac")
    """
    From: http://terminology.hl7.org/CodeSystem/episodeofcare-type in valuesets.xml
    """
    PostCoordinatedDiabetesProgram = EpisodeOfCareTypeCode("diab")
    """
    From: http://terminology.hl7.org/CodeSystem/episodeofcare-type in valuesets.xml
    """
    DrugAndAlcoholRehabilitation = EpisodeOfCareTypeCode("da")
    """
    From: http://terminology.hl7.org/CodeSystem/episodeofcare-type in valuesets.xml
    """
    Community_basedAgedCare = EpisodeOfCareTypeCode("cacp")
