from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EvidenceVariableTypeCode(GenericTypeCode):
    """
    EvidenceVariableType
    From: http://hl7.org/fhir/variable-type in valuesets.xml
        The possible types of variables for exposures or outcomes (E.g. Dichotomous,
    Continuous, Descriptive).
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/variable-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/variable-type"


class EvidenceVariableTypeCodeValues:
    """
    The variable is dichotomous, such as present or absent.
    From: http://hl7.org/fhir/variable-type in valuesets.xml
    """

    Dichotomous = EvidenceVariableTypeCode("dichotomous")
    """
    The variable is a continuous result such as a quantity.
    From: http://hl7.org/fhir/variable-type in valuesets.xml
    """
    Continuous = EvidenceVariableTypeCode("continuous")
    """
    The variable is described narratively rather than quantitatively.
    From: http://hl7.org/fhir/variable-type in valuesets.xml
    """
    Descriptive = EvidenceVariableTypeCode("descriptive")
