from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleClaimSubTypeCodesCode(GenericTypeCode):
    """
    ExampleClaimSubTypeCodes
    From: http://terminology.hl7.org/CodeSystem/ex-claimsubtype in valuesets.xml
        This value set includes sample Claim SubType codes which are used to
    distinguish the claim types for example within type institutional there may be
    subtypes for emergency services, bed stay and transportation.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/ex-claimsubtype
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/ex-claimsubtype"


class ExampleClaimSubTypeCodesCodeValues:
    """
    A claim for Orthodontic Services.
    From: http://terminology.hl7.org/CodeSystem/ex-claimsubtype in valuesets.xml
    """

    OrthodonticClaim = ExampleClaimSubTypeCodesCode("ortho")
    """
    A claim for emergency services.
    From: http://terminology.hl7.org/CodeSystem/ex-claimsubtype in valuesets.xml
    """
    EmergencyClaim = ExampleClaimSubTypeCodesCode("emergency")
