from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleCoverageFinancialExceptionCodesCode(GenericTypeCode):
    """
    ExampleCoverageFinancialExceptionCodes
    From: http://terminology.hl7.org/CodeSystem/ex-coverage-financial-exception in valuesets.xml
        This value set includes Example Coverage Financial Exception Codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/ex-coverage-financial-exception
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/ex-coverage-financial-exception"
    )


class ExampleCoverageFinancialExceptionCodesCodeValues:
    """
    Retired persons have all copays and deductibles reduced.
    From: http://terminology.hl7.org/CodeSystem/ex-coverage-financial-exception in valuesets.xml
    """

    Retired = ExampleCoverageFinancialExceptionCodesCode("retired")
    """
    Children in the foster care have all copays and deductibles waived.
    From: http://terminology.hl7.org/CodeSystem/ex-coverage-financial-exception in valuesets.xml
    """
    FosterChild = ExampleCoverageFinancialExceptionCodesCode("foster")
