from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleDiagnosisOnAdmissionCodesCode(GenericTypeCode):
    """
    ExampleDiagnosisOnAdmissionCodes
    From: http://terminology.hl7.org/CodeSystem/ex-diagnosis-on-admission in valuesets.xml
        This value set includes example Diagnosis on Admission codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/ex-diagnosis-on-admission
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/ex-diagnosis-on-admission"


class ExampleDiagnosisOnAdmissionCodesCodeValues:
    """
    Diagnosis was present at time of inpatient admission.
    From: http://terminology.hl7.org/CodeSystem/ex-diagnosis-on-admission in valuesets.xml
    """

    Yes = ExampleDiagnosisOnAdmissionCodesCode("y")
    """
    Diagnosis was not present at time of inpatient admission.
    From: http://terminology.hl7.org/CodeSystem/ex-diagnosis-on-admission in valuesets.xml
    """
    No = ExampleDiagnosisOnAdmissionCodesCode("n")
    """
    Documentation insufficient to determine if condition was present at the time
    of inpatient admission.
    From: http://terminology.hl7.org/CodeSystem/ex-diagnosis-on-admission in valuesets.xml
    """
    Unknown = ExampleDiagnosisOnAdmissionCodesCode("u")
    """
    Clinically undetermined. Provider unable to clinically determine whether the
    condition was present at the time of inpatient admission.
    From: http://terminology.hl7.org/CodeSystem/ex-diagnosis-on-admission in valuesets.xml
    """
    Undetermined = ExampleDiagnosisOnAdmissionCodesCode("w")
