from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleHierarchicalValueSetCode(GenericTypeCode):
    """
    Example Hierarchical ValueSet
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
        Demonstration of extensions that build a hierarchical contains
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    #hacked
    """
    codeset: FhirUri = "#hacked"


class ExampleHierarchicalValueSetCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """

    Invalid = ExampleHierarchicalValueSetCode("invalid")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Structure = ExampleHierarchicalValueSetCode("structure")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Required = ExampleHierarchicalValueSetCode("required")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Value = ExampleHierarchicalValueSetCode("value")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Processing = ExampleHierarchicalValueSetCode("processing")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Duplicate = ExampleHierarchicalValueSetCode("duplicate")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Not_found = ExampleHierarchicalValueSetCode("not-found")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Conflict = ExampleHierarchicalValueSetCode("conflict")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Lock = ExampleHierarchicalValueSetCode("lock")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Exception = ExampleHierarchicalValueSetCode("exception")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Tbrottled = ExampleHierarchicalValueSetCode("tbrottled")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Login = ExampleHierarchicalValueSetCode("login")
    """
    From: http://hl7.org/fhir/ValueSet/example-hierarchical in valuesets.xml
    """
    Unknown = ExampleHierarchicalValueSetCode("unknown")
