from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Example_inactiveCode(GenericTypeCode):
    """
    Example-inactive
    From: http://hl7.org/fhir/ValueSet/inactive in valuesets.xml
        HL7 v3 ActMood Predicate codes, including inactive codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ActMood
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ActMood"


class Example_inactiveCodeValues:
    """
    These are moods describing activities as they progress in the business cycle,
    from defined, through planned and ordered to completed.
    From: http://terminology.hl7.org/CodeSystem/v3-ActMood in v3-codesystems.xml
    """

    ActMoodCompletionTrack = Example_inactiveCode("_ActMoodCompletionTrack")
    """
    Definition: An act that expresses condition statements for other acts.
    From: http://terminology.hl7.org/CodeSystem/v3-ActMood in v3-codesystems.xml
    """
    ActMoodPredicate = Example_inactiveCode("_ActMoodPredicate")
