from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleOnsetType_Reason_CodesCode(GenericTypeCode):
    """
    ExampleOnsetType(Reason)Codes
    From: http://hl7.org/fhir/ex-onsettype in valuesets.xml
        This value set includes example Onset Type codes which are used to identify
    the event for which the onset, starting date, is required.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ex-onsettype
    """
    codeset: FhirUri = "http://hl7.org/fhir/ex-onsettype"


class ExampleOnsetType_Reason_CodesCodeValues:
    """
    Date of last examination.
    From: http://hl7.org/fhir/ex-onsettype in valuesets.xml
    """

    LastExam = ExampleOnsetType_Reason_CodesCode("lxm")
    """
    Date when symptoms were first noticed.
    From: http://hl7.org/fhir/ex-onsettype in valuesets.xml
    """
    StartOfSymptoms = ExampleOnsetType_Reason_CodesCode("sym")
    """
    Start date of last menstruation.
    From: http://hl7.org/fhir/ex-onsettype in valuesets.xml
    """
    LastMenstruation = ExampleOnsetType_Reason_CodesCode("lmn")
