from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExamplePaymentTypeCodesCode(GenericTypeCode):
    """
    ExamplePaymentTypeCodes
    From: http://terminology.hl7.org/CodeSystem/ex-paymenttype in valuesets.xml
        This value set includes example Payment Type codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/ex-paymenttype
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/ex-paymenttype"


class ExamplePaymentTypeCodesCodeValues:
    """
    Complete (final) payment of the benefit under the Claim less any adjustments.
    From: http://terminology.hl7.org/CodeSystem/ex-paymenttype in valuesets.xml
    """

    Complete = ExamplePaymentTypeCodesCode("complete")
    """
    Partial payment of the benefit under the Claim less any adjustments.
    From: http://terminology.hl7.org/CodeSystem/ex-paymenttype in valuesets.xml
    """
    Partial = ExamplePaymentTypeCodesCode("partial")
