from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleProcedureTypeCodesCode(GenericTypeCode):
    """
    ExampleProcedureTypeCodes
    From: http://terminology.hl7.org/CodeSystem/ex-procedure-type in valuesets.xml
        This value set includes example Procedure Type codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/ex-procedure-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/ex-procedure-type"


class ExampleProcedureTypeCodesCodeValues:
    """
    The first procedure in a series required to produce and overall patient
    outcome.
    From: http://terminology.hl7.org/CodeSystem/ex-procedure-type in valuesets.xml
    """

    PrimaryProcedure = ExampleProcedureTypeCodesCode("primary")
    """
    The second procedure in a series required to produce and overall patient
    outcome.
    From: http://terminology.hl7.org/CodeSystem/ex-procedure-type in valuesets.xml
    """
    SecondaryProcedure = ExampleProcedureTypeCodesCode("secondary")
