from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleProgramReasonCodesCode(GenericTypeCode):
    """
    ExampleProgramReasonCodes
    From: http://terminology.hl7.org/CodeSystem/ex-programcode in valuesets.xml
        This value set includes sample Program Reason Span codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/ex-programcode
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/ex-programcode"


class ExampleProgramReasonCodesCodeValues:
    """
    Child Asthma Program
    From: http://terminology.hl7.org/CodeSystem/ex-programcode in valuesets.xml
    """

    ChildAsthma = ExampleProgramReasonCodesCode("as")
    """
    Hemodialysis Program.
    From: http://terminology.hl7.org/CodeSystem/ex-programcode in valuesets.xml
    """
    Hemodialysis = ExampleProgramReasonCodesCode("hd")
    """
    Autism Screening Program.
    From: http://terminology.hl7.org/CodeSystem/ex-programcode in valuesets.xml
    """
    AutismScreening = ExampleProgramReasonCodesCode("auscr")
    """
    No program code applies.
    From: http://terminology.hl7.org/CodeSystem/ex-programcode in valuesets.xml
    """
    None_ = ExampleProgramReasonCodesCode("none")
