from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleRelatedClaimRelationshipCodesCode(GenericTypeCode):
    """
    ExampleRelatedClaimRelationshipCodes
    From: http://terminology.hl7.org/CodeSystem/ex-relatedclaimrelationship in valuesets.xml
        This value set includes sample Related Claim Relationship codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/ex-relatedclaimrelationship
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/ex-relatedclaimrelationship"
    )


class ExampleRelatedClaimRelationshipCodesCodeValues:
    """
    A prior claim instance for the same intended suite of services.
    From: http://terminology.hl7.org/CodeSystem/ex-relatedclaimrelationship in valuesets.xml
    """

    PriorClaim = ExampleRelatedClaimRelationshipCodesCode("prior")
    """
    A claim for a different suite of services which is related the suite claimed
    here.
    From: http://terminology.hl7.org/CodeSystem/ex-relatedclaimrelationship in valuesets.xml
    """
    AssociatedClaim = ExampleRelatedClaimRelationshipCodesCode("associated")
