from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleScenarioActorTypeCode(GenericTypeCode):
    """
    ExampleScenarioActorType
    From: http://hl7.org/fhir/examplescenario-actor-type in valuesets.xml
        The type of actor - system or human.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/examplescenario-actor-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/examplescenario-actor-type"


class ExampleScenarioActorTypeCodeValues:
    """
    A person.
    From: http://hl7.org/fhir/examplescenario-actor-type in valuesets.xml
    """

    Person = ExampleScenarioActorTypeCode("person")
    """
    A system.
    From: http://hl7.org/fhir/examplescenario-actor-type in valuesets.xml
    """
    System = ExampleScenarioActorTypeCode("entity")
