from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleServiceModifierCodesCode(GenericTypeCode):
    """
    ExampleServiceModifierCodes
    From: http://hl7.org/fhir/ex-servicemodifier in valuesets.xml
        This value set includes sample Service Modifier codes which may support
    differential payment.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ex-servicemodifier
    """
    codeset: FhirUri = "http://hl7.org/fhir/ex-servicemodifier"


class ExampleServiceModifierCodesCodeValues:
    """
    Services provided on the side of the road or such other non-conventional
    setting.
    From: http://hl7.org/fhir/ex-servicemodifier in valuesets.xml
    """

    SideOfTheRoad = ExampleServiceModifierCodesCode("sr")
    """
    Services provided outside or normal business hours.
    From: http://hl7.org/fhir/ex-servicemodifier in valuesets.xml
    """
    AfterHours = ExampleServiceModifierCodesCode("ah")
