from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleService_or_ProductCodesCode(GenericTypeCode):
    """
    ExampleService/ProductCodes
    From: http://hl7.org/fhir/ex-serviceproduct in valuesets.xml
        This value set includes a smattering of Service/Product codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ex-serviceproduct
    """
    codeset: FhirUri = "http://hl7.org/fhir/ex-serviceproduct"


class ExampleService_or_ProductCodesCodeValues:
    """
    Exam
    From: http://hl7.org/fhir/ex-serviceproduct in valuesets.xml
    """

    Exam = ExampleService_or_ProductCodesCode("exam")
    """
    Flu shot
    From: http://hl7.org/fhir/ex-serviceproduct in valuesets.xml
    """
    FluShot = ExampleService_or_ProductCodesCode("flushot")
