from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExampleUseCodesForListCode(GenericTypeCode):
    """
    ExampleUseCodesForList
    From: http://terminology.hl7.org/CodeSystem/list-example-use-codes in valuesets.xml
        Example use codes for the List resource - typical kinds of use.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/list-example-use-codes
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/list-example-use-codes"


class ExampleUseCodesForListCodeValues:
    """
    A list of alerts for the patient.
    From: http://terminology.hl7.org/CodeSystem/list-example-use-codes in valuesets.xml
    """

    Alerts = ExampleUseCodesForListCode("alerts")
    """
    A list of part adverse reactions.
    From: http://terminology.hl7.org/CodeSystem/list-example-use-codes in valuesets.xml
    """
    AdverseReactions = ExampleUseCodesForListCode("adverserxns")
    """
    A list of Allergies for the patient.
    From: http://terminology.hl7.org/CodeSystem/list-example-use-codes in valuesets.xml
    """
    Allergies = ExampleUseCodesForListCode("allergies")
    """
    A list of medication statements for the patient.
    From: http://terminology.hl7.org/CodeSystem/list-example-use-codes in valuesets.xml
    """
    MedicationList = ExampleUseCodesForListCode("medications")
    """
    A list of problems that the patient is known of have (or have had in the
    past).
    From: http://terminology.hl7.org/CodeSystem/list-example-use-codes in valuesets.xml
    """
    ProblemList = ExampleUseCodesForListCode("problems")
    """
    A list of items that constitute a set of work to be performed (typically this
    code would be specialized for more specific uses, such as a ward round list).
    From: http://terminology.hl7.org/CodeSystem/list-example-use-codes in valuesets.xml
    """
    Worklist = ExampleUseCodesForListCode("worklist")
    """
    A list of items waiting for an event (perhaps a surgical patient waiting
    list).
    From: http://terminology.hl7.org/CodeSystem/list-example-use-codes in valuesets.xml
    """
    WaitingList = ExampleUseCodesForListCode("waiting")
    """
    A set of protocols to be followed.
    From: http://terminology.hl7.org/CodeSystem/list-example-use-codes in valuesets.xml
    """
    Protocols = ExampleUseCodesForListCode("protocols")
    """
    A set of care plans that apply in a particular context of care.
    From: http://terminology.hl7.org/CodeSystem/list-example-use-codes in valuesets.xml
    """
    CarePlans = ExampleUseCodesForListCode("plans")
