from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExceptionCodesCode(GenericTypeCode):
    """
    ExceptionCodes
    From: http://terminology.hl7.org/CodeSystem/claim-exception in valuesets.xml
        This value set includes sample Exception codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/claim-exception
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/claim-exception"


class ExceptionCodesCodeValues:
    """
    Fulltime Student
    From: http://terminology.hl7.org/CodeSystem/claim-exception in valuesets.xml
    """

    Student_Fulltime_ = ExceptionCodesCode("student")
    """
    Disabled
    From: http://terminology.hl7.org/CodeSystem/claim-exception in valuesets.xml
    """
    Disabled = ExceptionCodesCode("disabled")
