from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExpansionProcessingRuleCode(GenericTypeCode):
    """
    ExpansionProcessingRule
    From: http://terminology.hl7.org/CodeSystem/expansion-processing-rule in valuesets.xml
        Defines how concepts are processed into the expansion when it's for UI
    presentation.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/expansion-processing-rule
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/expansion-processing-rule"


class ExpansionProcessingRuleCodeValues:
    """
    The expansion (when in UI mode) includes all codes *and* any defined groups
    (in extensions).
    From: http://terminology.hl7.org/CodeSystem/expansion-processing-rule in valuesets.xml
    """

    AllCodes = ExpansionProcessingRuleCode("all-codes")
    """
    The expanion (when in UI mode) lists the groups, and then any codes that have
    not been included in a group.
    From: http://terminology.hl7.org/CodeSystem/expansion-processing-rule in valuesets.xml
    """
    Groups_UngroupedCodes = ExpansionProcessingRuleCode("ungrouped")
    """
    The expansion (when in UI mode) only includes the defined groups.
    From: http://terminology.hl7.org/CodeSystem/expansion-processing-rule in valuesets.xml
    """
    GroupsOnly = ExpansionProcessingRuleCode("groups-only")
