from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExplanationOfBenefitStatusCode(GenericTypeCode):
    """
    ExplanationOfBenefitStatus
    From: http://hl7.org/fhir/explanationofbenefit-status in valuesets.xml
        A code specifying the state of the resource instance.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/explanationofbenefit-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/explanationofbenefit-status"


class ExplanationOfBenefitStatusCodeValues:
    """
    The resource instance is currently in-force.
    From: http://hl7.org/fhir/explanationofbenefit-status in valuesets.xml
    """

    Active = ExplanationOfBenefitStatusCode("active")
    """
    The resource instance is withdrawn, rescinded or reversed.
    From: http://hl7.org/fhir/explanationofbenefit-status in valuesets.xml
    """
    Cancelled = ExplanationOfBenefitStatusCode("cancelled")
    """
    A new resource instance the contents of which is not complete.
    From: http://hl7.org/fhir/explanationofbenefit-status in valuesets.xml
    """
    Draft = ExplanationOfBenefitStatusCode("draft")
    """
    The resource instance was entered in error.
    From: http://hl7.org/fhir/explanationofbenefit-status in valuesets.xml
    """
    EnteredInError = ExplanationOfBenefitStatusCode("entered-in-error")
