from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExposureMode(GenericTypeCode):
    """
    v3.ExposureMode
    From: http://terminology.hl7.org/ValueSet/v3-ExposureMode in v3-codesystems.xml
         Code for the mechanism by which the exposure agent was exchanged or
    potentially exchanged by the participants involved in the exposure.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ExposureMode
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ExposureMode"


class ExposureModeValues:
    """
    Code for the mechanism by which the exposure agent was exchanged or
    potentially exchanged by the participants involved in the exposure.
    From: http://terminology.hl7.org/CodeSystem/v3-ExposureMode in v3-codesystems.xml
    """

    ExposureMode_ = ExposureMode("_ExposureMode")
