from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ExtraActivityTypeCode(GenericTypeCode):
    """
    ExtraActivityType
    From: http://hl7.org/fhir/extra-activity-type in valuesets.xml
        This value set includes coded concepts not well covered in any of the included
    valuesets.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/extra-activity-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/extra-activity-type"


class ExtraActivityTypeCodeValues:
    """
    Activity resulting in a structured collection of preexisting content that does
    not necessarily result in an integral object with semantic context making it
    more than the sum of component parts, from which components could be
    disaggregated without loss of semantic context, e.g., the assembly of multiple
    stand-alone documents.
    From: http://hl7.org/fhir/extra-activity-type in valuesets.xml
    """

    Aggregate = ExtraActivityTypeCode("aggregate")
    """
    Activity resulting in the structured compilation of new and preexisting
    content for the purposes of forming an integral object with  semantic context
    making it more than the sum of component parts, which would be lost if
    decomposed. For example, the composition of a document that includes in whole
    or part other documents along with new content that result in a new document
    that has unique semantic meaning.
    From: http://hl7.org/fhir/extra-activity-type in valuesets.xml
    """
    Compose = ExtraActivityTypeCode("compose")
    """
    The means used to associate a set of security attributes with a specific
    information object as part of the data structure for that object. [ISO-10181-3
    Access Control]
    From: http://hl7.org/fhir/extra-activity-type in valuesets.xml
    """
    Label = ExtraActivityTypeCode("label")
