from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Failure_actionCode(GenericTypeCode):
    """
    failure-action
    From: http://terminology.hl7.org/CodeSystem/failure-action in valuesets.xml
        The result if validation fails
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/failure-action
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/failure-action"


class Failure_actionCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/failure-action in valuesets.xml
    """

    Fatal = Failure_actionCode("fatal")
    """
    From: http://terminology.hl7.org/CodeSystem/failure-action in valuesets.xml
    """
    Warning = Failure_actionCode("warn")
    """
    From: http://terminology.hl7.org/CodeSystem/failure-action in valuesets.xml
    """
    RecordOnly = Failure_actionCode("rec-only")
    """
    From: http://terminology.hl7.org/CodeSystem/failure-action in valuesets.xml
    """
    None_ = Failure_actionCode("none")
