from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FDA_MethodCode(GenericTypeCode):
    """
    FDA-Method
    From: http://hl7.org/fhir/ValueSet/sequence-quality-method in valuesets.xml
        This value set includes sequence quality method
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    https://precision.fda.gov/jobs
    """
    codeset_jobs: FhirUri = "https://precision.fda.gov/jobs"
    """
    https://precision.fda.gov/apps
    """
    codeset_apps: FhirUri = "https://precision.fda.gov/apps"
