from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FHIRAllTypesCode(GenericTypeCode):
    """
    FHIRAllTypes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ValueSet/all-types
    """
    codeset: FhirUri = "http://hl7.org/fhir/ValueSet/all-types"


class FHIRAllTypesCodeValues:
    Address: FHIRAllTypesCode = FHIRAllTypesCode("address")

    Annotation: FHIRAllTypesCode = FHIRAllTypesCode("annotation")

    BackboneElement: FHIRAllTypesCode = FHIRAllTypesCode("backbone_element")

    Coding: FHIRAllTypesCode = FHIRAllTypesCode("coding")

    ContactPoint: FHIRAllTypesCode = FHIRAllTypesCode("contact_point")

    Count: FHIRAllTypesCode = FHIRAllTypesCode("count")

    Distance: FHIRAllTypesCode = FHIRAllTypesCode("distance")

    Duration: FHIRAllTypesCode = FHIRAllTypesCode("duration")

    ElementDefinition: FHIRAllTypesCode = FHIRAllTypesCode("element_definition")

    Extension: FHIRAllTypesCode = FHIRAllTypesCode("extension")

    Identifier: FHIRAllTypesCode = FHIRAllTypesCode("identifier")

    Meta: FHIRAllTypesCode = FHIRAllTypesCode("meta")

    MoneyQuantity: FHIRAllTypesCode = FHIRAllTypesCode("money_quantity")

    ParameterDefinition: FHIRAllTypesCode = FHIRAllTypesCode("parameter_definition")

    Population: FHIRAllTypesCode = FHIRAllTypesCode("population")

    ProductShelfLife: FHIRAllTypesCode = FHIRAllTypesCode("product_shelf_life")

    Range: FHIRAllTypesCode = FHIRAllTypesCode("range")

    Reference: FHIRAllTypesCode = FHIRAllTypesCode("reference")

    SampledData: FHIRAllTypesCode = FHIRAllTypesCode("sampled_data")

    SimpleQuantity: FHIRAllTypesCode = FHIRAllTypesCode("simple_quantity")

    Timing: FHIRAllTypesCode = FHIRAllTypesCode("timing")

    UsageContext: FHIRAllTypesCode = FHIRAllTypesCode("usage_context")

    boolean: FHIRAllTypesCode = FHIRAllTypesCode("boolean")

    code: FHIRAllTypesCode = FHIRAllTypesCode("code")

    dateTime: FHIRAllTypesCode = FHIRAllTypesCode("date_time")

    id: FHIRAllTypesCode = FHIRAllTypesCode("id")

    integer: FHIRAllTypesCode = FHIRAllTypesCode("integer")

    oid_: FHIRAllTypesCode = FHIRAllTypesCode("oid")

    string: FHIRAllTypesCode = FHIRAllTypesCode("string")

    unsignedInt: FHIRAllTypesCode = FHIRAllTypesCode("unsigned_int")

    url: FHIRAllTypesCode = FHIRAllTypesCode("url")

    xhtml: FHIRAllTypesCode = FHIRAllTypesCode("xhtml")

    ActivityDefinition: FHIRAllTypesCode = FHIRAllTypesCode("activity_definition")

    AllergyIntolerance: FHIRAllTypesCode = FHIRAllTypesCode("allergy_intolerance")

    AppointmentResponse: FHIRAllTypesCode = FHIRAllTypesCode("appointment_response")

    Basic: FHIRAllTypesCode = FHIRAllTypesCode("basic")

    BiologicallyDerivedProduct: FHIRAllTypesCode = FHIRAllTypesCode(
        "biologically_derived_product"
    )

    Bundle: FHIRAllTypesCode = FHIRAllTypesCode("bundle")

    CarePlan: FHIRAllTypesCode = FHIRAllTypesCode("care_plan")

    CatalogEntry: FHIRAllTypesCode = FHIRAllTypesCode("catalog_entry")

    ChargeItemDefinition: FHIRAllTypesCode = FHIRAllTypesCode("charge_item_definition")

    ClaimResponse: FHIRAllTypesCode = FHIRAllTypesCode("claim_response")

    CodeSystem: FHIRAllTypesCode = FHIRAllTypesCode("code_system")

    CommunicationRequest: FHIRAllTypesCode = FHIRAllTypesCode("communication_request")

    Composition: FHIRAllTypesCode = FHIRAllTypesCode("composition")

    Condition: FHIRAllTypesCode = FHIRAllTypesCode("condition")

    Contract: FHIRAllTypesCode = FHIRAllTypesCode("contract")

    CoverageEligibilityRequest: FHIRAllTypesCode = FHIRAllTypesCode(
        "coverage_eligibility_request"
    )

    DetectedIssue: FHIRAllTypesCode = FHIRAllTypesCode("detected_issue")

    DeviceDefinition: FHIRAllTypesCode = FHIRAllTypesCode("device_definition")

    DeviceRequest: FHIRAllTypesCode = FHIRAllTypesCode("device_request")

    DiagnosticReport: FHIRAllTypesCode = FHIRAllTypesCode("diagnostic_report")

    DocumentReference: FHIRAllTypesCode = FHIRAllTypesCode("document_reference")

    EffectEvidenceSynthesis: FHIRAllTypesCode = FHIRAllTypesCode(
        "effect_evidence_synthesis"
    )

    Endpoint: FHIRAllTypesCode = FHIRAllTypesCode("endpoint")

    EnrollmentResponse: FHIRAllTypesCode = FHIRAllTypesCode("enrollment_response")

    EventDefinition: FHIRAllTypesCode = FHIRAllTypesCode("event_definition")

    EvidenceVariable: FHIRAllTypesCode = FHIRAllTypesCode("evidence_variable")

    ExplanationOfBenefit: FHIRAllTypesCode = FHIRAllTypesCode("explanation_of_benefit")

    Flag: FHIRAllTypesCode = FHIRAllTypesCode("flag")

    GraphDefinition: FHIRAllTypesCode = FHIRAllTypesCode("graph_definition")

    GuidanceResponse: FHIRAllTypesCode = FHIRAllTypesCode("guidance_response")

    ImagingStudy: FHIRAllTypesCode = FHIRAllTypesCode("imaging_study")

    ImmunizationEvaluation: FHIRAllTypesCode = FHIRAllTypesCode(
        "immunization_evaluation"
    )

    ImplementationGuide: FHIRAllTypesCode = FHIRAllTypesCode("implementation_guide")

    Invoice: FHIRAllTypesCode = FHIRAllTypesCode("invoice")

    Linkage: FHIRAllTypesCode = FHIRAllTypesCode("linkage")

    Location: FHIRAllTypesCode = FHIRAllTypesCode("location")

    MeasureReport: FHIRAllTypesCode = FHIRAllTypesCode("measure_report")

    Medication: FHIRAllTypesCode = FHIRAllTypesCode("medication")

    MedicationDispense: FHIRAllTypesCode = FHIRAllTypesCode("medication_dispense")

    MedicationRequest: FHIRAllTypesCode = FHIRAllTypesCode("medication_request")

    MedicinalProduct: FHIRAllTypesCode = FHIRAllTypesCode("medicinal_product")

    MedicinalProductContraindication: FHIRAllTypesCode = FHIRAllTypesCode(
        "medicinal_product_contraindication"
    )

    MedicinalProductIngredient: FHIRAllTypesCode = FHIRAllTypesCode(
        "medicinal_product_ingredient"
    )

    MedicinalProductManufactured: FHIRAllTypesCode = FHIRAllTypesCode(
        "medicinal_product_manufactured"
    )

    MedicinalProductPharmaceutical: FHIRAllTypesCode = FHIRAllTypesCode(
        "medicinal_product_pharmaceutical"
    )

    MessageDefinition: FHIRAllTypesCode = FHIRAllTypesCode("message_definition")

    MolecularSequence: FHIRAllTypesCode = FHIRAllTypesCode("molecular_sequence")

    NutritionOrder: FHIRAllTypesCode = FHIRAllTypesCode("nutrition_order")

    ObservationDefinition: FHIRAllTypesCode = FHIRAllTypesCode("observation_definition")

    OperationOutcome: FHIRAllTypesCode = FHIRAllTypesCode("operation_outcome")

    OrganizationAffiliation: FHIRAllTypesCode = FHIRAllTypesCode(
        "organization_affiliation"
    )

    Patient: FHIRAllTypesCode = FHIRAllTypesCode("patient")

    PaymentReconciliation: FHIRAllTypesCode = FHIRAllTypesCode("payment_reconciliation")

    PlanDefinition: FHIRAllTypesCode = FHIRAllTypesCode("plan_definition")

    PractitionerRole: FHIRAllTypesCode = FHIRAllTypesCode("practitioner_role")

    Provenance: FHIRAllTypesCode = FHIRAllTypesCode("provenance")

    QuestionnaireResponse: FHIRAllTypesCode = FHIRAllTypesCode("questionnaire_response")

    RequestGroup: FHIRAllTypesCode = FHIRAllTypesCode("request_group")

    ResearchElementDefinition: FHIRAllTypesCode = FHIRAllTypesCode(
        "research_element_definition"
    )

    ResearchSubject: FHIRAllTypesCode = FHIRAllTypesCode("research_subject")

    RiskAssessment: FHIRAllTypesCode = FHIRAllTypesCode("risk_assessment")

    Schedule: FHIRAllTypesCode = FHIRAllTypesCode("schedule")

    ServiceRequest: FHIRAllTypesCode = FHIRAllTypesCode("service_request")

    Specimen: FHIRAllTypesCode = FHIRAllTypesCode("specimen")

    StructureDefinition: FHIRAllTypesCode = FHIRAllTypesCode("structure_definition")

    Subscription: FHIRAllTypesCode = FHIRAllTypesCode("subscription")

    SubstanceNucleicAcid: FHIRAllTypesCode = FHIRAllTypesCode("substance_nucleic_acid")

    SubstanceProtein: FHIRAllTypesCode = FHIRAllTypesCode("substance_protein")

    SubstanceSourceMaterial: FHIRAllTypesCode = FHIRAllTypesCode(
        "substance_source_material"
    )

    SupplyDelivery: FHIRAllTypesCode = FHIRAllTypesCode("supply_delivery")

    Task: FHIRAllTypesCode = FHIRAllTypesCode("task")

    TestReport: FHIRAllTypesCode = FHIRAllTypesCode("test_report")

    ValueSet: FHIRAllTypesCode = FHIRAllTypesCode("value_set")

    VisionPrescription: FHIRAllTypesCode = FHIRAllTypesCode("vision_prescription")

    Any: FHIRAllTypesCode = FHIRAllTypesCode("any")
