from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FHIRSubstanceStatusCode(GenericTypeCode):
    """
    FHIRSubstanceStatus
    From: http://hl7.org/fhir/substance-status in valuesets.xml
        A code to indicate if the substance is actively used.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/substance-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/substance-status"


class FHIRSubstanceStatusCodeValues:
    """
    The substance is considered for use or reference.
    From: http://hl7.org/fhir/substance-status in valuesets.xml
    """

    Active = FHIRSubstanceStatusCode("active")
    """
    The substance is considered for reference, but not for use.
    From: http://hl7.org/fhir/substance-status in valuesets.xml
    """
    Inactive = FHIRSubstanceStatusCode("inactive")
    """
    The substance was entered in error.
    From: http://hl7.org/fhir/substance-status in valuesets.xml
    """
    EnteredInError = FHIRSubstanceStatusCode("entered-in-error")
