from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FinancialResourceStatusCodesCode(GenericTypeCode):
    """
    FinancialResourceStatusCodes
    From: http://hl7.org/fhir/fm-status in valuesets.xml
        This value set includes Status codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/fm-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/fm-status"


class FinancialResourceStatusCodesCodeValues:
    """
    The instance is currently in-force.
    From: http://hl7.org/fhir/fm-status in valuesets.xml
    """

    Active = FinancialResourceStatusCodesCode("active")
    """
    The instance is withdrawn, rescinded or reversed.
    From: http://hl7.org/fhir/fm-status in valuesets.xml
    """
    Cancelled = FinancialResourceStatusCodesCode("cancelled")
    """
    A new instance the contents of which is not complete.
    From: http://hl7.org/fhir/fm-status in valuesets.xml
    """
    Draft = FinancialResourceStatusCodesCode("draft")
    """
    The instance was entered in error.
    From: http://hl7.org/fhir/fm-status in valuesets.xml
    """
    EnteredInError = FinancialResourceStatusCodesCode("entered-in-error")
