from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FinancialTaskCodesCode(GenericTypeCode):
    """
    FinancialTaskCodes
    From: http://terminology.hl7.org/CodeSystem/financialtaskcode in valuesets.xml
        This value set includes Financial Task codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/financialtaskcode
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/financialtaskcode"


class FinancialTaskCodesCodeValues:
    """
    Cancel or reverse a resource, such as a claim or preauthorization, which is
    in-process or complete.
    From: http://terminology.hl7.org/CodeSystem/financialtaskcode in valuesets.xml
    """

    Cancel = FinancialTaskCodesCode("cancel")
    """
    Retrieve selected or all queued resources or messages.
    From: http://terminology.hl7.org/CodeSystem/financialtaskcode in valuesets.xml
    """
    Poll = FinancialTaskCodesCode("poll")
    """
    Release any reserved funds or material obligations associated with a resource.
    For example, any unused but reserved funds or treatment allowance associated
    with a preauthorization once treatment is complete.
    From: http://terminology.hl7.org/CodeSystem/financialtaskcode in valuesets.xml
    """
    Release = FinancialTaskCodesCode("release")
    """
    Indication that the processing of a resource, such as a claim, for some or all
    of the required work is now being requested.
    From: http://terminology.hl7.org/CodeSystem/financialtaskcode in valuesets.xml
    """
    Reprocess = FinancialTaskCodesCode("reprocess")
    """
    Check on the processing status of a resource such as the adjudication of a
    claim.
    From: http://terminology.hl7.org/CodeSystem/financialtaskcode in valuesets.xml
    """
    StatusCheck = FinancialTaskCodesCode("status")
