from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FlagCategoryCode(GenericTypeCode):
    """
    FlagCategory
    From: http://terminology.hl7.org/CodeSystem/flag-category in valuesets.xml
        Example list of general categories for flagged issues. (Not complete or
    necessarily appropriate.)
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/flag-category
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/flag-category"


class FlagCategoryCodeValues:
    """
    Flags related to the subject's dietary needs.
    From: http://terminology.hl7.org/CodeSystem/flag-category in valuesets.xml
    """

    Diet = FlagCategoryCode("diet")
    """
    Flags related to the subject's medications.
    From: http://terminology.hl7.org/CodeSystem/flag-category in valuesets.xml
    """
    Drug = FlagCategoryCode("drug")
    """
    Flags related to performing laboratory tests and related processes (e.g.
    phlebotomy).
    From: http://terminology.hl7.org/CodeSystem/flag-category in valuesets.xml
    """
    Lab = FlagCategoryCode("lab")
    """
    Flags related to administrative and financial processes.
    From: http://terminology.hl7.org/CodeSystem/flag-category in valuesets.xml
    """
    Administrative = FlagCategoryCode("admin")
    """
    Flags related to coming into contact with the patient.
    From: http://terminology.hl7.org/CodeSystem/flag-category in valuesets.xml
    """
    SubjectContact = FlagCategoryCode("contact")
    """
    Flags related to the subject's clinical data.
    From: http://terminology.hl7.org/CodeSystem/flag-category in valuesets.xml
    """
    Clinical = FlagCategoryCode("clinical")
    """
    Flags related to behavior.
    From: http://terminology.hl7.org/CodeSystem/flag-category in valuesets.xml
    """
    Behavioral = FlagCategoryCode("behavioral")
    """
    Flags related to research.
    From: http://terminology.hl7.org/CodeSystem/flag-category in valuesets.xml
    """
    Research = FlagCategoryCode("research")
    """
    Flags related to subject's advance directives.
    From: http://terminology.hl7.org/CodeSystem/flag-category in valuesets.xml
    """
    AdvanceDirective = FlagCategoryCode("advance-directive")
    """
    Flags related to safety precautions.
    From: http://terminology.hl7.org/CodeSystem/flag-category in valuesets.xml
    """
    Safety = FlagCategoryCode("safety")
