from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FlagPriorityCodesCode(GenericTypeCode):
    """
    FlagPriorityCodes
    From: http://hl7.org/fhir/flag-priority-code in valuesets.xml
        This value set is provided as an exemplar. The value set is driven by IHE
    Table B.8-4: Abnormal Flags, Alert Priority.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/flag-priority-code
    """
    codeset: FhirUri = "http://hl7.org/fhir/flag-priority-code"


class FlagPriorityCodesCodeValues:
    """
    No alarm.
    From: http://hl7.org/fhir/flag-priority-code in valuesets.xml
    """

    NoAlarm = FlagPriorityCodesCode("PN")
    """
    Low priority.
    From: http://hl7.org/fhir/flag-priority-code in valuesets.xml
    """
    LowPriority = FlagPriorityCodesCode("PL")
    """
    Medium priority.
    From: http://hl7.org/fhir/flag-priority-code in valuesets.xml
    """
    MediumPriority = FlagPriorityCodesCode("PM")
    """
    High priority.
    From: http://hl7.org/fhir/flag-priority-code in valuesets.xml
    """
    HighPriority = FlagPriorityCodesCode("PH")
