from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FlagStatusCode(GenericTypeCode):
    """
    FlagStatus
    From: http://hl7.org/fhir/flag-status in valuesets.xml
        Indicates whether this flag is active and needs to be displayed to a user, or
    whether it is no longer needed or was entered in error.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/flag-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/flag-status"


class FlagStatusCodeValues:
    """
    A current flag that should be displayed to a user. A system may use the
    category to determine which user roles should view the flag.
    From: http://hl7.org/fhir/flag-status in valuesets.xml
    """

    Active = FlagStatusCode("active")
    """
    The flag no longer needs to be displayed.
    From: http://hl7.org/fhir/flag-status in valuesets.xml
    """
    Inactive = FlagStatusCode("inactive")
    """
    The flag was added in error and should no longer be displayed.
    From: http://hl7.org/fhir/flag-status in valuesets.xml
    """
    EnteredInError = FlagStatusCode("entered-in-error")
