from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FMConditionCodesCode(GenericTypeCode):
    """
    FMConditionCodes
    From: http://hl7.org/fhir/fm-conditions in valuesets.xml
        This value set includes sample Conditions codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/fm-conditions
    """
    codeset: FhirUri = "http://hl7.org/fhir/fm-conditions"


class FMConditionCodesCodeValues:
    """
    Headache
    From: http://hl7.org/fhir/fm-conditions in valuesets.xml
    """

    Headache = FMConditionCodesCode("123987")
