from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class FundsReservationCodesCode(GenericTypeCode):
    """
    Funds Reservation Codes
    From: http://terminology.hl7.org/CodeSystem/fundsreserve in valuesets.xml
        This value set includes sample funds reservation type codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/fundsreserve
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/fundsreserve"


class FundsReservationCodesCodeValues:
    """
    The payor is requested to reserve funds for the provision of the named
    services by any provider for settlement of future claims related to this
    request.
    From: http://terminology.hl7.org/CodeSystem/fundsreserve in valuesets.xml
    """

    Patient = FundsReservationCodesCode("patient")
    """
    The payor is requested to reserve funds solely for the named provider for
    settlement of future claims related to this request.
    From: http://terminology.hl7.org/CodeSystem/fundsreserve in valuesets.xml
    """
    Provider = FundsReservationCodesCode("provider")
    """
    The payor is not being requested to reserve any funds for the settlement of
    future claims.
    From: http://terminology.hl7.org/CodeSystem/fundsreserve in valuesets.xml
    """
    None_ = FundsReservationCodesCode("none")
