from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class GoalPriorityCode(GenericTypeCode):
    """
    GoalPriority
    From: http://terminology.hl7.org/CodeSystem/goal-priority in valuesets.xml
        Indicates the level of importance associated with reaching or sustaining a
    goal.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/goal-priority
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/goal-priority"


class GoalPriorityCodeValues:
    """
    Indicates that the goal is of considerable importance and should be a primary
    focus of care delivery.
    From: http://terminology.hl7.org/CodeSystem/goal-priority in valuesets.xml
    """

    HighPriority = GoalPriorityCode("high-priority")
    """
    Indicates that the goal has a reasonable degree of importance and that
    concrete action should be taken towards the goal.  Attainment is not as
    critical as high-priority goals.
    From: http://terminology.hl7.org/CodeSystem/goal-priority in valuesets.xml
    """
    MediumPriority = GoalPriorityCode("medium-priority")
    """
    The goal is desirable but is not sufficiently important to devote significant
    resources to.  Achievement of the goal may be sought when incidental to
    achieving other goals.
    From: http://terminology.hl7.org/CodeSystem/goal-priority in valuesets.xml
    """
    LowPriority = GoalPriorityCode("low-priority")
