from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class GraphCompartmentRuleCode(GenericTypeCode):
    """
    GraphCompartmentRule
    From: http://hl7.org/fhir/graph-compartment-rule in valuesets.xml
        How a compartment must be linked.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/graph-compartment-rule
    """
    codeset: FhirUri = "http://hl7.org/fhir/graph-compartment-rule"


class GraphCompartmentRuleCodeValues:
    """
    The compartment must be identical (the same literal reference).
    From: http://hl7.org/fhir/graph-compartment-rule in valuesets.xml
    """

    Identical = GraphCompartmentRuleCode("identical")
    """
    The compartment must be the same - the record must be about the same patient,
    but the reference may be different.
    From: http://hl7.org/fhir/graph-compartment-rule in valuesets.xml
    """
    Matching = GraphCompartmentRuleCode("matching")
    """
    The compartment must be different.
    From: http://hl7.org/fhir/graph-compartment-rule in valuesets.xml
    """
    Different = GraphCompartmentRuleCode("different")
    """
    The compartment rule is defined in the accompanying FHIRPath expression.
    From: http://hl7.org/fhir/graph-compartment-rule in valuesets.xml
    """
    Custom = GraphCompartmentRuleCode("custom")
