from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class GraphCompartmentUseCode(GenericTypeCode):
    """
    GraphCompartmentUse
    From: http://hl7.org/fhir/graph-compartment-use in valuesets.xml
        Defines how a compartment rule is used.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/graph-compartment-use
    """
    codeset: FhirUri = "http://hl7.org/fhir/graph-compartment-use"


class GraphCompartmentUseCodeValues:
    """
    This compartment rule is a condition for whether the rule applies.
    From: http://hl7.org/fhir/graph-compartment-use in valuesets.xml
    """

    Condition = GraphCompartmentUseCode("condition")
    """
    This compartment rule is enforced on any relationships that meet the
    conditions.
    From: http://hl7.org/fhir/graph-compartment-use in valuesets.xml
    """
    Requirement = GraphCompartmentUseCode("requirement")
