from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class HandlingConditionSetCode(GenericTypeCode):
    """
    HandlingConditionSet
    From: http://terminology.hl7.org/CodeSystem/handling-condition in valuesets.xml
        Set of handling instructions prior testing of the specimen.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/handling-condition
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/handling-condition"


class HandlingConditionSetCodeValues:
    """
    room temperature.
    From: http://terminology.hl7.org/CodeSystem/handling-condition in valuesets.xml
    """

    RoomTemperature = HandlingConditionSetCode("room")
    """
    refrigerated temperature.
    From: http://terminology.hl7.org/CodeSystem/handling-condition in valuesets.xml
    """
    Refrigerated = HandlingConditionSetCode("refrigerated")
    """
    frozen temperature.
    From: http://terminology.hl7.org/CodeSystem/handling-condition in valuesets.xml
    """
    Frozen = HandlingConditionSetCode("frozen")
