from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Hl7ITSType(GenericTypeCode):
    """
    v3.hl7ITSType
    From: http://terminology.hl7.org/ValueSet/v3-hl7ITSType in v3-codesystems.xml
          Description:
    Codes identifying types of HL7 Implementation Technology Specifications
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-hl7ITSType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-hl7ITSType"


class Hl7ITSTypeValues:
    """
    Description: ITS based on the Universal Modeling Language.
    From: http://terminology.hl7.org/CodeSystem/v3-hl7ITSType in v3-codesystems.xml
    """

    UniversalModelingLanguage = Hl7ITSType("UML")
    """
    Description: ITS based on the Extensible Markup Language.
    From: http://terminology.hl7.org/CodeSystem/v3-hl7ITSType in v3-codesystems.xml
    """
    ExtensibleMarkupLanguage = Hl7ITSType("XML")
