from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Hl7ITSVersionCode(GenericTypeCode):
    """
    v3.hl7ITSVersionCode
    From: http://terminology.hl7.org/ValueSet/v3-hl7ITSVersionCode in v3-codesystems.xml
         HL7 implementation technology specification versions. These codes will
    document the ITS type and version for message encoding. The code will appear
    in the instances based upon rules expressed in the ITS, and do not appear in
    the abstract message, either as it is presented to received from the ITS.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-hl7ITSVersionCode
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-hl7ITSVersionCode"


class Hl7ITSVersionCodeValues:
    """
    XML ITS version 1 pre-release 1.
    From: http://terminology.hl7.org/CodeSystem/v3-hl7ITSVersionCode in v3-codesystems.xml
    """

    XMLV1PR1 = Hl7ITSVersionCode("XMLV1PR1")
