from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Hl7VoteResolution(GenericTypeCode):
    """
    v3.hl7VoteResolution
    From: http://terminology.hl7.org/ValueSet/v3-hl7VoteResolution in v3-codesystems.xml
          Description:
    Based on concepts for resolutions from HL7 ballot spreadsheet according to
    HL7's Governance & Operations Manual (GOM).
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-hl7VoteResolution
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-hl7VoteResolution"


class Hl7VoteResolutionValues:
    """
    Description: An abstract concept grouping resolutions that can be applied to
    affirmative ballot comments.
    From: http://terminology.hl7.org/CodeSystem/v3-hl7VoteResolution in v3-codesystems.xml
    """

    AffirmativeResolution = Hl7VoteResolution("affirmativeResolution")
    """
    Description: An abstract concept grouping resolutions that can be applied to
    negative ballot comments.
    From: http://terminology.hl7.org/CodeSystem/v3-hl7VoteResolution in v3-codesystems.xml
    """
    NegativeResolution = Hl7VoteResolution("negativeResolution")
