from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class HLACode(GenericTypeCode):
    """
    HLA
    From: http://hl7.org/fhir/ValueSet/allelename in valuesets.xml
        European Bioinformatics Institute
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://www.ebi.ac.uk/ipd/imgt/hla
    """
    codeset: FhirUri = "http://www.ebi.ac.uk/ipd/imgt/hla"
