from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ICD_10ProcedureCodesCode(GenericTypeCode):
    """
    ICD-10ProcedureCodes
    From: http://hl7.org/fhir/sid/ex-icd-10-procedures in valuesets.xml
        This value set includes sample ICD-10 Procedure codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/sid/ex-icd-10-procedures
    """
    codeset: FhirUri = "http://hl7.org/fhir/sid/ex-icd-10-procedures"


class ICD_10ProcedureCodesCodeValues:
    """
    Procedure 1
    From: http://hl7.org/fhir/sid/ex-icd-10-procedures in valuesets.xml
    """

    PROC_1 = ICD_10ProcedureCodesCode("123001")
    """
    Procedure 2
    From: http://hl7.org/fhir/sid/ex-icd-10-procedures in valuesets.xml
    """
    PROC_2 = ICD_10ProcedureCodesCode("123002")
    """
    Procedure 3
    From: http://hl7.org/fhir/sid/ex-icd-10-procedures in valuesets.xml
    """
    PROC_3 = ICD_10ProcedureCodesCode("123003")
