from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImagingStudySeriesPerformerFunctionCode(GenericTypeCode):
    """
    ImagingStudySeriesPerformerFunction
    From: http://hl7.org/fhir/ValueSet/series-performer-function in valuesets.xml
        Performer function of an agent in an imaging study series
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ParticipationType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ParticipationType"


class ImagingStudySeriesPerformerFunctionCodeValues:
    """
    Indicates that the target of the participation is involved in some manner in
    the act, but does not qualify how.
    From: http://terminology.hl7.org/CodeSystem/v3-ParticipationType in v3-codesystems.xml
    """

    Participation = ImagingStudySeriesPerformerFunctionCode("PART")
    """
    From: http://hl7.org/fhir/ValueSet/series-performer-function in valuesets.xml
    """
    Consultant = ImagingStudySeriesPerformerFunctionCode("CON")
    """
    From: http://hl7.org/fhir/ValueSet/series-performer-function in valuesets.xml
    """
    Verifier = ImagingStudySeriesPerformerFunctionCode("VRF")
    """
    From: http://hl7.org/fhir/ValueSet/series-performer-function in valuesets.xml
    """
    Performer = ImagingStudySeriesPerformerFunctionCode("PRF")
    """
    From: http://hl7.org/fhir/ValueSet/series-performer-function in valuesets.xml
    """
    SecondaryPerformer = ImagingStudySeriesPerformerFunctionCode("SPRF")
    """
    From: http://hl7.org/fhir/ValueSet/series-performer-function in valuesets.xml
    """
    Referrer = ImagingStudySeriesPerformerFunctionCode("REF")
