from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImmunizationEvaluationDoseStatusReasonCodesCode(GenericTypeCode):
    """
    ImmunizationEvaluationDoseStatusReasonCodes
    From: http://terminology.hl7.org/CodeSystem/immunization-evaluation-dose-status-reason in valuesets.xml
        The value set to instantiate this attribute should be drawn from a
    terminologically robust code system that consists of or contains concepts to
    support describing the reason why an administered dose has been assigned a
    particular status. Often, this reason describes why a dose is considered
    invalid. This value set is provided as a suggestive example.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/immunization-evaluation-dose-status-reason
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/immunization-evaluation-dose-status-reason"


class ImmunizationEvaluationDoseStatusReasonCodesCodeValues:
    """
    The product was stored in a manner inconsistent with manufacturer guidelines
    potentially reducing the effectiveness of the product.
    From: http://terminology.hl7.org/CodeSystem/immunization-evaluation-dose-status-reason in valuesets.xml
    """

    AdverseStorageCondition = ImmunizationEvaluationDoseStatusReasonCodesCode(
        "advstorage"
    )
    """
    The product was stored at a temperature inconsistent with manufacturer
    guidelines potentially reducing the effectiveness of the product.
    From: http://terminology.hl7.org/CodeSystem/immunization-evaluation-dose-status-reason in valuesets.xml
    """
    ColdChainBreak = ImmunizationEvaluationDoseStatusReasonCodesCode("coldchbrk")
    """
    The product was administered after the expiration date associated with lot of
    vaccine.
    From: http://terminology.hl7.org/CodeSystem/immunization-evaluation-dose-status-reason in valuesets.xml
    """
    ExpiredLot = ImmunizationEvaluationDoseStatusReasonCodesCode("explot")
    """
    The product was administered at a time inconsistent with the documented
    schedule.
    From: http://terminology.hl7.org/CodeSystem/immunization-evaluation-dose-status-reason in valuesets.xml
    """
    AdministeredOutsideRecommendedSchedule = (
        ImmunizationEvaluationDoseStatusReasonCodesCode("outsidesched")
    )
    """
    The product administered has been recalled by the manufacturer.
    From: http://terminology.hl7.org/CodeSystem/immunization-evaluation-dose-status-reason in valuesets.xml
    """
    ProductRecall = ImmunizationEvaluationDoseStatusReasonCodesCode("prodrecall")
