from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImmunizationFundingSourceCode(GenericTypeCode):
    """
    ImmunizationFundingSource
    From: http://terminology.hl7.org/CodeSystem/immunization-funding-source in valuesets.xml
        The value set to instantiate this attribute should be drawn from a
    terminologically robust code system that consists of or contains concepts to
    support describing the source of the vaccine administered. This value set is
    provided as a suggestive example.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/immunization-funding-source
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/immunization-funding-source"
    )


class ImmunizationFundingSourceCodeValues:
    """
    The vaccine was purchased with private funds.
    From: http://terminology.hl7.org/CodeSystem/immunization-funding-source in valuesets.xml
    """

    Private = ImmunizationFundingSourceCode("private")
    """
    The vaccine was purchased with public funds.
    From: http://terminology.hl7.org/CodeSystem/immunization-funding-source in valuesets.xml
    """
    Public = ImmunizationFundingSourceCode("public")
