from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImmunizationProgramEligibilityCode(GenericTypeCode):
    """
    ImmunizationProgramEligibility
    From: http://terminology.hl7.org/CodeSystem/immunization-program-eligibility in valuesets.xml
        The value set to instantiate this attribute should be drawn from a
    terminologically robust code system that consists of or contains concepts to
    support describing the patient's eligibility for a vaccination program. This
    value set is provided as a suggestive example.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/immunization-program-eligibility
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/immunization-program-eligibility"
    )


class ImmunizationProgramEligibilityCodeValues:
    """
    The patient is not eligible for the funding program.
    From: http://terminology.hl7.org/CodeSystem/immunization-program-eligibility in valuesets.xml
    """

    NotEligible = ImmunizationProgramEligibilityCode("ineligible")
    """
    The patient is eligible for the funding program because they are uninsured.
    From: http://terminology.hl7.org/CodeSystem/immunization-program-eligibility in valuesets.xml
    """
    Uninsured = ImmunizationProgramEligibilityCode("uninsured")
