from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImmunizationRecommendationDateCriterionCodesCode(GenericTypeCode):
    """
    ImmunizationRecommendationDateCriterionCodes
    From: http://hl7.org/fhir/ValueSet/immunization-recommendation-date-criterion in valuesets.xml
        The value set to instantiate this attribute should be drawn from a
    terminologically robust code system that consists of or contains concepts to
    support the definition of dates relevant to recommendations for future doses
    of vaccines. This value set is provided as a suggestive example.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://loinc.org
    """
    codeset: FhirUri = "http://loinc.org"


class ImmunizationRecommendationDateCriterionCodesCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/immunization-recommendation-date-criterion in valuesets.xml
    """

    _30981_5 = ImmunizationRecommendationDateCriterionCodesCode("30981-5")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-recommendation-date-criterion in valuesets.xml
    """
    _30980_7 = ImmunizationRecommendationDateCriterionCodesCode("30980-7")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-recommendation-date-criterion in valuesets.xml
    """
    _59777_3 = ImmunizationRecommendationDateCriterionCodesCode("59777-3")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-recommendation-date-criterion in valuesets.xml
    """
    _59778_1 = ImmunizationRecommendationDateCriterionCodesCode("59778-1")
