from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImmunizationRecommendationReasonCodesCode(GenericTypeCode):
    """
    ImmunizationRecommendationReasonCodes
    From: http://hl7.org/fhir/ValueSet/immunization-recommendation-reason in valuesets.xml
        The value set to instantiate this attribute should be drawn from a
    terminologically robust code system that consists of or contains concepts to
    support describing the reasons why a given recommendation status is assigned.
    This value set is provided as a suggestive example and includes SNOMED CT
    concepts.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class ImmunizationRecommendationReasonCodesCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/immunization-recommendation-reason in valuesets.xml
    """

    _77176002 = ImmunizationRecommendationReasonCodesCode("77176002")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-recommendation-reason in valuesets.xml
    """
    _77386006 = ImmunizationRecommendationReasonCodesCode("77386006")
