from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImmunizationRecommendationStatusCodesCode(GenericTypeCode):
    """
    ImmunizationRecommendationStatusCodes
    From: http://terminology.hl7.org/CodeSystem/immunization-recommendation-status in valuesets.xml
        The value set to instantiate this attribute should be drawn from a
    terminologically robust code system that consists of or contains concepts to
    support describing the status of the patient towards perceived immunity
    against a vaccine preventable disease. This value set is provided as a
    suggestive example.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/immunization-recommendation-status
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/immunization-recommendation-status"
    )


class ImmunizationRecommendationStatusCodesCodeValues:
    """
    The patient is due for their next vaccination.
    From: http://terminology.hl7.org/CodeSystem/immunization-recommendation-status in valuesets.xml
    """

    Due = ImmunizationRecommendationStatusCodesCode("due")
    """
    The patient is considered overdue for their next vaccination.
    From: http://terminology.hl7.org/CodeSystem/immunization-recommendation-status in valuesets.xml
    """
    Overdue = ImmunizationRecommendationStatusCodesCode("overdue")
    """
    The patient is immune to the target disease and further immunization against
    the disease is not likely to provide benefit.
    From: http://terminology.hl7.org/CodeSystem/immunization-recommendation-status in valuesets.xml
    """
    Immune = ImmunizationRecommendationStatusCodesCode("immune")
    """
    The patient is contraindicated for futher doses.
    From: http://terminology.hl7.org/CodeSystem/immunization-recommendation-status in valuesets.xml
    """
    Contraindicated = ImmunizationRecommendationStatusCodesCode("contraindicated")
    """
    The patient is fully protected and no further doses are recommended.
    From: http://terminology.hl7.org/CodeSystem/immunization-recommendation-status in valuesets.xml
    """
    Complete = ImmunizationRecommendationStatusCodesCode("complete")
