from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImmunizationStatusCodesCode(GenericTypeCode):
    """
    ImmunizationStatusCodes
    From: http://hl7.org/fhir/ValueSet/immunization-status in valuesets.xml
        The value set to instantiate this attribute should be drawn from a
    terminologically robust code system that consists of or contains concepts to
    support describing the current status of the administered dose of vaccine.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/event-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/event-status"


class ImmunizationStatusCodesCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/immunization-status in valuesets.xml
    """

    Completed = ImmunizationStatusCodesCode("completed")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-status in valuesets.xml
    """
    Entered_in_error = ImmunizationStatusCodesCode("entered-in-error")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-status in valuesets.xml
    """
    Not_done = ImmunizationStatusCodesCode("not-done")
