from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImmunizationSubpotentReasonCode(GenericTypeCode):
    """
    ImmunizationSubpotentReason
    From: http://terminology.hl7.org/CodeSystem/immunization-subpotent-reason in valuesets.xml
        The value set to instantiate this attribute should be drawn from a
    terminologically robust code system that consists of or contains concepts to
    support describing the reason why a dose is considered to be subpotent. This
    value set is provided as a suggestive example.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/immunization-subpotent-reason
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/immunization-subpotent-reason"
    )


class ImmunizationSubpotentReasonCodeValues:
    """
    The full volume of the dose was not administered to the patient.
    From: http://terminology.hl7.org/CodeSystem/immunization-subpotent-reason in valuesets.xml
    """

    PartialDose = ImmunizationSubpotentReasonCode("partial")
    """
    The vaccine experienced a cold chain break.
    From: http://terminology.hl7.org/CodeSystem/immunization-subpotent-reason in valuesets.xml
    """
    ColdChainBreak = ImmunizationSubpotentReasonCode("coldchainbreak")
    """
    The vaccine was recalled by the manufacturer.
    From: http://terminology.hl7.org/CodeSystem/immunization-subpotent-reason in valuesets.xml
    """
    ManufacturerRecall = ImmunizationSubpotentReasonCode("recall")
