from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ImmunizationTargetDiseaseCodesCode(GenericTypeCode):
    """
    ImmunizationTargetDiseaseCodes
    From: http://hl7.org/fhir/ValueSet/immunization-target-disease in valuesets.xml
        The value set to instantiate this attribute should be drawn from a
    terminologically robust code system that consists of or contains concepts to
    support describing the disease that the dose is being administered against.
    This value set is provided as a suggestive example and includes the SNOMED CT
    concepts from the 64572001 (Disease) hierarchy.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class ImmunizationTargetDiseaseCodesCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/immunization-target-disease in valuesets.xml
    """

    _1857005 = ImmunizationTargetDiseaseCodesCode("1857005")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-target-disease in valuesets.xml
    """
    _397430003 = ImmunizationTargetDiseaseCodesCode("397430003")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-target-disease in valuesets.xml
    """
    _14189004 = ImmunizationTargetDiseaseCodesCode("14189004")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-target-disease in valuesets.xml
    """
    _36989005 = ImmunizationTargetDiseaseCodesCode("36989005")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-target-disease in valuesets.xml
    """
    _36653000 = ImmunizationTargetDiseaseCodesCode("36653000")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-target-disease in valuesets.xml
    """
    _76902006 = ImmunizationTargetDiseaseCodesCode("76902006")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-target-disease in valuesets.xml
    """
    _709410003 = ImmunizationTargetDiseaseCodesCode("709410003")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-target-disease in valuesets.xml
    """
    _27836007 = ImmunizationTargetDiseaseCodesCode("27836007")
    """
    From: http://hl7.org/fhir/ValueSet/immunization-target-disease in valuesets.xml
    """
    _398102009 = ImmunizationTargetDiseaseCodesCode("398102009")
