from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class IndicatorCode(GenericTypeCode):
    """
    Indicator
    From: http://cds-hooks.hl7.org/CodeSystem/indicator in valuesets.xml
        This value set captures the set of indicator codes defined by the CDS Hooks
    specification.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://cds-hooks.hl7.org/CodeSystem/indicator
    """
    codeset: FhirUri = "http://cds-hooks.hl7.org/CodeSystem/indicator"


class IndicatorCodeValues:
    """
    From: http://cds-hooks.hl7.org/CodeSystem/indicator in valuesets.xml
    """

    TheResponseIsInformational = IndicatorCode("info")
    """
    From: http://cds-hooks.hl7.org/CodeSystem/indicator in valuesets.xml
    """
    TheResponseIsAWarning = IndicatorCode("warning")
    """
    From: http://cds-hooks.hl7.org/CodeSystem/indicator in valuesets.xml
    """
    TheResponseIsCriticalAndIndicatesTheWorkflowShouldNotBeAllowedToProceed = (
        IndicatorCode("critical")
    )
