from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class InstanceAvailabilityCode(GenericTypeCode):
    """
    InstanceAvailability
    From: http://hl7.org/fhir/ValueSet/instance-availability in valuesets.xml
        Availability of the resource.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://dicom.nema.org/resources/ontology/DCM
    """
    codeset: FhirUri = "http://dicom.nema.org/resources/ontology/DCM"


class InstanceAvailabilityCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/instance-availability in valuesets.xml
    """

    ONLINE = InstanceAvailabilityCode("ONLINE")
    """
    From: http://hl7.org/fhir/ValueSet/instance-availability in valuesets.xml
    """
    OFFLINE = InstanceAvailabilityCode("OFFLINE")
    """
    From: http://hl7.org/fhir/ValueSet/instance-availability in valuesets.xml
    """
    NEARLINE = InstanceAvailabilityCode("NEARLINE")
    """
    From: http://hl7.org/fhir/ValueSet/instance-availability in valuesets.xml
    """
    UNAVAILABLE = InstanceAvailabilityCode("UNAVAILABLE")
