from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class IntegrityCheckAlgorithm(GenericTypeCode):
    """
    v3.IntegrityCheckAlgorithm
    From: http://terminology.hl7.org/ValueSet/v3-IntegrityCheckAlgorithm in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-IntegrityCheckAlgorithm
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/v3-IntegrityCheckAlgorithm"
    )


class IntegrityCheckAlgorithmValues:
    """
    This algorithm is defined in FIPS PUB 180-1: Secure Hash Standard.  As of
    April 17, 1995.
    From: http://terminology.hl7.org/CodeSystem/v3-IntegrityCheckAlgorithm in v3-codesystems.xml
    """

    SecureHashAlgorithm_1 = IntegrityCheckAlgorithm("SHA-1")
    """
    This algorithm is defined in FIPS PUB 180-2: Secure Hash Standard.
    From: http://terminology.hl7.org/CodeSystem/v3-IntegrityCheckAlgorithm in v3-codesystems.xml
    """
    SecureHashAlgorithm_256 = IntegrityCheckAlgorithm("SHA-256")
