from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class InvestigationTypeCode(GenericTypeCode):
    """
    InvestigationType
    From: http://hl7.org/fhir/ValueSet/investigation-sets in valuesets.xml
        Example value set for investigation type.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class InvestigationTypeCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/investigation-sets in valuesets.xml
    """

    Examination_Signs = InvestigationTypeCode("271336007")
    """
    From: http://hl7.org/fhir/ValueSet/investigation-sets in valuesets.xml
    """
    History_symptoms = InvestigationTypeCode("160237006")
