from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LanguageAbilityMode(GenericTypeCode):
    """
    v3.LanguageAbilityMode
    From: http://terminology.hl7.org/ValueSet/v3-LanguageAbilityMode in v3-codesystems.xml
         A value representing the method of expression of the language.  Example:
    Expressed spoken, expressed written, expressed signed, received spoken,
    received written, received signed.  OpenIssue:
    Description copied from Concept Domain of same name.  Must be verified.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-LanguageAbilityMode
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-LanguageAbilityMode"


class LanguageAbilityModeValues:
    """
    Expressed signed
    From: http://terminology.hl7.org/CodeSystem/v3-LanguageAbilityMode in v3-codesystems.xml
    """

    ExpressedSigned = LanguageAbilityMode("ESGN")
    """
    Expressed spoken
    From: http://terminology.hl7.org/CodeSystem/v3-LanguageAbilityMode in v3-codesystems.xml
    """
    ExpressedSpoken = LanguageAbilityMode("ESP")
    """
    Expressed written
    From: http://terminology.hl7.org/CodeSystem/v3-LanguageAbilityMode in v3-codesystems.xml
    """
    ExpressedWritten = LanguageAbilityMode("EWR")
    """
    Received signed
    From: http://terminology.hl7.org/CodeSystem/v3-LanguageAbilityMode in v3-codesystems.xml
    """
    ReceivedSigned = LanguageAbilityMode("RSGN")
    """
    Received spoken
    From: http://terminology.hl7.org/CodeSystem/v3-LanguageAbilityMode in v3-codesystems.xml
    """
    ReceivedSpoken = LanguageAbilityMode("RSP")
    """
    Received written
    From: http://terminology.hl7.org/CodeSystem/v3-LanguageAbilityMode in v3-codesystems.xml
    """
    ReceivedWritten = LanguageAbilityMode("RWR")
