from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LateralityCode(GenericTypeCode):
    """
    Laterality
    From: http://hl7.org/fhir/ValueSet/bodysite-laterality in valuesets.xml
        Laterality: SNOMED-CT concepts for 'left', 'right', and 'bilateral'
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class LateralityCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/bodysite-laterality in valuesets.xml
    """

    UnilateralLeft = LateralityCode("419161000")
    """
    From: http://hl7.org/fhir/ValueSet/bodysite-laterality in valuesets.xml
    """
    UnilateralRight = LateralityCode("419465000")
    """
    From: http://hl7.org/fhir/ValueSet/bodysite-laterality in valuesets.xml
    """
    Bilateral = LateralityCode("51440002")
