from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LDLCodesCode(GenericTypeCode):
    """
    LDLCodes
    From: http://hl7.org/fhir/ValueSet/ldlcholesterol-codes in valuesets.xml
        LDL Cholesterol codes - measured or calculated
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://loinc.org
    """
    codeset: FhirUri = "http://loinc.org"


class LDLCodesCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/ldlcholesterol-codes in valuesets.xml
    """

    LDLCholesterol_Assay_ = LDLCodesCode("18262-6")
    """
    From: http://hl7.org/fhir/ValueSet/ldlcholesterol-codes in valuesets.xml
    """
    CholesterolInLDL_Mass_volume_InSerumOrPlasmaByCalculation = LDLCodesCode("13457-7")
