from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LibraryTypeCode(GenericTypeCode):
    """
    LibraryType
    From: http://terminology.hl7.org/CodeSystem/library-type in valuesets.xml
        The type of knowledge asset this library contains.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/library-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/library-type"


class LibraryTypeCodeValues:
    """
    The resource is a shareable library of formalized knowledge.
    From: http://terminology.hl7.org/CodeSystem/library-type in valuesets.xml
    """

    LogicLibrary = LibraryTypeCode("logic-library")
    """
    The resource is a definition of an information model.
    From: http://terminology.hl7.org/CodeSystem/library-type in valuesets.xml
    """
    ModelDefinition = LibraryTypeCode("model-definition")
    """
    The resource is a collection of knowledge assets.
    From: http://terminology.hl7.org/CodeSystem/library-type in valuesets.xml
    """
    AssetCollection = LibraryTypeCode("asset-collection")
    """
    The resource defines the dependencies, parameters, and data requirements for a
    particular module or evaluation context.
    From: http://terminology.hl7.org/CodeSystem/library-type in valuesets.xml
    """
    ModuleDefinition = LibraryTypeCode("module-definition")
