from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ListModeCode(GenericTypeCode):
    """
    ListMode
    From: http://hl7.org/fhir/list-mode in valuesets.xml
        The processing mode that applies to this list.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/list-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/list-mode"


class ListModeCodeValues:
    """
    This list is the master list, maintained in an ongoing fashion with regular
    updates as the real world list it is tracking changes.
    From: http://hl7.org/fhir/list-mode in valuesets.xml
    """

    WorkingList = ListModeCode("working")
    """
    This list was prepared as a snapshot. It should not be assumed to be current.
    From: http://hl7.org/fhir/list-mode in valuesets.xml
    """
    SnapshotList = ListModeCode("snapshot")
    """
    A point-in-time list that shows what changes have been made or recommended.
    E.g. a discharge medication list showing what was added and removed during an
    encounter.
    From: http://hl7.org/fhir/list-mode in valuesets.xml
    """
    ChangeList = ListModeCode("changes")
