from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LivingArrangement(GenericTypeCode):
    """
    v3.LivingArrangement
    From: http://terminology.hl7.org/ValueSet/v3-LivingArrangement in v3-codesystems.xml
         A code depicting the living arrangements of a person
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-LivingArrangement
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-LivingArrangement"


class LivingArrangementValues:
    """
    Definition: Living arrangements lacking a permanent residence.
    From: http://terminology.hl7.org/CodeSystem/v3-LivingArrangement in v3-codesystems.xml
    """

    Homeless = LivingArrangement("HL")
    """
    Institution
    From: http://terminology.hl7.org/CodeSystem/v3-LivingArrangement in v3-codesystems.xml
    """
    Institution = LivingArrangement("I")
    """
    Definition:  A living arrangement within a private residence for single
    family.
    From: http://terminology.hl7.org/CodeSystem/v3-LivingArrangement in v3-codesystems.xml
    """
    PrivateResidence = LivingArrangement("PR")
