from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LocalMarkupIgnore(GenericTypeCode):
    """
    v3.LocalMarkupIgnore
    From: http://terminology.hl7.org/ValueSet/v3-LocalMarkupIgnore in v3-codesystems.xml
         Tells a receiver to ignore just the local markup tags (local_markup,
    local_header, local_attr) when value="markup", or to ignore the local markup
    tags and all contained content when value="all"
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-LocalMarkupIgnore
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-LocalMarkupIgnore"


class LocalMarkupIgnoreValues:
    """
    all
    From: http://terminology.hl7.org/CodeSystem/v3-LocalMarkupIgnore in v3-codesystems.xml
    """

    All = LocalMarkupIgnore("all")
    """
    markup
    From: http://terminology.hl7.org/CodeSystem/v3-LocalMarkupIgnore in v3-codesystems.xml
    """
    Markup = LocalMarkupIgnore("markup")
