from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LocationStatusCode(GenericTypeCode):
    """
    LocationStatus
    From: http://hl7.org/fhir/location-status in valuesets.xml
        Indicates whether the location is still in use.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/location-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/location-status"


class LocationStatusCodeValues:
    """
    The location is operational.
    From: http://hl7.org/fhir/location-status in valuesets.xml
    """

    Active = LocationStatusCode("active")
    """
    The location is temporarily closed.
    From: http://hl7.org/fhir/location-status in valuesets.xml
    """
    Suspended = LocationStatusCode("suspended")
    """
    The location is no longer used.
    From: http://hl7.org/fhir/location-status in valuesets.xml
    """
    Inactive = LocationStatusCode("inactive")
