from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class LOINCCodesForCholesterolInSerum_or_PlasmaCode(GenericTypeCode):
    """
    LOINC Codes for Cholesterol in Serum/Plasma
    From: http://hl7.org/fhir/ValueSet/example-extensional in valuesets.xml
        This is an example value set that includes all the LOINC codes for
    serum/plasma cholesterol from v2.36.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://loinc.org
    """
    codeset: FhirUri = "http://loinc.org"


class LOINCCodesForCholesterolInSerum_or_PlasmaCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/example-extensional in valuesets.xml
    """

    Cholesterol_Moles_Volume_ = LOINCCodesForCholesterolInSerum_or_PlasmaCode("14647-2")
    """
    From: http://hl7.org/fhir/ValueSet/example-extensional in valuesets.xml
    """
    Cholesterol_Mass_Volume_ = LOINCCodesForCholesterolInSerum_or_PlasmaCode("2093-3")
    """
    From: http://hl7.org/fhir/ValueSet/example-extensional in valuesets.xml
    """
    Cholesterol_MassOrMoles_Volume_ = LOINCCodesForCholesterolInSerum_or_PlasmaCode(
        "35200-5"
    )
    """
    From: http://hl7.org/fhir/ValueSet/example-extensional in valuesets.xml
    """
    Cholesterol_Percentile_ = LOINCCodesForCholesterolInSerum_or_PlasmaCode("9342-7")
