from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ManagedParticipationStatus(GenericTypeCode):
    """
    v3.ManagedParticipationStatus
    From: http://terminology.hl7.org/ValueSet/v3-ManagedParticipationStatus in v3-codesystems.xml
         Codes representing the defined possible states of a Managed Participation, as
    defined by the Managed Participation class state machine.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ManagedParticipationStatus
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/v3-ManagedParticipationStatus"
    )


class ManagedParticipationStatusValues:
    """
    The 'typical' state. Excludes "nullified" which represents the termination
    state of a participation instance that was created in error.
    From: http://terminology.hl7.org/CodeSystem/v3-ManagedParticipationStatus in v3-codesystems.xml
    """

    Normal = ManagedParticipationStatus("normal")
    """
    The state representing the termination of a Participation instance that was
    created in error.
    From: http://terminology.hl7.org/CodeSystem/v3-ManagedParticipationStatus in v3-codesystems.xml
    """
    Nullified = ManagedParticipationStatus("nullified")
