from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MaritalStatus(GenericTypeCode):
    """
    v3.MaritalStatus
    From: http://terminology.hl7.org/ValueSet/v3-MaritalStatus in v3-codesystems.xml
         * * * No description supplied * * *  Open Issue:
    The specific meanings of these codes can vary somewhat by jurisdiction and
    implementation so caution should be used when determining equivalency.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-MaritalStatus
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-MaritalStatus"


class MaritalStatusValues:
    """
    Marriage contract has been declared null and to not have existed
    From: http://terminology.hl7.org/CodeSystem/v3-MaritalStatus in v3-codesystems.xml
    """

    Annulled = MaritalStatus("A")
    """
    Marriage contract has been declared dissolved and inactive
    From: http://terminology.hl7.org/CodeSystem/v3-MaritalStatus in v3-codesystems.xml
    """
    Divorced = MaritalStatus("D")
    """
    Subject to an Interlocutory Decree.
    From: http://terminology.hl7.org/CodeSystem/v3-MaritalStatus in v3-codesystems.xml
    """
    Interlocutory = MaritalStatus("I")
    """
    Legally Separated
    From: http://terminology.hl7.org/CodeSystem/v3-MaritalStatus in v3-codesystems.xml
    """
    LegallySeparated = MaritalStatus("L")
    """
    A current marriage contract is active
    From: http://terminology.hl7.org/CodeSystem/v3-MaritalStatus in v3-codesystems.xml
    """
    Married = MaritalStatus("M")
    """
    More than 1 current spouse
    From: http://terminology.hl7.org/CodeSystem/v3-MaritalStatus in v3-codesystems.xml
    """
    Polygamous = MaritalStatus("P")
    """
    No marriage contract has ever been entered
    From: http://terminology.hl7.org/CodeSystem/v3-MaritalStatus in v3-codesystems.xml
    """
    NeverMarried = MaritalStatus("S")
    """
    Person declares that a domestic partner relationship exists.
    From: http://terminology.hl7.org/CodeSystem/v3-MaritalStatus in v3-codesystems.xml
    """
    DomesticPartner = MaritalStatus("T")
    """
    Currently not in a marriage contract.
    From: http://terminology.hl7.org/CodeSystem/v3-MaritalStatus in v3-codesystems.xml
    """
    Unmarried = MaritalStatus("U")
    """
    The spouse has died
    From: http://terminology.hl7.org/CodeSystem/v3-MaritalStatus in v3-codesystems.xml
    """
    Widowed = MaritalStatus("W")
