from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MaxOccursCode(GenericTypeCode):
    """
    MaxOccurs
    From: http://terminology.hl7.org/CodeSystem/question-max-occurs in valuesets.xml
        Flags an element as having unlimited repetitions.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/question-max-occurs
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/question-max-occurs"


class MaxOccursCodeValues:
    """
    Element can repeat an unlimited number of times.
    From: http://terminology.hl7.org/CodeSystem/question-max-occurs in valuesets.xml
    """

    Repeating = MaxOccursCode("*")
