from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MeasureDataUsageCode(GenericTypeCode):
    """
    MeasureDataUsage
    From: http://terminology.hl7.org/CodeSystem/measure-data-usage in valuesets.xml
        The intended usage for supplemental data elements in the measure.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/measure-data-usage
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/measure-data-usage"


class MeasureDataUsageCodeValues:
    """
    The data is intended to be provided as additional information alongside the
    measure results.
    From: http://terminology.hl7.org/CodeSystem/measure-data-usage in valuesets.xml
    """

    SupplementalData = MeasureDataUsageCode("supplemental-data")
    """
    The data is intended to be used to calculate and apply a risk adjustment model
    for the measure.
    From: http://terminology.hl7.org/CodeSystem/measure-data-usage in valuesets.xml
    """
    RiskAdjustmentFactor = MeasureDataUsageCode("risk-adjustment-factor")
