from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MeasureReportStatusCode(GenericTypeCode):
    """
    MeasureReportStatus
    From: http://hl7.org/fhir/measure-report-status in valuesets.xml
        The status of the measure report.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/measure-report-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/measure-report-status"


class MeasureReportStatusCodeValues:
    """
    The report is complete and ready for use.
    From: http://hl7.org/fhir/measure-report-status in valuesets.xml
    """

    Complete = MeasureReportStatusCode("complete")
    """
    The report is currently being generated.
    From: http://hl7.org/fhir/measure-report-status in valuesets.xml
    """
    Pending = MeasureReportStatusCode("pending")
    """
    An error occurred attempting to generate the report.
    From: http://hl7.org/fhir/measure-report-status in valuesets.xml
    """
    Error = MeasureReportStatusCode("error")
