from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MediaCollectionView_or_ProjectionCode(GenericTypeCode):
    """
    MediaCollectionView/Projection
    From: http://hl7.org/fhir/ValueSet/media-view in valuesets.xml
        Codes defined in SNOMED CT that can be used to record Media Recording views.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"
