from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MediaModalityCode(GenericTypeCode):
    """
    MediaModality
    From: http://terminology.hl7.org/CodeSystem/media-modality in valuesets.xml
        Detailed information about the type of the image - its kind, purpose, or the
    kind of equipment used to generate it.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/media-modality
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/media-modality"


class MediaModalityCodeValues:
    """
    A diagram. Often used in diagnostic reports
    From: http://terminology.hl7.org/CodeSystem/media-modality in valuesets.xml
    """

    Diagram = MediaModalityCode("diagram")
    """
    A digital record of a fax document
    From: http://terminology.hl7.org/CodeSystem/media-modality in valuesets.xml
    """
    Fax = MediaModalityCode("fax")
    """
    A digital scan of a document. This is reserved for when there is not enough
    metadata to create a document reference
    From: http://terminology.hl7.org/CodeSystem/media-modality in valuesets.xml
    """
    ScannedDocument = MediaModalityCode("scan")
    """
    A retinal image used for identification purposes
    From: http://terminology.hl7.org/CodeSystem/media-modality in valuesets.xml
    """
    RetinaScan = MediaModalityCode("retina")
    """
    A finger print scan used for identification purposes
    From: http://terminology.hl7.org/CodeSystem/media-modality in valuesets.xml
    """
    Fingerprint = MediaModalityCode("fingerprint")
    """
    An iris scan used for identification purposes
    From: http://terminology.hl7.org/CodeSystem/media-modality in valuesets.xml
    """
    IrisScan = MediaModalityCode("iris")
    """
    A palm scan used for identification purposes
    From: http://terminology.hl7.org/CodeSystem/media-modality in valuesets.xml
    """
    PalmScan = MediaModalityCode("palm")
    """
    A face scan used for identification purposes
    From: http://terminology.hl7.org/CodeSystem/media-modality in valuesets.xml
    """
    FaceScan = MediaModalityCode("face")
