from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MediaTypeCodeCode(GenericTypeCode):
    """
    MediaTypeCode
    From: http://hl7.org/fhir/ValueSet/dicm-405-mediatype in valuesets.xml
        Media Type Code
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://dicom.nema.org/resources/ontology/DCM
    """
    codeset: FhirUri = "http://dicom.nema.org/resources/ontology/DCM"


class MediaTypeCodeCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/dicm-405-mediatype in valuesets.xml
    """

    _110030 = MediaTypeCodeCode("110030")
    """
    From: http://hl7.org/fhir/ValueSet/dicm-405-mediatype in valuesets.xml
    """
    _110031 = MediaTypeCodeCode("110031")
    """
    From: http://hl7.org/fhir/ValueSet/dicm-405-mediatype in valuesets.xml
    """
    _110032 = MediaTypeCodeCode("110032")
    """
    From: http://hl7.org/fhir/ValueSet/dicm-405-mediatype in valuesets.xml
    """
    _110033 = MediaTypeCodeCode("110033")
    """
    From: http://hl7.org/fhir/ValueSet/dicm-405-mediatype in valuesets.xml
    """
    _110034 = MediaTypeCodeCode("110034")
    """
    From: http://hl7.org/fhir/ValueSet/dicm-405-mediatype in valuesets.xml
    """
    _110035 = MediaTypeCodeCode("110035")
    """
    From: http://hl7.org/fhir/ValueSet/dicm-405-mediatype in valuesets.xml
    """
    _110036 = MediaTypeCodeCode("110036")
    """
    From: http://hl7.org/fhir/ValueSet/dicm-405-mediatype in valuesets.xml
    """
    _110037 = MediaTypeCodeCode("110037")
    """
    From: http://hl7.org/fhir/ValueSet/dicm-405-mediatype in valuesets.xml
    """
    _110010 = MediaTypeCodeCode("110010")
    """
    From: http://hl7.org/fhir/ValueSet/dicm-405-mediatype in valuesets.xml
    """
    _110038 = MediaTypeCodeCode("110038")
