from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MedicationAdministrationCategoryCodesCode(GenericTypeCode):
    """
    MedicationAdministration Category Codes
    From: http://terminology.hl7.org/CodeSystem/medication-admin-category in valuesets.xml
        MedicationAdministration Category Codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/medication-admin-category
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/medication-admin-category"


class MedicationAdministrationCategoryCodesCodeValues:
    """
    Includes administrations in an inpatient or acute care setting
    From: http://terminology.hl7.org/CodeSystem/medication-admin-category in valuesets.xml
    """

    Inpatient = MedicationAdministrationCategoryCodesCode("inpatient")
    """
    Includes administrations in an outpatient setting (for example, Emergency
    Department, Outpatient Clinic, Outpatient Surgery, Doctor's office)
    From: http://terminology.hl7.org/CodeSystem/medication-admin-category in valuesets.xml
    """
    Outpatient = MedicationAdministrationCategoryCodesCode("outpatient")
    """
    Includes administrations by the patient in their home (this would include long
    term care or nursing homes, hospices, etc.)
    From: http://terminology.hl7.org/CodeSystem/medication-admin-category in valuesets.xml
    """
    Community = MedicationAdministrationCategoryCodesCode("community")
