from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MedicationDispensePerformerFunctionCodesCode(GenericTypeCode):
    """
    MedicationDispense Performer Function Codes
    From: http://terminology.hl7.org/CodeSystem/medicationdispense-performer-function in valuesets.xml
        MedicationDispense Performer Function Codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/medicationdispense-performer-function
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/medicationdispense-performer-function"
    )


class MedicationDispensePerformerFunctionCodesCodeValues:
    """
    Recorded the details of the request
    From: http://terminology.hl7.org/CodeSystem/medicationdispense-performer-function in valuesets.xml
    """

    DataEnterer = MedicationDispensePerformerFunctionCodesCode("dataenterer")
    """
    Prepared the medication.
    From: http://terminology.hl7.org/CodeSystem/medicationdispense-performer-function in valuesets.xml
    """
    Packager = MedicationDispensePerformerFunctionCodesCode("packager")
    """
    Performed initial quality assurance on the prepared medication
    From: http://terminology.hl7.org/CodeSystem/medicationdispense-performer-function in valuesets.xml
    """
    Checker = MedicationDispensePerformerFunctionCodesCode("checker")
    """
    Performed the final quality assurance on the prepared medication against the
    request. Typically, this is a pharmacist function.
    From: http://terminology.hl7.org/CodeSystem/medicationdispense-performer-function in valuesets.xml
    """
    FinalChecker = MedicationDispensePerformerFunctionCodesCode("finalchecker")
