from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MedicationKnowledgePackageTypeCodesCode(GenericTypeCode):
    """
    medicationKnowledge Package Type Codes
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
        MedicationKnowledge Package Type Codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type"
    )


class MedicationKnowledgePackageTypeCodesCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """

    Ampule = MedicationKnowledgePackageTypeCodesCode("amp")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Bag = MedicationKnowledgePackageTypeCodesCode("bag")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    BlisterPack = MedicationKnowledgePackageTypeCodesCode("blstrpk")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Bottle = MedicationKnowledgePackageTypeCodesCode("bot")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Box = MedicationKnowledgePackageTypeCodesCode("box")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Can = MedicationKnowledgePackageTypeCodesCode("can")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Cartridge = MedicationKnowledgePackageTypeCodesCode("cart")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Disk = MedicationKnowledgePackageTypeCodesCode("disk")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Dosette = MedicationKnowledgePackageTypeCodesCode("doset")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Jar = MedicationKnowledgePackageTypeCodesCode("jar")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Jug = MedicationKnowledgePackageTypeCodesCode("jug")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Minim = MedicationKnowledgePackageTypeCodesCode("minim")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    NebuleAmp = MedicationKnowledgePackageTypeCodesCode("nebamp")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Ovule = MedicationKnowledgePackageTypeCodesCode("ovul")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Pouch = MedicationKnowledgePackageTypeCodesCode("pch")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Packet = MedicationKnowledgePackageTypeCodesCode("pkt")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Sashet = MedicationKnowledgePackageTypeCodesCode("sash")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Strip = MedicationKnowledgePackageTypeCodesCode("strip")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Tin = MedicationKnowledgePackageTypeCodesCode("tin")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Tub = MedicationKnowledgePackageTypeCodesCode("tub")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Tube = MedicationKnowledgePackageTypeCodesCode("tube")
    """
    From: http://terminology.hl7.org/CodeSystem/medicationknowledge-package-type in valuesets.xml
    """
    Vial = MedicationKnowledgePackageTypeCodesCode("vial")
