from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MessageEventCode(GenericTypeCode):
    """
    MessageEvent
    From: http://hl7.org/fhir/message-events in valuesets.xml
        One of the message events defined as part of this version of FHIR.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/message-events
    """
    codeset: FhirUri = "http://hl7.org/fhir/message-events"
