from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MessageTransportCode(GenericTypeCode):
    """
    MessageTransport
    From: http://terminology.hl7.org/CodeSystem/message-transport in valuesets.xml
        The protocol used for message transport.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/message-transport
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/message-transport"


class MessageTransportCodeValues:
    """
    The application sends or receives messages using HTTP POST (may be over http:
    or https:).
    From: http://terminology.hl7.org/CodeSystem/message-transport in valuesets.xml
    """

    HTTP = MessageTransportCode("http")
    """
    The application sends or receives messages using File Transfer Protocol.
    From: http://terminology.hl7.org/CodeSystem/message-transport in valuesets.xml
    """
    FTP = MessageTransportCode("ftp")
    """
    The application sends or receives messages using HL7's Minimal Lower Level
    Protocol.
    From: http://terminology.hl7.org/CodeSystem/message-transport in valuesets.xml
    """
    MLLP = MessageTransportCode("mllp")
