from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Messageheader_response_requestCode(GenericTypeCode):
    """
    messageheader-response-request
    From: http://hl7.org/fhir/messageheader-response-request in valuesets.xml
        HL7-defined table of codes which identify conditions under which
    acknowledgments are required to be returned in response to a message.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/messageheader-response-request
    """
    codeset: FhirUri = "http://hl7.org/fhir/messageheader-response-request"


class Messageheader_response_requestCodeValues:
    """
    initiator expects a response for this message.
    From: http://hl7.org/fhir/messageheader-response-request in valuesets.xml
    """

    Always = Messageheader_response_requestCode("always")
    """
    initiator expects a response only if in error.
    From: http://hl7.org/fhir/messageheader-response-request in valuesets.xml
    """
    Error_rejectConditionsOnly = Messageheader_response_requestCode("on-error")
    """
    initiator does not expect a response.
    From: http://hl7.org/fhir/messageheader-response-request in valuesets.xml
    """
    Never = Messageheader_response_requestCode("never")
    """
    initiator expects a response only if successful.
    From: http://hl7.org/fhir/messageheader-response-request in valuesets.xml
    """
    SuccessfulCompletionOnly = Messageheader_response_requestCode("on-success")
