from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MimeTypesCode(GenericTypeCode):
    """
    Mime Types
    From: http://hl7.org/fhir/ValueSet/mimetypes in valuesets.xml
        This value set includes all possible codes from BCP-13
    (http://tools.ietf.org/html/bcp13)
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    urn:ietf:bcp:13
    """
    codeset: FhirUri = "urn:ietf:bcp:13"
