from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MissingToothReasonCodesCode(GenericTypeCode):
    """
    MissingToothReasonCodes
    From: http://terminology.hl7.org/CodeSystem/missingtoothreason in valuesets.xml
        This value set includes sample Missing Tooth Reason codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/missingtoothreason
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/missingtoothreason"


class MissingToothReasonCodesCodeValues:
    """
    Extraction
    From: http://terminology.hl7.org/CodeSystem/missingtoothreason in valuesets.xml
    """

    E = MissingToothReasonCodesCode("e")
    """
    Congenital
    From: http://terminology.hl7.org/CodeSystem/missingtoothreason in valuesets.xml
    """
    C = MissingToothReasonCodesCode("c")
    """
    Unknown
    From: http://terminology.hl7.org/CodeSystem/missingtoothreason in valuesets.xml
    """
    U = MissingToothReasonCodesCode("u")
    """
    Other
    From: http://terminology.hl7.org/CodeSystem/missingtoothreason in valuesets.xml
    """
    O = MissingToothReasonCodesCode("o")
