from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ModifierTypeCodesCode(GenericTypeCode):
    """
    ModifierTypeCodes
    From: http://terminology.hl7.org/CodeSystem/modifiers in valuesets.xml
        This value set includes sample Modifier type codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/modifiers
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/modifiers"


class ModifierTypeCodesCodeValues:
    """
    Repair of prior service or installation.
    From: http://terminology.hl7.org/CodeSystem/modifiers in valuesets.xml
    """

    RepairOfPriorServiceOrInstallation = ModifierTypeCodesCode("a")
    """
    Temporary service or installation.
    From: http://terminology.hl7.org/CodeSystem/modifiers in valuesets.xml
    """
    TemporaryServiceOrInstallation = ModifierTypeCodesCode("b")
    """
    Treatment associated with TMJ.
    From: http://terminology.hl7.org/CodeSystem/modifiers in valuesets.xml
    """
    TMJTreatment = ModifierTypeCodesCode("c")
    """
    Implant or associated with an implant.
    From: http://terminology.hl7.org/CodeSystem/modifiers in valuesets.xml
    """
    ImplantOrAssociatedWithAnImplant = ModifierTypeCodesCode("e")
    """
    A Rush service or service performed outside of normal office hours.
    From: http://terminology.hl7.org/CodeSystem/modifiers in valuesets.xml
    """
    RushOrOutsideOfOfficeHours = ModifierTypeCodesCode("rooh")
    """
    None.
    From: http://terminology.hl7.org/CodeSystem/modifiers in valuesets.xml
    """
    None_ = ModifierTypeCodesCode("x")
