from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ModifyIndicator(GenericTypeCode):
    """
    v3.ModifyIndicator
    From: http://terminology.hl7.org/ValueSet/v3-ModifyIndicator in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ModifyIndicator
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ModifyIndicator"


class ModifyIndicatorValues:
    """
    Modified subscription to a query server.
    From: http://terminology.hl7.org/CodeSystem/v3-ModifyIndicator in v3-codesystems.xml
    """

    ModifiedSubscription = ModifyIndicator("M")
    """
    New subscription to a query server.
    From: http://terminology.hl7.org/CodeSystem/v3-ModifyIndicator in v3-codesystems.xml
    """
    NewSubscription = ModifyIndicator("N")
