from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class NeedCode(GenericTypeCode):
    """
    need
    From: http://terminology.hl7.org/CodeSystem/need in valuesets.xml
        The frequency with which the target must be validated
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/need
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/need"


class NeedCodeValues:
    """
    ***TODO***
    From: http://terminology.hl7.org/CodeSystem/need in valuesets.xml
    """

    None_ = NeedCode("none")
    """
    ***TODO***
    From: http://terminology.hl7.org/CodeSystem/need in valuesets.xml
    """
    Initial = NeedCode("initial")
    """
    ***TODO***
    From: http://terminology.hl7.org/CodeSystem/need in valuesets.xml
    """
    Periodic = NeedCode("periodic")
