from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class NetworkTypeCodesCode(GenericTypeCode):
    """
    NetworkTypeCodes
    From: http://terminology.hl7.org/CodeSystem/benefit-network in valuesets.xml
        This value set includes a smattering of Network type codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/benefit-network
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/benefit-network"


class NetworkTypeCodesCodeValues:
    """
    Services rendered by a Network provider
    From: http://terminology.hl7.org/CodeSystem/benefit-network in valuesets.xml
    """

    InNetwork = NetworkTypeCodesCode("in")
    """
    Services rendered by a provider who is not in the Network
    From: http://terminology.hl7.org/CodeSystem/benefit-network in valuesets.xml
    """
    OutOfNetwork = NetworkTypeCodesCode("out")
