from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class NoteTypeCode(GenericTypeCode):
    """
    NoteType
    From: http://hl7.org/fhir/note-type in valuesets.xml
        The presentation types of notes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/note-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/note-type"


class NoteTypeCodeValues:
    """
    Display the note.
    From: http://hl7.org/fhir/note-type in valuesets.xml
    """

    Display = NoteTypeCode("display")
    """
    Print the note on the form.
    From: http://hl7.org/fhir/note-type in valuesets.xml
    """
    Print_Form_ = NoteTypeCode("print")
    """
    Print the note for the operator.
    From: http://hl7.org/fhir/note-type in valuesets.xml
    """
    Print_Operator_ = NoteTypeCode("printoper")
