from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ObjectLifecycleEventsCode(GenericTypeCode):
    """
    ObjectLifecycleEvents
    From: http://hl7.org/fhir/ValueSet/object-lifecycle-events in valuesets.xml
        This example FHIR value set is comprised of lifecycle event codes. The FHIR
    Actor value set is based on    DICOM Audit Message,
    ParticipantObjectDataLifeCycle;   ISO Standard, TS 21089-2017;
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/dicom-audit-lifecycle
    """
    codeset_dicom_audit_lifecycle: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/dicom-audit-lifecycle"
    )
    """
    http://terminology.hl7.org/CodeSystem/iso-21089-lifecycle
    """
    codeset_iso_21089_lifecycle: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/iso-21089-lifecycle"
    )
