from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ObservationReferenceRangeAppliesToCodesCode(GenericTypeCode):
    """
    ObservationReferenceRangeAppliesToCodes
    From: http://hl7.org/fhir/ValueSet/referencerange-appliesto in valuesets.xml
        This value set defines a set of codes that can be used to indicate the
    particular target population the reference range applies to.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-Race
    """
    codeset_v3_Race: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-Race"
    """
    http://snomed.info/sct
    """
    codeset_sct: FhirUri = "http://snomed.info/sct"


class ObservationReferenceRangeAppliesToCodesCodeValues:
    """
    American Indian or Alaska Native
    From: http://terminology.hl7.org/CodeSystem/v3-Race in v3-codesystems.xml
    """

    AmericanIndianOrAlaskaNative = ObservationReferenceRangeAppliesToCodesCode("1002-5")
    """
    Asian
    From: http://terminology.hl7.org/CodeSystem/v3-Race in v3-codesystems.xml
    """
    Asian = ObservationReferenceRangeAppliesToCodesCode("2028-9")
    """
    Black or African American
    From: http://terminology.hl7.org/CodeSystem/v3-Race in v3-codesystems.xml
    """
    BlackOrAfricanAmerican = ObservationReferenceRangeAppliesToCodesCode("2054-5")
    """
    Native Hawaiian or Other Pacific Islander
    From: http://terminology.hl7.org/CodeSystem/v3-Race in v3-codesystems.xml
    """
    NativeHawaiianOrOtherPacificIslander = ObservationReferenceRangeAppliesToCodesCode(
        "2076-8"
    )
    """
    White
    From: http://terminology.hl7.org/CodeSystem/v3-Race in v3-codesystems.xml
    """
    White = ObservationReferenceRangeAppliesToCodesCode("2106-3")
    """
    Note that this term remains in the table for completeness, even though within
    HL7, the notion of Other code is deprecated.
    From: http://terminology.hl7.org/CodeSystem/v3-Race in v3-codesystems.xml
    """
    OtherRace = ObservationReferenceRangeAppliesToCodesCode("2131-1")
    """
    From: http://hl7.org/fhir/ValueSet/referencerange-appliesto in valuesets.xml
    """
    _248153007 = ObservationReferenceRangeAppliesToCodesCode("248153007")
    """
    From: http://hl7.org/fhir/ValueSet/referencerange-appliesto in valuesets.xml
    """
    _248152002 = ObservationReferenceRangeAppliesToCodesCode("248152002")
    """
    From: http://hl7.org/fhir/ValueSet/referencerange-appliesto in valuesets.xml
    """
    _77386006 = ObservationReferenceRangeAppliesToCodesCode("77386006")
