from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class OperationParameterUseCode(GenericTypeCode):
    """
    OperationParameterUse
    From: http://hl7.org/fhir/operation-parameter-use in valuesets.xml
        Whether an operation parameter is an input or an output parameter.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/operation-parameter-use
    """
    codeset: FhirUri = "http://hl7.org/fhir/operation-parameter-use"


class OperationParameterUseCodeValues:
    """
    This is an input parameter.
    From: http://hl7.org/fhir/operation-parameter-use in valuesets.xml
    """

    In = OperationParameterUseCode("in")
    """
    This is an output parameter.
    From: http://hl7.org/fhir/operation-parameter-use in valuesets.xml
    """
    Out = OperationParameterUseCode("out")
