from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ParticipantRequiredCode(GenericTypeCode):
    """
    ParticipantRequired
    From: http://hl7.org/fhir/participantrequired in valuesets.xml
        Is the Participant required to attend the appointment.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/participantrequired
    """
    codeset: FhirUri = "http://hl7.org/fhir/participantrequired"


class ParticipantRequiredCodeValues:
    """
    The participant is required to attend the appointment.
    From: http://hl7.org/fhir/participantrequired in valuesets.xml
    """

    Required = ParticipantRequiredCode("required")
    """
    The participant may optionally attend the appointment.
    From: http://hl7.org/fhir/participantrequired in valuesets.xml
    """
    Optional = ParticipantRequiredCode("optional")
    """
    The participant is excluded from the appointment, and might not be informed of
    the appointment taking place. (Appointment is about them, not for them - such
    as 2 doctors discussing results about a patient's test).
    From: http://hl7.org/fhir/participantrequired in valuesets.xml
    """
    InformationOnly = ParticipantRequiredCode("information-only")
