from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ParticipationInformationGenerator(GenericTypeCode):
    """
    v3.ParticipationInformationGenerator
    From: http://terminology.hl7.org/ValueSet/v3-ParticipationInformationGenerator in v3-codesystems.xml
         Parties that may or should contribute or have contributed information to the
    Act. Such information includes information leading to the decision to perform
    the Act and how to perform the Act (e.g., consultant), information that the
    Act itself seeks to reveal (e.g., informant of clinical history), or
    information about what Act was performed (e.g., informant witness).
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ParticipationType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ParticipationType"


class ParticipationInformationGeneratorValues:
    """
    Indicates that the target of the participation is involved in some manner in
    the act, but does not qualify how.
    From: http://terminology.hl7.org/CodeSystem/v3-ParticipationType in v3-codesystems.xml
    """

    Participation = ParticipationInformationGenerator("PART")
