from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ParticipationInformationTranscriber(GenericTypeCode):
    """
    v3.ParticipationInformationTranscriber
    From: http://terminology.hl7.org/ValueSet/v3-ParticipationInformationTranscriber in v3-codesystems.xml
         An entity entering the data into the originating system. The data entry
    entity is collected optionally for internal quality control purposes. This
    includes the transcriptionist for dictated text transcribed into electronic
    form.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ParticipationType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ParticipationType"


class ParticipationInformationTranscriberValues:
    """
    Indicates that the target of the participation is involved in some manner in
    the act, but does not qualify how.
    From: http://terminology.hl7.org/CodeSystem/v3-ParticipationType in v3-codesystems.xml
    """

    Participation = ParticipationInformationTranscriber("PART")
