from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ParticipationPhysicalPerformer(GenericTypeCode):
    """
    v3.ParticipationPhysicalPerformer
    From: http://terminology.hl7.org/ValueSet/v3-ParticipationPhysicalPerformer in v3-codesystems.xml
         A person  who actually and principally carries out the action.  Need not be
    the principal responsible actor, e.g. a surgery resident operating under
    supervision of attending surgeon, and may be the patient in self-care, e.g.
    fingerstick blood sugar.  The traditional order filler is a performer. This
    information should accompany every service event.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ParticipationType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ParticipationType"


class ParticipationPhysicalPerformerValues:
    """
    Indicates that the target of the participation is involved in some manner in
    the act, but does not qualify how.
    From: http://terminology.hl7.org/CodeSystem/v3-ParticipationType in v3-codesystems.xml
    """

    Participation = ParticipationPhysicalPerformer("PART")
