from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ParticipationStatusCode(GenericTypeCode):
    """
    ParticipationStatus
    From: http://hl7.org/fhir/participationstatus in valuesets.xml
        The Participation status of an appointment.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/participationstatus
    """
    codeset: FhirUri = "http://hl7.org/fhir/participationstatus"


class ParticipationStatusCodeValues:
    """
    The participant has accepted the appointment.
    From: http://hl7.org/fhir/participationstatus in valuesets.xml
    """

    Accepted = ParticipationStatusCode("accepted")
    """
    The participant has declined the appointment and will not participate in the
    appointment.
    From: http://hl7.org/fhir/participationstatus in valuesets.xml
    """
    Declined = ParticipationStatusCode("declined")
    """
    The participant has  tentatively accepted the appointment. This could be
    automatically created by a system and requires further processing before it
    can be accepted. There is no commitment that attendance will occur.
    From: http://hl7.org/fhir/participationstatus in valuesets.xml
    """
    Tentative = ParticipationStatusCode("tentative")
    """
    The participant needs to indicate if they accept the appointment by changing
    this status to one of the other statuses.
    From: http://hl7.org/fhir/participationstatus in valuesets.xml
    """
    NeedsAction = ParticipationStatusCode("needs-action")
