from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ParticipationTargetSubject(GenericTypeCode):
    """
    v3.ParticipationTargetSubject
    From: http://terminology.hl7.org/ValueSet/v3-ParticipationTargetSubject in v3-codesystems.xml
         The principle target that the service acts on.  E.g. the patient in physical
    examination, a specimen in a lab observation. May also be a patient's family
    member (teaching) or a device or room (cleaning, disinfecting, housekeeping).
    Note: not all direct targets are subjects, consumables, and devices used as
    tools for a service are not subjects.  However, a device may be a subject of a
    maintenance service.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ParticipationType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ParticipationType"


class ParticipationTargetSubjectValues:
    """
    Indicates that the target of the participation is involved in some manner in
    the act, but does not qualify how.
    From: http://terminology.hl7.org/CodeSystem/v3-ParticipationType in v3-codesystems.xml
    """

    Participation = ParticipationTargetSubject("PART")
