from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class PatientMedicineChangeTypesCode(GenericTypeCode):
    """
    PatientMedicineChangeTypes
    From: urn:oid:1.2.36.1.2001.1001.101.104.16592 in valuesets.xml
        Example Item Flags for the List Resource. In this case, these are the kind of
    flags that would be used on a medication list at the end of a consultation.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    urn:oid:1.2.36.1.2001.1001.101.104.16592
    """
    codeset: FhirUri = "urn:oid:1.2.36.1.2001.1001.101.104.16592"


class PatientMedicineChangeTypesCodeValues:
    """
    No change has been made to the status of this medicine item.
    From: urn:oid:1.2.36.1.2001.1001.101.104.16592 in valuesets.xml
    """

    Unchanged = PatientMedicineChangeTypesCode("01")
    """
    The medicine item has changed. The change may be described in an extension
    (not defined yet)
    From: urn:oid:1.2.36.1.2001.1001.101.104.16592 in valuesets.xml
    """
    Changed = PatientMedicineChangeTypesCode("02")
    """
    The prescription for this medicine item was cancelled by an authorized health
    care provider. The patient may be advised to complete the course of the
    prescribed medicine. This advice is a clinical decision made based on
    assessment of the patient's clinical condition.
    From: urn:oid:1.2.36.1.2001.1001.101.104.16592 in valuesets.xml
    """
    Cancelled = PatientMedicineChangeTypesCode("03")
    """
    A new medicine item has been prescribed
    From: urn:oid:1.2.36.1.2001.1001.101.104.16592 in valuesets.xml
    """
    Prescribed = PatientMedicineChangeTypesCode("04")
    """
    Administration of this medication item that the patient is currently taking is
    stopped or recommended to be stopped (i.e. instructed to be ceased by a health
    care provider). This cessation is anticipated to be permanent. The Change
    Description should describe the reason for cessation. Example uses: the
    medication in question is considered ineffective or has caused serious adverse
    effects. This value applies both to the cessation of a medication that is
    prescribed by another healthcare provider or patient self-administration of
    OTC medicines.
    From: urn:oid:1.2.36.1.2001.1001.101.104.16592 in valuesets.xml
    """
    Ceased = PatientMedicineChangeTypesCode("05")
    """
    Administration of this medication item that the patient is currently taking is
    on hold, or instructed or recommended by a health care provider to be
    temporarily stopped, or subject to clinical review (i.e. the stop may be
    temporary or permanent depending on the outcome of clinical review), or
    temporarily suspended as a pre-requisite to certain surgical or diagnostic
    procedures.
    From: urn:oid:1.2.36.1.2001.1001.101.104.16592 in valuesets.xml
    """
    Suspended = PatientMedicineChangeTypesCode("06")
