from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class PayeeResourceTypeCode(GenericTypeCode):
    """
    PayeeResourceType
    From: http://terminology.hl7.org/CodeSystem/resource-type-link in valuesets.xml
        The type of payee Resource.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/resource-type-link
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/resource-type-link"


class PayeeResourceTypeCodeValues:
    """
    Organization resource.
    From: http://terminology.hl7.org/CodeSystem/resource-type-link in valuesets.xml
    """

    Organization = PayeeResourceTypeCode("organization")
    """
    Patient resource.
    From: http://terminology.hl7.org/CodeSystem/resource-type-link in valuesets.xml
    """
    Patient = PayeeResourceTypeCode("patient")
    """
    Practitioner resource.
    From: http://terminology.hl7.org/CodeSystem/resource-type-link in valuesets.xml
    """
    Practitioner = PayeeResourceTypeCode("practitioner")
    """
    RelatedPerson resource.
    From: http://terminology.hl7.org/CodeSystem/resource-type-link in valuesets.xml
    """
    RelatedPerson = PayeeResourceTypeCode("relatedperson")
