from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class PaymentAdjustmentReasonCodesCode(GenericTypeCode):
    """
    PaymentAdjustmentReasonCodes
    From: http://terminology.hl7.org/CodeSystem/payment-adjustment-reason in valuesets.xml
        This value set includes smattering of Payment Adjustment Reason codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/payment-adjustment-reason
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/payment-adjustment-reason"


class PaymentAdjustmentReasonCodesCodeValues:
    """
    Prior Payment Reversal
    From: http://terminology.hl7.org/CodeSystem/payment-adjustment-reason in valuesets.xml
    """

    PriorPaymentReversal = PaymentAdjustmentReasonCodesCode("a001")
    """
    Prior Overpayment
    From: http://terminology.hl7.org/CodeSystem/payment-adjustment-reason in valuesets.xml
    """
    PriorOverpayment = PaymentAdjustmentReasonCodesCode("a002")
