from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class PaymentTypeCodesCode(GenericTypeCode):
    """
    PaymentTypeCodes
    From: http://terminology.hl7.org/CodeSystem/payment-type in valuesets.xml
        This value set includes sample Payment Type codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/payment-type
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/payment-type"


class PaymentTypeCodesCodeValues:
    """
    The amount is partial or complete settlement of the amounts due.
    From: http://terminology.hl7.org/CodeSystem/payment-type in valuesets.xml
    """

    Payment = PaymentTypeCodesCode("payment")
    """
    The amount is an adjustment regarding claims already paid.
    From: http://terminology.hl7.org/CodeSystem/payment-type in valuesets.xml
    """
    Adjustment = PaymentTypeCodesCode("adjustment")
    """
    The amount is an advance against future claims.
    From: http://terminology.hl7.org/CodeSystem/payment-type in valuesets.xml
    """
    Advance = PaymentTypeCodesCode("advance")
