from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class PerformerFunctionCodesCode(GenericTypeCode):
    """
    Performer Function Codes
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
        The types of involvement of the performer in the Event.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ParticipationType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ParticipationType"


class PerformerFunctionCodesCodeValues:
    """
    Indicates that the target of the participation is involved in some manner in
    the act, but does not qualify how.
    From: http://terminology.hl7.org/CodeSystem/v3-ParticipationType in v3-codesystems.xml
    """

    Participation = PerformerFunctionCodesCode("PART")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    TRANS = PerformerFunctionCodesCode("TRANS")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    PART = PerformerFunctionCodesCode("PART")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    ATND = PerformerFunctionCodesCode("ATND")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    CON = PerformerFunctionCodesCode("CON")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    AUT = PerformerFunctionCodesCode("AUT")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    INF = PerformerFunctionCodesCode("INF")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    ENT = PerformerFunctionCodesCode("ENT")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    WIT = PerformerFunctionCodesCode("WIT")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    PPRF = PerformerFunctionCodesCode("PPRF")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    SPRF = PerformerFunctionCodesCode("SPRF")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    RESP = PerformerFunctionCodesCode("RESP")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    VRF = PerformerFunctionCodesCode("VRF")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    AUTHEN = PerformerFunctionCodesCode("AUTHEN")
    """
    From: http://hl7.org/fhir/ValueSet/performer-function in valuesets.xml
    """
    LA = PerformerFunctionCodesCode("LA")
