from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class PersonDisabilityType(GenericTypeCode):
    """
    v3.PersonDisabilityType
    From: http://terminology.hl7.org/ValueSet/v3-PersonDisabilityType in v3-codesystems.xml
         A code identifying a person's disability.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-PersonDisabilityType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-PersonDisabilityType"


class PersonDisabilityTypeValues:
    """
    Vision impaired
    From: http://terminology.hl7.org/CodeSystem/v3-PersonDisabilityType in v3-codesystems.xml
    """

    VisionImpaired = PersonDisabilityType("1")
    """
    Hearing impaired
    From: http://terminology.hl7.org/CodeSystem/v3-PersonDisabilityType in v3-codesystems.xml
    """
    HearingImpaired = PersonDisabilityType("2")
    """
    Speech impaired
    From: http://terminology.hl7.org/CodeSystem/v3-PersonDisabilityType in v3-codesystems.xml
    """
    SpeechImpaired = PersonDisabilityType("3")
    """
    Mentally impaired
    From: http://terminology.hl7.org/CodeSystem/v3-PersonDisabilityType in v3-codesystems.xml
    """
    MentallyImpaired = PersonDisabilityType("4")
    """
    Mobility impaired
    From: http://terminology.hl7.org/CodeSystem/v3-PersonDisabilityType in v3-codesystems.xml
    """
    MobilityImpaired = PersonDisabilityType("5")
