from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class PractitionerRoleCode(GenericTypeCode):
    """
    PractitionerRole
    From: http://terminology.hl7.org/CodeSystem/practitioner-role in valuesets.xml
        This example value set defines a set of codes that can be used to indicate the
    role of a Practitioner.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/practitioner-role
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/practitioner-role"


class PractitionerRoleCodeValues:
    """
    A qualified/registered medical practitioner
    From: http://terminology.hl7.org/CodeSystem/practitioner-role in valuesets.xml
    """

    Doctor = PractitionerRoleCode("doctor")
    """
    A practitioner with nursing experience that may be qualified/registered
    From: http://terminology.hl7.org/CodeSystem/practitioner-role in valuesets.xml
    """
    Nurse = PractitionerRoleCode("nurse")
    """
    A qualified/registered/licensed pharmacist
    From: http://terminology.hl7.org/CodeSystem/practitioner-role in valuesets.xml
    """
    Pharmacist = PractitionerRoleCode("pharmacist")
    """
    A practitioner that may perform research
    From: http://terminology.hl7.org/CodeSystem/practitioner-role in valuesets.xml
    """
    Researcher = PractitionerRoleCode("researcher")
    """
    Someone who is able to provide educational services
    From: http://terminology.hl7.org/CodeSystem/practitioner-role in valuesets.xml
    """
    Teacher_educator = PractitionerRoleCode("teacher")
    """
    Someone who is qualified in Information and Communication Technologies
    From: http://terminology.hl7.org/CodeSystem/practitioner-role in valuesets.xml
    """
    ICTProfessional = PractitionerRoleCode("ict")
