from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ProcedureDeviceActionCodesCode(GenericTypeCode):
    """
    ProcedureDeviceActionCodes
    From: http://hl7.org/fhir/device-action in valuesets.xml
        Example codes indicating the change that happened to the device during the
    procedure.  Note that these are in no way complete and might not even be
    appropriate for some uses.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/device-action
    """
    codeset: FhirUri = "http://hl7.org/fhir/device-action"


class ProcedureDeviceActionCodesCodeValues:
    """
    The device was implanted in the patient during the procedure.
    From: http://hl7.org/fhir/device-action in valuesets.xml
    """

    Implanted = ProcedureDeviceActionCodesCode("implanted")
    """
    The device was explanted from the patient during the procedure.
    From: http://hl7.org/fhir/device-action in valuesets.xml
    """
    Explanted = ProcedureDeviceActionCodesCode("explanted")
    """
    The device remains in the patient, but its location, settings, or
    functionality was changed.
    From: http://hl7.org/fhir/device-action in valuesets.xml
    """
    Manipulated = ProcedureDeviceActionCodesCode("manipulated")
