from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ProcedureFollowUpCodes_SNOMEDCT_Code(GenericTypeCode):
    """
    ProcedureFollowUpCodes(SNOMEDCT)
    From: http://hl7.org/fhir/ValueSet/procedure-followup in valuesets.xml
        Procedure follow up codes: A selection of SNOMED CT codes relevant to
    procedure follow up.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class ProcedureFollowUpCodes_SNOMEDCT_CodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/procedure-followup in valuesets.xml
    """

    _18949003 = ProcedureFollowUpCodes_SNOMEDCT_Code("18949003")
    """
    From: http://hl7.org/fhir/ValueSet/procedure-followup in valuesets.xml
    """
    _30549001 = ProcedureFollowUpCodes_SNOMEDCT_Code("30549001")
    """
    From: http://hl7.org/fhir/ValueSet/procedure-followup in valuesets.xml
    """
    _241031001 = ProcedureFollowUpCodes_SNOMEDCT_Code("241031001")
    """
    From: http://hl7.org/fhir/ValueSet/procedure-followup in valuesets.xml
    """
    _35963001 = ProcedureFollowUpCodes_SNOMEDCT_Code("35963001")
    """
    From: http://hl7.org/fhir/ValueSet/procedure-followup in valuesets.xml
    """
    _225164002 = ProcedureFollowUpCodes_SNOMEDCT_Code("225164002")
    """
    From: http://hl7.org/fhir/ValueSet/procedure-followup in valuesets.xml
    """
    _447346005 = ProcedureFollowUpCodes_SNOMEDCT_Code("447346005")
    """
    From: http://hl7.org/fhir/ValueSet/procedure-followup in valuesets.xml
    """
    _229506003 = ProcedureFollowUpCodes_SNOMEDCT_Code("229506003")
    """
    From: http://hl7.org/fhir/ValueSet/procedure-followup in valuesets.xml
    """
    _274441001 = ProcedureFollowUpCodes_SNOMEDCT_Code("274441001")
    """
    From: http://hl7.org/fhir/ValueSet/procedure-followup in valuesets.xml
    """
    _394725008 = ProcedureFollowUpCodes_SNOMEDCT_Code("394725008")
    """
    From: http://hl7.org/fhir/ValueSet/procedure-followup in valuesets.xml
    """
    _359825008 = ProcedureFollowUpCodes_SNOMEDCT_Code("359825008")
