from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ProcedureNotPerformedReason_SNOMED_CT_Code(GenericTypeCode):
    """
    ProcedureNotPerformedReason(SNOMED-CT)
    From: http://hl7.org/fhir/ValueSet/procedure-not-performed-reason in valuesets.xml
        Situation codes describing the reason that a procedure, which might otherwise
    be expected, was not performed, or a procedure that was started and was not
    completed. Consists of SNOMED CT codes, children of procedure contraindicated
    (183932001), procedure discontinued (416406003), procedure not done
    (416237000), procedure not indicated (428119001), procedure not offered
    (416064006), procedure not wanted (416432009), procedure refused (183944003),
    and procedure stopped (394908001).
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"
