from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ProcessPriorityCodesCode(GenericTypeCode):
    """
    ProcessPriorityCodes
    From: http://terminology.hl7.org/CodeSystem/processpriority in valuesets.xml
        This value set includes the financial processing priority codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/processpriority
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/processpriority"


class ProcessPriorityCodesCodeValues:
    """
    Immediately in real time.
    From: http://terminology.hl7.org/CodeSystem/processpriority in valuesets.xml
    """

    Immediate = ProcessPriorityCodesCode("stat")
    """
    With best effort.
    From: http://terminology.hl7.org/CodeSystem/processpriority in valuesets.xml
    """
    Normal = ProcessPriorityCodesCode("normal")
    """
    Later, when possible.
    From: http://terminology.hl7.org/CodeSystem/processpriority in valuesets.xml
    """
    Deferred = ProcessPriorityCodesCode("deferred")
