from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ProgramCode(GenericTypeCode):
    """
    Program
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
        This value set defines an example set of codes that could be can be used to
    classify groupings of service-types/specialties.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/program
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/program"


class ProgramCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """

    AcquiredBrainInjury_ABI_Program_ = ProgramCode("1")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    ABISlowToRecover_ABISTR_Program = ProgramCode("2")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    AccessPrograms = ProgramCode("3")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    AdultAndFurtherEducation_ACFE_Program = ProgramCode("4")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    AdultDayActivityAndSupportServices_ADASS_Program = ProgramCode("5")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    AdultDayCareProgram = ProgramCode("6")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    ATSS_AdultTrainingSupportService_ = ProgramCode("7")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    CommunityAgedCarePackages_CACP_ = ProgramCode("8")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    CareCoordination_SupplementaryServices_CCSS_ = ProgramCode("9")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    CognitiveDementiaMemoryService_CDAMS_ = ProgramCode("10")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    ChildFIRST = ProgramCode("11")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    Children_sContactServices = ProgramCode("12")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    CommunityVisitorsScheme = ProgramCode("13")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    CPP_CommunityPartnersProgram_ = ProgramCode("14")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    ClosingTheGap_CTG_ = ProgramCode("15")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    CoordinatedVeterans_Care_CVC_Program = ProgramCode("16")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    DayProgram = ProgramCode("17")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    DropInProgram = ProgramCode("18")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    EarlyYearsProgram = ProgramCode("19")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    EmployeeAssistanceProgram = ProgramCode("20")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    HomeAndCommunityCare_HACC_ = ProgramCode("21")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    HospitalAdmissionRiskProgram_HARP_ = ProgramCode("22")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    HospitalInTheHome_HITH_Program = ProgramCode("23")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    ICTP_IntensiveCommunityTreatmentProgram_ = ProgramCode("24")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    IFSS_IntensiveFamilySupportProgram_ = ProgramCode("25")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    JPET_JobPlacement_EducationAndTraining_ = ProgramCode("26")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    KooriJuvenileJusticeProgram = ProgramCode("27")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    LanguageLiteracyAndNumeracyProgram = ProgramCode("28")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    LifeSkillsProgram = ProgramCode("29")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    LMP_LifestyleModificationProgram_ = ProgramCode("30")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    MedsCheckProgram = ProgramCode("31")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    Methadone_BuprenorphineProgram = ProgramCode("32")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    NationalDisabilitiesInsuranceScheme_NDIS_ = ProgramCode("33")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    NationalDiabetesServicesScheme_NDSS_ = ProgramCode("34")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    Needle_SyringeProgram = ProgramCode("35")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    NPEPProgram = ProgramCode("36")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    PersonalSupportProgram = ProgramCode("37")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    PartnersInRecovery_PIR_Program = ProgramCode("38")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    Pre_employmentProgram = ProgramCode("39")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    ReconnectProgram = ProgramCode("40")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    SexualAbuseCounsellingAndPreventionProgram_SACPP_ = ProgramCode("41")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    SocialSupportPrograms = ProgramCode("42")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    SupportedResidentialService_SRS_ = ProgramCode("43")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    TasmanianAboriginalCentre_TAC_ = ProgramCode("44")
    """
    From: http://terminology.hl7.org/CodeSystem/program in valuesets.xml
    """
    Victim_sAssistanceProgram = ProgramCode("45")
