from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ProvenanceEntityRoleCode(GenericTypeCode):
    """
    ProvenanceEntityRole
    From: http://hl7.org/fhir/provenance-entity-role in valuesets.xml
        How an entity was used in an activity.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/provenance-entity-role
    """
    codeset: FhirUri = "http://hl7.org/fhir/provenance-entity-role"


class ProvenanceEntityRoleCodeValues:
    """
    A transformation of an entity into another, an update of an entity resulting
    in a new one, or the construction of a new entity based on a pre-existing
    entity.
    From: http://hl7.org/fhir/provenance-entity-role in valuesets.xml
    """

    Derivation = ProvenanceEntityRoleCode("derivation")
