from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ProviderTaxonomyCodesCode(GenericTypeCode):
    """
    Provider Taxonomy Codes
    From: http://hl7.org/fhir/ValueSet/provider-taxonomy in valuesets.xml
        NUCC Healthcare Provider Taxonomy codes
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://nucc.org/provider-taxonomy
    """
    codeset: FhirUri = "http://nucc.org/provider-taxonomy"
