from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class QualityTypeCode(GenericTypeCode):
    """
    qualityType
    From: http://hl7.org/fhir/quality-type in valuesets.xml
        Type for quality report.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/quality-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/quality-type"


class QualityTypeCodeValues:
    """
    INDEL Comparison.
    From: http://hl7.org/fhir/quality-type in valuesets.xml
    """

    INDELComparison = QualityTypeCode("indel")
    """
    SNP Comparison.
    From: http://hl7.org/fhir/quality-type in valuesets.xml
    """
    SNPComparison = QualityTypeCode("snp")
    """
    UNKNOWN Comparison.
    From: http://hl7.org/fhir/quality-type in valuesets.xml
    """
    UNKNOWNComparison = QualityTypeCode("unknown")
