from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class QueryParameterValue(GenericTypeCode):
    """
    v3.QueryParameterValue
    From: http://terminology.hl7.org/ValueSet/v3-QueryParameterValue in v3-codesystems.xml
         The domain of coded values used as parameters within QueryByParameter
    queries.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-QueryParameterValue
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-QueryParameterValue"


class QueryParameterValueValues:
    """
    Description:Filter codes used to manage volume of dispenses returned by  a
    parameter-based queries.
    From: http://terminology.hl7.org/CodeSystem/v3-QueryParameterValue in v3-codesystems.xml
    """

    DispenseQueryFilterCode = QueryParameterValue("_DispenseQueryFilterCode")
    """
    Filter codes used to manage types of orders being returned by a parameter-
    based query.
    From: http://terminology.hl7.org/CodeSystem/v3-QueryParameterValue in v3-codesystems.xml
    """
    _OrderFilterCode = QueryParameterValue("_OrderFilterCode")
    """
    A "helper" vocabulary used to construct complex query filters based on how and
    whether a prescription has been dispensed.
    From: http://terminology.hl7.org/CodeSystem/v3-QueryParameterValue in v3-codesystems.xml
    """
    PrescriptionDispenseFilterCode = QueryParameterValue(
        "_PrescriptionDispenseFilterCode"
    )
    """
    Description:Indicates how result sets should be filtered based on whether they
    have associated issues.
    From: http://terminology.hl7.org/CodeSystem/v3-QueryParameterValue in v3-codesystems.xml
    """
    QueryParameterValue_ = QueryParameterValue("_QueryParameterValue")
