from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class QueryPriority(GenericTypeCode):
    """
    v3.QueryPriority
    From: http://terminology.hl7.org/ValueSet/v3-QueryPriority in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-QueryPriority
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-QueryPriority"


class QueryPriorityValues:
    """
    Query response is deferred.
    From: http://terminology.hl7.org/CodeSystem/v3-QueryPriority in v3-codesystems.xml
    """

    Deferred = QueryPriority("D")
    """
    Query response is immediate.
    From: http://terminology.hl7.org/CodeSystem/v3-QueryPriority in v3-codesystems.xml
    """
    Immediate = QueryPriority("I")
