from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class QueryStatusCode(GenericTypeCode):
    """
    v3.QueryStatusCode
    From: http://terminology.hl7.org/ValueSet/v3-QueryStatusCode in v3-codesystems.xml
         A code specifying the state of the Query.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-QueryStatusCode
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-QueryStatusCode"


class QueryStatusCodeValues:
    """
    Query status aborted
    From: http://terminology.hl7.org/CodeSystem/v3-QueryStatusCode in v3-codesystems.xml
    """

    Aborted = QueryStatusCode("aborted")
    """
    Query Status delivered response
    From: http://terminology.hl7.org/CodeSystem/v3-QueryStatusCode in v3-codesystems.xml
    """
    DeliveredResponse = QueryStatusCode("deliveredResponse")
    """
    Query Status executing
    From: http://terminology.hl7.org/CodeSystem/v3-QueryStatusCode in v3-codesystems.xml
    """
    Executing = QueryStatusCode("executing")
    """
    Query Status new
    From: http://terminology.hl7.org/CodeSystem/v3-QueryStatusCode in v3-codesystems.xml
    """
    New = QueryStatusCode("new")
    """
    Query Status wait continued
    From: http://terminology.hl7.org/CodeSystem/v3-QueryStatusCode in v3-codesystems.xml
    """
    WaitContinuedQueryResponse = QueryStatusCode("waitContinuedQueryResponse")
