from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class QuestionnaireCategoryCodesCode(GenericTypeCode):
    """
    QuestionnaireCategoryCodes
    From: http://hl7.org/fhir/ValueSet/questionnaire-category in valuesets.xml
        Example list of potential categories for questionnaires.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class QuestionnaireCategoryCodesCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/questionnaire-category in valuesets.xml
    """

    MentalStatusQuestionnaire = QuestionnaireCategoryCodesCode("273601006")
    """
    From: http://hl7.org/fhir/ValueSet/questionnaire-category in valuesets.xml
    """
    SocialSupportQuestionnaire = QuestionnaireCategoryCodesCode("273820006")
    """
    From: http://hl7.org/fhir/ValueSet/questionnaire-category in valuesets.xml
    """
    GeneralHealthQuestionnaire = QuestionnaireCategoryCodesCode("273479001")
    """
    From: http://hl7.org/fhir/ValueSet/questionnaire-category in valuesets.xml
    """
    ConsumerSatisfactionQuestionnaire = QuestionnaireCategoryCodesCode("273384008")
    """
    From: http://hl7.org/fhir/ValueSet/questionnaire-category in valuesets.xml
    """
    AdministrativeForm = QuestionnaireCategoryCodesCode("304784009")
