from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class QuestionnaireItemTypeCode(GenericTypeCode):
    """
    QuestionnaireItemType
    From: http://hl7.org/fhir/item-type in valuesets.xml
        Distinguishes groups from questions and display text and indicates data type
    for questions.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/item-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/item-type"


class QuestionnaireItemTypeCodeValues:
    """
    An item with no direct answer but should have at least one child item.
    From: http://hl7.org/fhir/item-type in valuesets.xml
    """

    Group = QuestionnaireItemTypeCode("group")
    """
    Text for display that will not capture an answer or have child items.
    From: http://hl7.org/fhir/item-type in valuesets.xml
    """
    Display = QuestionnaireItemTypeCode("display")
    """
    An item that defines a specific answer to be captured, and which may have
    child items. (the answer provided in the QuestionnaireResponse should be of
    the defined datatype).
    From: http://hl7.org/fhir/item-type in valuesets.xml
    """
    Question = QuestionnaireItemTypeCode("question")
