from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ReasonMedicationGivenCodesCode(GenericTypeCode):
    """
    ReasonMedicationGivenCodes
    From: http://terminology.hl7.org/CodeSystem/reason-medication-given in valuesets.xml
        This value set is provided as an example. The value set to instantiate this
    attribute should be drawn from a robust terminology code system that consists
    of or contains concepts to support the medication process.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/reason-medication-given
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/reason-medication-given"


class ReasonMedicationGivenCodesCodeValues:
    """
    No reason known.
    From: http://terminology.hl7.org/CodeSystem/reason-medication-given in valuesets.xml
    """

    None_ = ReasonMedicationGivenCodesCode("a")
    """
    The administration was following an ordered protocol.
    From: http://terminology.hl7.org/CodeSystem/reason-medication-given in valuesets.xml
    """
    GivenAsOrdered = ReasonMedicationGivenCodesCode("b")
    """
    The administration was needed to treat an emergency.
    From: http://terminology.hl7.org/CodeSystem/reason-medication-given in valuesets.xml
    """
    Emergency = ReasonMedicationGivenCodesCode("c")
