from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ReferralMethodCode(GenericTypeCode):
    """
    ReferralMethod
    From: http://terminology.hl7.org/CodeSystem/service-referral-method in valuesets.xml
        The methods of referral can be used when referring to a specific
    HealthCareService resource.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/service-referral-method
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/service-referral-method"


class ReferralMethodCodeValues:
    """
    Referrals may be accepted by fax.
    From: http://terminology.hl7.org/CodeSystem/service-referral-method in valuesets.xml
    """

    Fax = ReferralMethodCode("fax")
    """
    Referrals may be accepted over the phone from a practitioner.
    From: http://terminology.hl7.org/CodeSystem/service-referral-method in valuesets.xml
    """
    Phone = ReferralMethodCode("phone")
    """
    Referrals may be accepted via a secure messaging system. To determine the
    types of secure messaging systems supported, refer to the identifiers
    collection. Callers will need to understand the specific identifier system
    used to know that they are able to transmit messages.
    From: http://terminology.hl7.org/CodeSystem/service-referral-method in valuesets.xml
    """
    SecureMessaging = ReferralMethodCode("elec")
    """
    Referrals may be accepted via a secure email. To send please encrypt with the
    services public key.
    From: http://terminology.hl7.org/CodeSystem/service-referral-method in valuesets.xml
    """
    SecureEmail = ReferralMethodCode("semail")
    """
    Referrals may be accepted via regular postage (or hand delivered).
    From: http://terminology.hl7.org/CodeSystem/service-referral-method in valuesets.xml
    """
    Mail = ReferralMethodCode("mail")
