from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class RejectionCriterionCode(GenericTypeCode):
    """
    RejectionCriterion
    From: http://terminology.hl7.org/CodeSystem/rejection-criteria in valuesets.xml
        Criterion for rejection of the specimen by laboratory.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/rejection-criteria
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/rejection-criteria"


class RejectionCriterionCodeValues:
    """
    blood specimen hemolized.
    From: http://terminology.hl7.org/CodeSystem/rejection-criteria in valuesets.xml
    """

    HemolizedSpecimen = RejectionCriterionCode("hemolized")
    """
    insufficient quantity of specimen.
    From: http://terminology.hl7.org/CodeSystem/rejection-criteria in valuesets.xml
    """
    InsufficientSpecimenVolume = RejectionCriterionCode("insufficient")
    """
    specimen container broken.
    From: http://terminology.hl7.org/CodeSystem/rejection-criteria in valuesets.xml
    """
    BrokenSpecimenContainer = RejectionCriterionCode("broken")
    """
    specimen clotted.
    From: http://terminology.hl7.org/CodeSystem/rejection-criteria in valuesets.xml
    """
    SpecimenClotted = RejectionCriterionCode("clotted")
    """
    specimen temperature inappropriate.
    From: http://terminology.hl7.org/CodeSystem/rejection-criteria in valuesets.xml
    """
    SpecimenTemperatureInappropriate = RejectionCriterionCode("wrong-temperature")
