from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class RelationalOperator(GenericTypeCode):
    """
    v3.RelationalOperator
    From: http://terminology.hl7.org/ValueSet/v3-RelationalOperator in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-RelationalOperator
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-RelationalOperator"


class RelationalOperatorValues:
    """
    Specified set of things includes value being evaluated.
    From: http://terminology.hl7.org/CodeSystem/v3-RelationalOperator in v3-codesystems.xml
    """

    Contains = RelationalOperator("CT")
    """
    Equal condition applied to comparisons.
    From: http://terminology.hl7.org/CodeSystem/v3-RelationalOperator in v3-codesystems.xml
    """
    Equal = RelationalOperator("EQ")
    """
    Greater than or equal condition applied to comparisons.
    From: http://terminology.hl7.org/CodeSystem/v3-RelationalOperator in v3-codesystems.xml
    """
    GreaterThanOrEqual = RelationalOperator("GE")
    """
    A generic comparison selects a record for inclusion in the response if the
    beginning of the designated element value matches the select string.
    From: http://terminology.hl7.org/CodeSystem/v3-RelationalOperator in v3-codesystems.xml
    """
    Generic = RelationalOperator("GN")
    """
    Greater than condition applied to comparisons.
    From: http://terminology.hl7.org/CodeSystem/v3-RelationalOperator in v3-codesystems.xml
    """
    GreaterThan = RelationalOperator("GT")
    """
    Less than or equal condition applied to comparisons.
    From: http://terminology.hl7.org/CodeSystem/v3-RelationalOperator in v3-codesystems.xml
    """
    LessThanOrEqual = RelationalOperator("LE")
    """
    Less than condition applied to comparisons.
    From: http://terminology.hl7.org/CodeSystem/v3-RelationalOperator in v3-codesystems.xml
    """
    LessThan = RelationalOperator("LT")
    """
    Not equal condition applied to comparisons.
    From: http://terminology.hl7.org/CodeSystem/v3-RelationalOperator in v3-codesystems.xml
    """
    NotEqual = RelationalOperator("NE")
