from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class RelationshipConjunction(GenericTypeCode):
    """
    v3.RelationshipConjunction
    From: http://terminology.hl7.org/ValueSet/v3-RelationshipConjunction in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-RelationshipConjunction
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/v3-RelationshipConjunction"
    )


class RelationshipConjunctionValues:
    """
    This condition must be true.
    From: http://terminology.hl7.org/CodeSystem/v3-RelationshipConjunction in v3-codesystems.xml
    """

    And = RelationshipConjunction("AND")
    """
    At least one of the condition among all OR conditions must be true.
    From: http://terminology.hl7.org/CodeSystem/v3-RelationshipConjunction in v3-codesystems.xml
    """
    Or = RelationshipConjunction("OR")
    """
    One and only one of the XOR conditions must be true.
    From: http://terminology.hl7.org/CodeSystem/v3-RelationshipConjunction in v3-codesystems.xml
    """
    ExclusiveOr = RelationshipConjunction("XOR")
