from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class RequestPriorityCode(GenericTypeCode):
    """
    RequestPriority
    From: http://hl7.org/fhir/request-priority in valuesets.xml
        Identifies the level of importance to be assigned to actioning the request.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/request-priority
    """
    codeset: FhirUri = "http://hl7.org/fhir/request-priority"


class RequestPriorityCodeValues:
    """
    The request has normal priority.
    From: http://hl7.org/fhir/request-priority in valuesets.xml
    """

    Routine = RequestPriorityCode("routine")
    """
    The request should be actioned promptly - higher priority than routine.
    From: http://hl7.org/fhir/request-priority in valuesets.xml
    """
    Urgent = RequestPriorityCode("urgent")
    """
    The request should be actioned as soon as possible - higher priority than
    urgent.
    From: http://hl7.org/fhir/request-priority in valuesets.xml
    """
    ASAP = RequestPriorityCode("asap")
    """
    The request should be actioned immediately - highest possible priority.  E.g.
    an emergency.
    From: http://hl7.org/fhir/request-priority in valuesets.xml
    """
    STAT = RequestPriorityCode("stat")
