from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ResearchElementTypeCode(GenericTypeCode):
    """
    ResearchElementType
    From: http://hl7.org/fhir/research-element-type in valuesets.xml
        The possible types of research elements (E.g. Population, Exposure, Outcome).
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/research-element-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/research-element-type"


class ResearchElementTypeCodeValues:
    """
    The element defines the population that forms the basis for research.
    From: http://hl7.org/fhir/research-element-type in valuesets.xml
    """

    Population = ResearchElementTypeCode("population")
    """
    The element defines an exposure within the population that is being
    researched.
    From: http://hl7.org/fhir/research-element-type in valuesets.xml
    """
    Exposure = ResearchElementTypeCode("exposure")
    """
    The element defines an outcome within the population that is being researched.
    From: http://hl7.org/fhir/research-element-type in valuesets.xml
    """
    Outcome = ResearchElementTypeCode("outcome")
