from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ResearchStudyObjectiveTypeCode(GenericTypeCode):
    """
    ResearchStudyObjectiveType
    From: http://terminology.hl7.org/CodeSystem/research-study-objective-type in valuesets.xml
        Codes for the kind of study objective.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/research-study-objective-type
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/research-study-objective-type"
    )


class ResearchStudyObjectiveTypeCodeValues:
    """
    The main question to be answered, and the one that drives any statistical
    planning for the study—e.g., calculation of the sample size to provide the
    appropriate power for statistical testing.
    From: http://terminology.hl7.org/CodeSystem/research-study-objective-type in valuesets.xml
    """

    Primary = ResearchStudyObjectiveTypeCode("primary")
    """
    Question to be answered in the study that is of lesser importance than the
    primary objective.
    From: http://terminology.hl7.org/CodeSystem/research-study-objective-type in valuesets.xml
    """
    Secondary = ResearchStudyObjectiveTypeCode("secondary")
    """
    Exploratory questions to be answered in the study.
    From: http://terminology.hl7.org/CodeSystem/research-study-objective-type in valuesets.xml
    """
    Exploratory = ResearchStudyObjectiveTypeCode("exploratory")
