from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ResearchStudyReasonStoppedCode(GenericTypeCode):
    """
    ResearchStudyReasonStopped
    From: http://terminology.hl7.org/CodeSystem/research-study-reason-stopped in valuesets.xml
        Codes for why the study ended prematurely.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/research-study-reason-stopped
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/research-study-reason-stopped"
    )


class ResearchStudyReasonStoppedCodeValues:
    """
    The study prematurely ended because the accrual goal was met.
    From: http://terminology.hl7.org/CodeSystem/research-study-reason-stopped in valuesets.xml
    """

    AccrualGoalMet = ResearchStudyReasonStoppedCode("accrual-goal-met")
    """
    The study prematurely ended due to toxicity.
    From: http://terminology.hl7.org/CodeSystem/research-study-reason-stopped in valuesets.xml
    """
    ClosedDueToToxicity = ResearchStudyReasonStoppedCode("closed-due-to-toxicity")
    """
    The study prematurely ended due to lack of study progress.
    From: http://terminology.hl7.org/CodeSystem/research-study-reason-stopped in valuesets.xml
    """
    ClosedDueToLackOfStudyProgress = ResearchStudyReasonStoppedCode(
        "closed-due-to-lack-of-study-progress"
    )
    """
    The study prematurely ended temporarily per study design.
    From: http://terminology.hl7.org/CodeSystem/research-study-reason-stopped in valuesets.xml
    """
    TemporarilyClosedPerStudyDesign = ResearchStudyReasonStoppedCode(
        "temporarily-closed-per-study-design"
    )
