from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ResourceVersionPolicyCode(GenericTypeCode):
    """
    ResourceVersionPolicy
    From: http://hl7.org/fhir/versioning-policy in valuesets.xml
        How the system supports versioning for a resource.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/versioning-policy
    """
    codeset: FhirUri = "http://hl7.org/fhir/versioning-policy"


class ResourceVersionPolicyCodeValues:
    """
    VersionId meta-property is not supported (server) or used (client).
    From: http://hl7.org/fhir/versioning-policy in valuesets.xml
    """

    NoVersionIdSupport = ResourceVersionPolicyCode("no-version")
    """
    VersionId meta-property is supported (server) or used (client).
    From: http://hl7.org/fhir/versioning-policy in valuesets.xml
    """
    Versioned = ResourceVersionPolicyCode("versioned")
    """
    VersionId must be correct for updates (server) or will be specified (If-match
    header) for updates (client).
    From: http://hl7.org/fhir/versioning-policy in valuesets.xml
    """
    VersionIdTrackedFully = ResourceVersionPolicyCode("versioned-update")
