from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ResponseModality(GenericTypeCode):
    """
    v3.ResponseModality
    From: http://terminology.hl7.org/ValueSet/v3-ResponseModality in v3-codesystems.xml
         Defines the timing and grouping of the response instances.  OpenIssue:
    Description copied from Concept Domain of same name.  Must be verified.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ResponseModality
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ResponseModality"


class ResponseModalityValues:
    """
    Query response to be sent as an HL7 Batch.
    From: http://terminology.hl7.org/CodeSystem/v3-ResponseModality in v3-codesystems.xml
    """

    Batch = ResponseModality("B")
    """
    Query response to occur in real time.
    From: http://terminology.hl7.org/CodeSystem/v3-ResponseModality in v3-codesystems.xml
    """
    RealTime = ResponseModality("R")
    """
    Query response to sent as a series of responses at the same time without the
    use of batch formatting.
    From: http://terminology.hl7.org/CodeSystem/v3-ResponseModality in v3-codesystems.xml
    """
    Bolus = ResponseModality("T")
