from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ResponseMode(GenericTypeCode):
    """
    v3.ResponseMode
    From: http://terminology.hl7.org/ValueSet/v3-ResponseMode in v3-codesystems.xml
         Specifies the mode, immediate versus deferred or queued, by which a receiver
    should communicate its receiver responsibilities.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-ResponseMode
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-ResponseMode"


class ResponseModeValues:
    """
    The receiver may respond in a non-immediate manner. Note: this will be the
    default value.
    From: http://terminology.hl7.org/CodeSystem/v3-ResponseMode in v3-codesystems.xml
    """

    Deferred = ResponseMode("D")
    """
    The receiver is required to assume that the sender is blocking and behave
    appropriately by sending an immediate response.
    From: http://terminology.hl7.org/CodeSystem/v3-ResponseMode in v3-codesystems.xml
    """
    Immediate = ResponseMode("I")
    """
    The receiver shall keep any application responses in a queue until such time
    as the queue is polled.
    From: http://terminology.hl7.org/CodeSystem/v3-ResponseMode in v3-codesystems.xml
    """
    Queue = ResponseMode("Q")
