from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ResponseTypeCode(GenericTypeCode):
    """
    ResponseType
    From: http://hl7.org/fhir/response-code in valuesets.xml
        The kind of response to a message.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/response-code
    """
    codeset: FhirUri = "http://hl7.org/fhir/response-code"


class ResponseTypeCodeValues:
    """
    The message was accepted and processed without error.
    From: http://hl7.org/fhir/response-code in valuesets.xml
    """

    OK = ResponseTypeCode("ok")
    """
    Some internal unexpected error occurred - wait and try again. Note - this is
    usually used for things like database unavailable, which may be expected to
    resolve, though human intervention may be required.
    From: http://hl7.org/fhir/response-code in valuesets.xml
    """
    TransientError = ResponseTypeCode("transient-error")
    """
    The message was rejected because of a problem with the content. There is no
    point in re-sending without change. The response narrative SHALL describe the
    issue.
    From: http://hl7.org/fhir/response-code in valuesets.xml
    """
    FatalError = ResponseTypeCode("fatal-error")
