from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class RoleLinkStatus(GenericTypeCode):
    """
    v3.RoleLinkStatus
    From: http://terminology.hl7.org/ValueSet/v3-RoleLinkStatus in v3-codesystems.xml
          Description:
    Codes representing possible states of a RoleLink, as defined by the RoleLink
    class state machine.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-RoleLinkStatus
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-RoleLinkStatus"


class RoleLinkStatusValues:
    """
    Description: The 'typical' state. Excludes "nullified" which represents the
    termination state of a RoleLink instance that was created in error.
    From: http://terminology.hl7.org/CodeSystem/v3-RoleLinkStatus in v3-codesystems.xml
    """

    Normal = RoleLinkStatus("NORMAL")
    """
    Description: The state representing the termination of a RoleLink instance
    that was created in error.
    From: http://terminology.hl7.org/CodeSystem/v3-RoleLinkStatus in v3-codesystems.xml
    """
    Nullified = RoleLinkStatus("NULLIFIED")
