from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class RoleLinkType(GenericTypeCode):
    """
    v3.RoleLinkType
    From: http://terminology.hl7.org/ValueSet/v3-RoleLinkType in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-RoleLinkType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-RoleLinkType"


class RoleLinkTypeValues:
    """
    An action taken with respect to a subject Entity by a regulatory or
    authoritative body with supervisory capacity over that entity. The action is
    taken in response to behavior by the subject Entity that body finds to be
    undesirable.

                            Suspension, license restrictions, monetary fine,
    letter of reprimand, mandated training, mandated supervision, etc.Examples:
    From: http://terminology.hl7.org/CodeSystem/v3-RoleLinkType in v3-codesystems.xml
    """

    Related = RoleLinkType("REL")
