from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SearchComparatorCode(GenericTypeCode):
    """
    SearchComparator
    From: http://hl7.org/fhir/search-comparator in valuesets.xml
        What Search Comparator Codes are supported in search.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/search-comparator
    """
    codeset: FhirUri = "http://hl7.org/fhir/search-comparator"


class SearchComparatorCodeValues:
    """
    the value for the parameter in the resource is equal to the provided value.
    From: http://hl7.org/fhir/search-comparator in valuesets.xml
    """

    Equals = SearchComparatorCode("eq")
    """
    the value for the parameter in the resource is not equal to the provided
    value.
    From: http://hl7.org/fhir/search-comparator in valuesets.xml
    """
    NotEquals = SearchComparatorCode("ne")
    """
    the value for the parameter in the resource is greater than the provided
    value.
    From: http://hl7.org/fhir/search-comparator in valuesets.xml
    """
    GreaterThan = SearchComparatorCode("gt")
    """
    the value for the parameter in the resource is less than the provided value.
    From: http://hl7.org/fhir/search-comparator in valuesets.xml
    """
    LessThan = SearchComparatorCode("lt")
    """
    the value for the parameter in the resource is greater or equal to the
    provided value.
    From: http://hl7.org/fhir/search-comparator in valuesets.xml
    """
    GreaterOrEquals = SearchComparatorCode("ge")
    """
    the value for the parameter in the resource is less or equal to the provided
    value.
    From: http://hl7.org/fhir/search-comparator in valuesets.xml
    """
    LessOfEqual = SearchComparatorCode("le")
    """
    the value for the parameter in the resource starts after the provided value.
    From: http://hl7.org/fhir/search-comparator in valuesets.xml
    """
    StartsAfter = SearchComparatorCode("sa")
    """
    the value for the parameter in the resource ends before the provided value.
    From: http://hl7.org/fhir/search-comparator in valuesets.xml
    """
    EndsBefore = SearchComparatorCode("eb")
    """
    the value for the parameter in the resource is approximately the same to the
    provided value.
    From: http://hl7.org/fhir/search-comparator in valuesets.xml
    """
    Approximately = SearchComparatorCode("ap")
