from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SearchEntryModeCode(GenericTypeCode):
    """
    SearchEntryMode
    From: http://hl7.org/fhir/search-entry-mode in valuesets.xml
        Why an entry is in the result set - whether it's included as a match or
    because of an _include requirement, or to convey information or warning
    information about the search process.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/search-entry-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/search-entry-mode"


class SearchEntryModeCodeValues:
    """
    This resource matched the search specification.
    From: http://hl7.org/fhir/search-entry-mode in valuesets.xml
    """

    Match = SearchEntryModeCode("match")
    """
    This resource is returned because it is referred to from another resource in
    the search set.
    From: http://hl7.org/fhir/search-entry-mode in valuesets.xml
    """
    Include = SearchEntryModeCode("include")
    """
    An OperationOutcome that provides additional information about the processing
    of a search.
    From: http://hl7.org/fhir/search-entry-mode in valuesets.xml
    """
    Outcome = SearchEntryModeCode("outcome")
