from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SequenceStatusCode(GenericTypeCode):
    """
    sequenceStatus
    From: http://terminology.hl7.org/CodeSystem/variant-state in valuesets.xml
        Codes providing the status of the variant test result.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/variant-state
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/variant-state"


class SequenceStatusCodeValues:
    """
    the variant is detected.
    From: http://terminology.hl7.org/CodeSystem/variant-state in valuesets.xml
    """

    Positive = SequenceStatusCode("positive")
    """
    no variant is detected.
    From: http://terminology.hl7.org/CodeSystem/variant-state in valuesets.xml
    """
    Negative = SequenceStatusCode("negative")
    """
    result of the variant is missing.
    From: http://terminology.hl7.org/CodeSystem/variant-state in valuesets.xml
    """
    Absent = SequenceStatusCode("absent")
