from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Sequencing(GenericTypeCode):
    """
    v3.Sequencing
    From: http://terminology.hl7.org/ValueSet/v3-Sequencing in v3-codesystems.xml
         Specifies sequence of sort order.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-Sequencing
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-Sequencing"


class SequencingValues:
    """
    Ascending sequence order.
    From: http://terminology.hl7.org/CodeSystem/v3-Sequencing in v3-codesystems.xml
    """

    Ascending = Sequencing("A")
    """
    Descending sequence order.
    From: http://terminology.hl7.org/CodeSystem/v3-Sequencing in v3-codesystems.xml
    """
    Descending = Sequencing("D")
    """
    No enforced sequence order.
    From: http://terminology.hl7.org/CodeSystem/v3-Sequencing in v3-codesystems.xml
    """
    None_ = Sequencing("N")
