from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ServiceProvisionConditionsCode(GenericTypeCode):
    """
    ServiceProvisionConditions
    From: http://terminology.hl7.org/CodeSystem/service-provision-conditions in valuesets.xml
        The code(s) that detail the conditions under which the healthcare service is
    available/offered.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/service-provision-conditions
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/service-provision-conditions"
    )


class ServiceProvisionConditionsCodeValues:
    """
    This service is available for no patient cost.
    From: http://terminology.hl7.org/CodeSystem/service-provision-conditions in valuesets.xml
    """

    Free = ServiceProvisionConditionsCode("free")
    """
    There are discounts available on this service for qualifying patients.
    From: http://terminology.hl7.org/CodeSystem/service-provision-conditions in valuesets.xml
    """
    DiscountsAvailable = ServiceProvisionConditionsCode("disc")
    """
    Fees apply for this service.
    From: http://terminology.hl7.org/CodeSystem/service-provision-conditions in valuesets.xml
    """
    FeesApply = ServiceProvisionConditionsCode("cost")
