from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ServiceRequestCategoryCodesCode(GenericTypeCode):
    """
    ServiceRequestCategoryCodes
    From: http://hl7.org/fhir/ValueSet/servicerequest-category in valuesets.xml
        An example value set of SNOMED CT concepts that can classify a requested
    service
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class ServiceRequestCategoryCodesCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/servicerequest-category in valuesets.xml
    """

    LaboratoryProcedure = ServiceRequestCategoryCodesCode("108252007")
    """
    From: http://hl7.org/fhir/ValueSet/servicerequest-category in valuesets.xml
    """
    Imaging = ServiceRequestCategoryCodesCode("363679005")
    """
    From: http://hl7.org/fhir/ValueSet/servicerequest-category in valuesets.xml
    """
    Counselling = ServiceRequestCategoryCodesCode("409063005")
    """
    From: http://hl7.org/fhir/ValueSet/servicerequest-category in valuesets.xml
    """
    Education = ServiceRequestCategoryCodesCode("409073007")
    """
    From: http://hl7.org/fhir/ValueSet/servicerequest-category in valuesets.xml
    """
    SurgicalProcedure = ServiceRequestCategoryCodesCode("387713003")
