from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ServiceRequestOrderDetailsCodesCode(GenericTypeCode):
    """
    ServiceRequestOrderDetailsCodes
    From: http://hl7.org/fhir/ValueSet/servicerequest-orderdetail in valuesets.xml
        An example value set of Codified order entry details concepts.  These concepts
    only make sense in the context of what is being ordered.  This example is for
    a patient ventilation order
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class ServiceRequestOrderDetailsCodesCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/servicerequest-orderdetail in valuesets.xml
    """

    ContinuousPositiveAirwayPressureVentilationTreatment_regime_therapy_ = (
        ServiceRequestOrderDetailsCodesCode("47545007")
    )
    """
    From: http://hl7.org/fhir/ValueSet/servicerequest-orderdetail in valuesets.xml
    """
    PressureControlledVentilation_procedure_ = ServiceRequestOrderDetailsCodesCode(
        "286812008"
    )
    """
    From: http://hl7.org/fhir/ValueSet/servicerequest-orderdetail in valuesets.xml
    """
    PatientTriggeredInspiratoryAssistance_procedure_ = (
        ServiceRequestOrderDetailsCodesCode("243144002")
    )
    """
    From: http://hl7.org/fhir/ValueSet/servicerequest-orderdetail in valuesets.xml
    """
    AssistedControlledMandatoryVentilation_procedure_ = (
        ServiceRequestOrderDetailsCodesCode("243150007")
    )
    """
    From: http://hl7.org/fhir/ValueSet/servicerequest-orderdetail in valuesets.xml
    """
    SynchronizedIntermittentMandatoryVentilation_procedure_ = (
        ServiceRequestOrderDetailsCodesCode("59427005")
    )
