from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SetOperator(GenericTypeCode):
    """
    v3.SetOperator
    From: http://terminology.hl7.org/ValueSet/v3-SetOperator in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-SetOperator
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-SetOperator"


class SetOperatorValues:
    """
    Operations that can be used to associate concepts in a terminology.
    From: http://terminology.hl7.org/CodeSystem/v3-SetOperator in v3-codesystems.xml
    """

    ValueSetOperator = SetOperator("_ValueSetOperator")
    """
    Form the intersection with the value.
    From: http://terminology.hl7.org/CodeSystem/v3-SetOperator in v3-codesystems.xml
    """
    Intersect = SetOperator("A")
    """
    Form the convex hull with the value. The convex hull is defined over ordered
    domains and is the smallest contiguous superset (interval) that of all the
    operand sets.
    From: http://terminology.hl7.org/CodeSystem/v3-SetOperator in v3-codesystems.xml
    """
    ConvexHull = SetOperator("H")
    """
    Form the periodic hull with the value. The periodic hull is defined over
    ordered domains and is the periodic set that contains all contiguous supersets
    of pairs of intervals generated by the operand periodic intervals.
    From: http://terminology.hl7.org/CodeSystem/v3-SetOperator in v3-codesystems.xml
    """
    PeriodicHull = SetOperator("P")
