from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SNOMEDCTCodesForSpeciesCode(GenericTypeCode):
    """
    SNOMEDCTCodesForSpecies
    From: http://hl7.org/fhir/ValueSet/sequence-species in valuesets.xml
        Codes identifying atomic results of observations when value is type
    codeableConcept. This value set includes all the children of SNOMED CT
    Concepts from SCTIDs 404684003 Clinical finding (finding), 410607006 Organism
    (organism),362981000 Qualifier value (qualifier value), 105590001 Substance
    (substance), and 123037004 Body structure (body structure).  It is provided as
    a suggestive example
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"
