from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SortDirectionCode(GenericTypeCode):
    """
    SortDirection
    From: http://hl7.org/fhir/sort-direction in valuesets.xml
        The possible sort directions, ascending or descending.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/sort-direction
    """
    codeset: FhirUri = "http://hl7.org/fhir/sort-direction"


class SortDirectionCodeValues:
    """
    Sort by the value ascending, so that lower values appear first.
    From: http://hl7.org/fhir/sort-direction in valuesets.xml
    """

    Ascending = SortDirectionCode("ascending")
    """
    Sort by the value descending, so that lower values appear last.
    From: http://hl7.org/fhir/sort-direction in valuesets.xml
    """
    Descending = SortDirectionCode("descending")
