from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SpecimenCollectionCode(GenericTypeCode):
    """
    SpecimenCollection
    From: http://hl7.org/fhir/ValueSet/specimen-collection in valuesets.xml
        Actions that can be taken for the collection of specimen from a subject.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class SpecimenCollectionCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/specimen-collection in valuesets.xml
    """

    Aspiration_Action = SpecimenCollectionCode("129316008")
    """
    From: http://hl7.org/fhir/ValueSet/specimen-collection in valuesets.xml
    """
    Biopsy_Action = SpecimenCollectionCode("129314006")
    """
    From: http://hl7.org/fhir/ValueSet/specimen-collection in valuesets.xml
    """
    Puncture_Action = SpecimenCollectionCode("129300006")
    """
    From: http://hl7.org/fhir/ValueSet/specimen-collection in valuesets.xml
    """
    Excision_Action = SpecimenCollectionCode("129304002")
    """
    From: http://hl7.org/fhir/ValueSet/specimen-collection in valuesets.xml
    """
    Scraping_Action = SpecimenCollectionCode("129323009")
    """
    From: http://hl7.org/fhir/ValueSet/specimen-collection in valuesets.xml
    """
    UrineSpecimenCollection_CleanCatch = SpecimenCollectionCode("73416001")
    """
    From: http://hl7.org/fhir/ValueSet/specimen-collection in valuesets.xml
    """
    TimedUrineCollection = SpecimenCollectionCode("225113003")
    """
    From: http://hl7.org/fhir/ValueSet/specimen-collection in valuesets.xml
    """
    UrineSpecimenCollection_Catheterized = SpecimenCollectionCode("70777001")
    """
    From: http://hl7.org/fhir/ValueSet/specimen-collection in valuesets.xml
    """
    CollectionOfCoughedSputum = SpecimenCollectionCode("386089008")
    """
    From: http://hl7.org/fhir/ValueSet/specimen-collection in valuesets.xml
    """
    Finger_prickSampling = SpecimenCollectionCode("278450005")
