from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class StrandTypeCode(GenericTypeCode):
    """
    strandType
    From: http://hl7.org/fhir/strand-type in valuesets.xml
        Type for strand.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/strand-type
    """
    codeset: FhirUri = "http://hl7.org/fhir/strand-type"


class StrandTypeCodeValues:
    """
    Watson strand of reference sequence.
    From: http://hl7.org/fhir/strand-type in valuesets.xml
    """

    WatsonStrandOfReferenceSeq = StrandTypeCode("watson")
    """
    Crick strand of reference sequence.
    From: http://hl7.org/fhir/strand-type in valuesets.xml
    """
    CrickStrandOfReferenceSeq = StrandTypeCode("crick")
