from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class StrengthOfRecommendationRatingCode(GenericTypeCode):
    """
    StrengthOfRecommendationRating
    From: http://terminology.hl7.org/CodeSystem/recommendation-strength in valuesets.xml
        A rating system that describes the strength of the recommendation, such as the
    GRADE, DynaMed, or HGPS systems.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/recommendation-strength
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/recommendation-strength"


class StrengthOfRecommendationRatingCodeValues:
    """
    Strong recommendation.
    From: http://terminology.hl7.org/CodeSystem/recommendation-strength in valuesets.xml
    """

    Strong = StrengthOfRecommendationRatingCode("strong")
    """
    Weak recommendation.
    From: http://terminology.hl7.org/CodeSystem/recommendation-strength in valuesets.xml
    """
    Weak = StrengthOfRecommendationRatingCode("weak")
