from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class StructureMapGroupTypeModeCode(GenericTypeCode):
    """
    StructureMapGroupTypeMode
    From: http://hl7.org/fhir/map-group-type-mode in valuesets.xml
        If this is the default rule set to apply for the source type, or this
    combination of types.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/map-group-type-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/map-group-type-mode"


class StructureMapGroupTypeModeCodeValues:
    """
    This group is not a default group for the types.
    From: http://hl7.org/fhir/map-group-type-mode in valuesets.xml
    """

    NotADefault = StructureMapGroupTypeModeCode("none")
    """
    This group is a default mapping group for the specified types and for the
    primary source type.
    From: http://hl7.org/fhir/map-group-type-mode in valuesets.xml
    """
    DefaultForTypeCombination = StructureMapGroupTypeModeCode("types")
    """
    This group is a default mapping group for the specified types.
    From: http://hl7.org/fhir/map-group-type-mode in valuesets.xml
    """
    DefaultForType_Combination = StructureMapGroupTypeModeCode("type-and-types")
