from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class StructureMapInputModeCode(GenericTypeCode):
    """
    StructureMapInputMode
    From: http://hl7.org/fhir/map-input-mode in valuesets.xml
        Mode for this instance of data.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/map-input-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/map-input-mode"


class StructureMapInputModeCodeValues:
    """
    Names an input instance used a source for mapping.
    From: http://hl7.org/fhir/map-input-mode in valuesets.xml
    """

    SourceInstance = StructureMapInputModeCode("source")
    """
    Names an instance that is being populated.
    From: http://hl7.org/fhir/map-input-mode in valuesets.xml
    """
    TargetInstance = StructureMapInputModeCode("target")
