from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class StructureMapSourceListModeCode(GenericTypeCode):
    """
    StructureMapSourceListMode
    From: http://hl7.org/fhir/map-source-list-mode in valuesets.xml
        If field is a list, how to manage the source.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/map-source-list-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/map-source-list-mode"


class StructureMapSourceListModeCodeValues:
    """
    Only process this rule for the first in the list.
    From: http://hl7.org/fhir/map-source-list-mode in valuesets.xml
    """

    First = StructureMapSourceListModeCode("first")
    """
    Process this rule for all but the first.
    From: http://hl7.org/fhir/map-source-list-mode in valuesets.xml
    """
    AllButTheFirst = StructureMapSourceListModeCode("not_first")
    """
    Only process this rule for the last in the list.
    From: http://hl7.org/fhir/map-source-list-mode in valuesets.xml
    """
    Last = StructureMapSourceListModeCode("last")
    """
    Process this rule for all but the last.
    From: http://hl7.org/fhir/map-source-list-mode in valuesets.xml
    """
    AllButTheLast = StructureMapSourceListModeCode("not_last")
    """
    Only process this rule is there is only item.
    From: http://hl7.org/fhir/map-source-list-mode in valuesets.xml
    """
    EnforceOnlyOne = StructureMapSourceListModeCode("only_one")
