from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class StructureMapTargetListModeCode(GenericTypeCode):
    """
    StructureMapTargetListMode
    From: http://hl7.org/fhir/map-target-list-mode in valuesets.xml
        If field is a list, how to manage the production.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/map-target-list-mode
    """
    codeset: FhirUri = "http://hl7.org/fhir/map-target-list-mode"


class StructureMapTargetListModeCodeValues:
    """
    when the target list is being assembled, the items for this rule go first. If
    more than one rule defines a first item (for a given instance of mapping) then
    this is an error.
    From: http://hl7.org/fhir/map-target-list-mode in valuesets.xml
    """

    First = StructureMapTargetListModeCode("first")
    """
    the target instance is shared with the target instances generated by another
    rule (up to the first common n items, then create new ones).
    From: http://hl7.org/fhir/map-target-list-mode in valuesets.xml
    """
    Share = StructureMapTargetListModeCode("share")
    """
    when the target list is being assembled, the items for this rule go last. If
    more than one rule defines a last item (for a given instance of mapping) then
    this is an error.
    From: http://hl7.org/fhir/map-target-list-mode in valuesets.xml
    """
    Last = StructureMapTargetListModeCode("last")
    """
    re-use the first item in the list, and keep adding content to it.
    From: http://hl7.org/fhir/map-target-list-mode in valuesets.xml
    """
    Collate = StructureMapTargetListModeCode("collate")
