from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class StyleType(GenericTypeCode):
    """
    v3.styleType
    From: http://terminology.hl7.org/ValueSet/v3-styleType in v3-codesystems.xml
         <ns1:p>The style code is used within the CDA/SPL narrative block to give the
    instance author some control over various aspects of style</ns1:p>
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-styleType
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-styleType"


class StyleTypeValues:
    """
    Defines font rendering characteristics
    From: http://terminology.hl7.org/CodeSystem/v3-styleType in v3-codesystems.xml
    """

    FontStyle = StyleType("_FontStyle")
    """
    Defines list rendering characteristics
    From: http://terminology.hl7.org/CodeSystem/v3-styleType in v3-codesystems.xml
    """
    ListStyle = StyleType("_ListStyle")
    """
    Defines table cell rendering characteristics
    From: http://terminology.hl7.org/CodeSystem/v3-styleType in v3-codesystems.xml
    """
    TableRuleStyle = StyleType("_TableRuleStyle")
