from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SubjectTypeCode(GenericTypeCode):
    """
    SubjectType
    From: http://hl7.org/fhir/ValueSet/subject-type in valuesets.xml
        Possible types of subjects.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/resource-types
    """
    codeset: FhirUri = "http://hl7.org/fhir/resource-types"


class SubjectTypeCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/subject-type in valuesets.xml
    """

    Patient = SubjectTypeCode("Patient")
    """
    From: http://hl7.org/fhir/ValueSet/subject-type in valuesets.xml
    """
    Practitioner = SubjectTypeCode("Practitioner")
    """
    From: http://hl7.org/fhir/ValueSet/subject-type in valuesets.xml
    """
    Organization = SubjectTypeCode("Organization")
    """
    From: http://hl7.org/fhir/ValueSet/subject-type in valuesets.xml
    """
    Location = SubjectTypeCode("Location")
    """
    From: http://hl7.org/fhir/ValueSet/subject-type in valuesets.xml
    """
    Device = SubjectTypeCode("Device")
