from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SubscriberRelationshipCodesCode(GenericTypeCode):
    """
    SubscriberRelationshipCodes
    From: http://terminology.hl7.org/CodeSystem/subscriber-relationship in valuesets.xml
        This value set includes codes for the relationship between the Subscriber and
    the Beneficiary (insured/covered party/patient).
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/subscriber-relationship
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/subscriber-relationship"


class SubscriberRelationshipCodesCodeValues:
    """
    The Beneficiary is a child of the Subscriber
    From: http://terminology.hl7.org/CodeSystem/subscriber-relationship in valuesets.xml
    """

    Child = SubscriberRelationshipCodesCode("child")
    """
    The Beneficiary is a parent of the Subscriber
    From: http://terminology.hl7.org/CodeSystem/subscriber-relationship in valuesets.xml
    """
    Parent = SubscriberRelationshipCodesCode("parent")
    """
    The Beneficiary is a spouse or equivalent of the Subscriber
    From: http://terminology.hl7.org/CodeSystem/subscriber-relationship in valuesets.xml
    """
    Spouse = SubscriberRelationshipCodesCode("spouse")
    """
    The Beneficiary is a common law spouse or equivalent of the Subscriber
    From: http://terminology.hl7.org/CodeSystem/subscriber-relationship in valuesets.xml
    """
    CommonLawSpouse = SubscriberRelationshipCodesCode("common")
    """
    The Beneficiary has some other relationship the Subscriber
    From: http://terminology.hl7.org/CodeSystem/subscriber-relationship in valuesets.xml
    """
    Other = SubscriberRelationshipCodesCode("other")
    """
    The Beneficiary is the Subscriber
    From: http://terminology.hl7.org/CodeSystem/subscriber-relationship in valuesets.xml
    """
    Self = SubscriberRelationshipCodesCode("self")
    """
    The Beneficiary is covered under insurance of the subscriber due to an injury.
    From: http://terminology.hl7.org/CodeSystem/subscriber-relationship in valuesets.xml
    """
    InjuredParty = SubscriberRelationshipCodesCode("injured")
