from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SubscriptionStatusCode(GenericTypeCode):
    """
    SubscriptionStatus
    From: http://hl7.org/fhir/subscription-status in valuesets.xml
        The status of a subscription.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/subscription-status
    """
    codeset: FhirUri = "http://hl7.org/fhir/subscription-status"


class SubscriptionStatusCodeValues:
    """
    The client has requested the subscription, and the server has not yet set it
    up.
    From: http://hl7.org/fhir/subscription-status in valuesets.xml
    """

    Requested = SubscriptionStatusCode("requested")
    """
    The subscription is active.
    From: http://hl7.org/fhir/subscription-status in valuesets.xml
    """
    Active = SubscriptionStatusCode("active")
    """
    The server has an error executing the notification.
    From: http://hl7.org/fhir/subscription-status in valuesets.xml
    """
    Error = SubscriptionStatusCode("error")
    """
    Too many errors have occurred or the subscription has expired.
    From: http://hl7.org/fhir/subscription-status in valuesets.xml
    """
    Off = SubscriptionStatusCode("off")
