from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SubscriptionTagCode(GenericTypeCode):
    """
    SubscriptionTag
    From: http://terminology.hl7.org/CodeSystem/subscription-tag in valuesets.xml
        Tags to put on a resource after subscriptions have been sent.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/subscription-tag
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/subscription-tag"


class SubscriptionTagCodeValues:
    """
    The message has been queued for processing on a destination systems.
    From: http://terminology.hl7.org/CodeSystem/subscription-tag in valuesets.xml
    """

    Queued = SubscriptionTagCode("queued")
    """
    The message has been delivered to its intended recipient.
    From: http://terminology.hl7.org/CodeSystem/subscription-tag in valuesets.xml
    """
    Delivered = SubscriptionTagCode("delivered")
