from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SupplyRequestReasonCode(GenericTypeCode):
    """
    SupplyRequestReason
    From: http://terminology.hl7.org/CodeSystem/supplyrequest-reason in valuesets.xml
        The reason why the supply item was requested.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/supplyrequest-reason
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/supplyrequest-reason"


class SupplyRequestReasonCodeValues:
    """
    The supply has been requested for use in direct patient care.
    From: http://terminology.hl7.org/CodeSystem/supplyrequest-reason in valuesets.xml
    """

    PatientCare = SupplyRequestReasonCode("patient-care")
    """
    The supply has been requested for creating or replenishing ward stock.
    From: http://terminology.hl7.org/CodeSystem/supplyrequest-reason in valuesets.xml
    """
    WardStock = SupplyRequestReasonCode("ward-stock")
