from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SupplyTypeCode(GenericTypeCode):
    """
    SupplyType
    From: http://terminology.hl7.org/CodeSystem/supply-kind in valuesets.xml
        This value sets refers to a Category of supply.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/supply-kind
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/supply-kind"


class SupplyTypeCodeValues:
    """
    Supply is stored and requested from central supply.
    From: http://terminology.hl7.org/CodeSystem/supply-kind in valuesets.xml
    """

    CentralSupply = SupplyTypeCode("central")
    """
    Supply is not onsite and must be requested from an outside vendor using a non-
    stock requisition.
    From: http://terminology.hl7.org/CodeSystem/supply-kind in valuesets.xml
    """
    Non_Stock = SupplyTypeCode("nonstock")
