from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class SystemRestfulInteractionCode(GenericTypeCode):
    """
    SystemRestfulInteraction
    From: http://hl7.org/fhir/ValueSet/system-restful-interaction in valuesets.xml
        Operations supported by REST at the system level.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/restful-interaction
    """
    codeset: FhirUri = "http://hl7.org/fhir/restful-interaction"


class SystemRestfulInteractionCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/system-restful-interaction in valuesets.xml
    """

    Transaction = SystemRestfulInteractionCode("transaction")
    """
    From: http://hl7.org/fhir/ValueSet/system-restful-interaction in valuesets.xml
    """
    Batch = SystemRestfulInteractionCode("batch")
    """
    From: http://hl7.org/fhir/ValueSet/system-restful-interaction in valuesets.xml
    """
    Search_system = SystemRestfulInteractionCode("search-system")
    """
    From: http://hl7.org/fhir/ValueSet/system-restful-interaction in valuesets.xml
    """
    History_system = SystemRestfulInteractionCode("history-system")
