from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TableCellHorizontalAlign(GenericTypeCode):
    """
    v3.TableCellHorizontalAlign
    From: http://terminology.hl7.org/ValueSet/v3-TableCellHorizontalAlign in v3-codesystems.xml
         These values are defined within the XHTML 4.0 Table Model
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-TableCellHorizontalAlign
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/CodeSystem/v3-TableCellHorizontalAlign"
    )


class TableCellHorizontalAlignValues:
    """
    center
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellHorizontalAlign in v3-codesystems.xml
    """

    Center = TableCellHorizontalAlign("center")
    """
    char
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellHorizontalAlign in v3-codesystems.xml
    """
    Char = TableCellHorizontalAlign("char")
    """
    justify
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellHorizontalAlign in v3-codesystems.xml
    """
    Justify = TableCellHorizontalAlign("justify")
    """
    left
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellHorizontalAlign in v3-codesystems.xml
    """
    Left = TableCellHorizontalAlign("left")
    """
    right
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellHorizontalAlign in v3-codesystems.xml
    """
    Right = TableCellHorizontalAlign("right")
