from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TableCellScope(GenericTypeCode):
    """
    v3.TableCellScope
    From: http://terminology.hl7.org/ValueSet/v3-TableCellScope in v3-codesystems.xml
         These values are defined within the XHTML 4.0 Table Model
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-TableCellScope
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-TableCellScope"


class TableCellScopeValues:
    """
    col
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellScope in v3-codesystems.xml
    """

    Col = TableCellScope("col")
    """
    colgroup
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellScope in v3-codesystems.xml
    """
    Colgroup = TableCellScope("colgroup")
    """
    row
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellScope in v3-codesystems.xml
    """
    Row = TableCellScope("row")
    """
    rowgroup
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellScope in v3-codesystems.xml
    """
    Rowgroup = TableCellScope("rowgroup")
