from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TableCellVerticalAlign(GenericTypeCode):
    """
    v3.TableCellVerticalAlign
    From: http://terminology.hl7.org/ValueSet/v3-TableCellVerticalAlign in v3-codesystems.xml
         These values are defined within the XHTML 4.0 Table Model
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-TableCellVerticalAlign
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-TableCellVerticalAlign"


class TableCellVerticalAlignValues:
    """
    baseline
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellVerticalAlign in v3-codesystems.xml
    """

    Baseline = TableCellVerticalAlign("baseline")
    """
    bottom
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellVerticalAlign in v3-codesystems.xml
    """
    Bottom = TableCellVerticalAlign("bottom")
    """
    middle
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellVerticalAlign in v3-codesystems.xml
    """
    Middle = TableCellVerticalAlign("middle")
    """
    top
    From: http://terminology.hl7.org/CodeSystem/v3-TableCellVerticalAlign in v3-codesystems.xml
    """
    Top = TableCellVerticalAlign("top")
