from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TableFrame(GenericTypeCode):
    """
    v3.TableFrame
    From: http://terminology.hl7.org/ValueSet/v3-TableFrame in v3-codesystems.xml
         These values are defined within the XHTML 4.0 Table Model
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-TableFrame
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-TableFrame"


class TableFrameValues:
    """
    above
    From: http://terminology.hl7.org/CodeSystem/v3-TableFrame in v3-codesystems.xml
    """

    Above = TableFrame("above")
    """
    below
    From: http://terminology.hl7.org/CodeSystem/v3-TableFrame in v3-codesystems.xml
    """
    Below = TableFrame("below")
    """
    border
    From: http://terminology.hl7.org/CodeSystem/v3-TableFrame in v3-codesystems.xml
    """
    Border = TableFrame("border")
    """
    box
    From: http://terminology.hl7.org/CodeSystem/v3-TableFrame in v3-codesystems.xml
    """
    Box = TableFrame("box")
    """
    hsides
    From: http://terminology.hl7.org/CodeSystem/v3-TableFrame in v3-codesystems.xml
    """
    Hsides = TableFrame("hsides")
    """
    lhs
    From: http://terminology.hl7.org/CodeSystem/v3-TableFrame in v3-codesystems.xml
    """
    Lhs = TableFrame("lhs")
    """
    rhs
    From: http://terminology.hl7.org/CodeSystem/v3-TableFrame in v3-codesystems.xml
    """
    Rhs = TableFrame("rhs")
    """
    void
    From: http://terminology.hl7.org/CodeSystem/v3-TableFrame in v3-codesystems.xml
    """
    Void = TableFrame("void")
    """
    vsides
    From: http://terminology.hl7.org/CodeSystem/v3-TableFrame in v3-codesystems.xml
    """
    Vsides = TableFrame("vsides")
