from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TableRules(GenericTypeCode):
    """
    v3.TableRules
    From: http://terminology.hl7.org/ValueSet/v3-TableRules in v3-codesystems.xml
         These values are defined within the XHTML 4.0 Table Model
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-TableRules
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-TableRules"


class TableRulesValues:
    """
    all
    From: http://terminology.hl7.org/CodeSystem/v3-TableRules in v3-codesystems.xml
    """

    All = TableRules("all")
    """
    cols
    From: http://terminology.hl7.org/CodeSystem/v3-TableRules in v3-codesystems.xml
    """
    Cols = TableRules("cols")
    """
    groups
    From: http://terminology.hl7.org/CodeSystem/v3-TableRules in v3-codesystems.xml
    """
    Groups = TableRules("groups")
    """
    none
    From: http://terminology.hl7.org/CodeSystem/v3-TableRules in v3-codesystems.xml
    """
    None_ = TableRules("none")
    """
    rows
    From: http://terminology.hl7.org/CodeSystem/v3-TableRules in v3-codesystems.xml
    """
    Rows = TableRules("rows")
