from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TargetAwareness(GenericTypeCode):
    """
    v3.TargetAwareness
    From: http://terminology.hl7.org/ValueSet/v3-TargetAwareness in v3-codesystems.xml
        **** MISSING DEFINITIONS ****
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-TargetAwareness
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-TargetAwareness"


class TargetAwarenessValues:
    """
    Target person has been informed about the issue but currently denies it.
    From: http://terminology.hl7.org/CodeSystem/v3-TargetAwareness in v3-codesystems.xml
    """

    Denying = TargetAwareness("D")
    """
    Target person is fully aware of the issue.
    From: http://terminology.hl7.org/CodeSystem/v3-TargetAwareness in v3-codesystems.xml
    """
    FullAwareness = TargetAwareness("F")
    """
    Target person is not capable of comprehending the issue.
    From: http://terminology.hl7.org/CodeSystem/v3-TargetAwareness in v3-codesystems.xml
    """
    Incapable = TargetAwareness("I")
    """
    Target person is marginally aware of the issue.
    From: http://terminology.hl7.org/CodeSystem/v3-TargetAwareness in v3-codesystems.xml
    """
    Marginal = TargetAwareness("M")
    """
    Target person is partially aware of the issue.
    From: http://terminology.hl7.org/CodeSystem/v3-TargetAwareness in v3-codesystems.xml
    """
    Partial = TargetAwareness("P")
    """
    Target person has not yet been informed of the issue.
    From: http://terminology.hl7.org/CodeSystem/v3-TargetAwareness in v3-codesystems.xml
    """
    Uninformed = TargetAwareness("U")
