from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TaskIntentCode(GenericTypeCode):
    """
    TaskIntent
    From: http://hl7.org/fhir/task-intent in valuesets.xml
        Distinguishes whether the task is a proposal, plan or full order.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/task-intent
    """
    codeset: FhirUri = "http://hl7.org/fhir/task-intent"


class TaskIntentCodeValues:
    """
    The intent is not known.  When dealing with Task, it's not always known (or
    relevant) how the task was initiated - i.e. whether it was proposed, planned,
    ordered or just done spontaneously.
    From: http://hl7.org/fhir/task-intent in valuesets.xml
    """

    Unknown = TaskIntentCode("unknown")
