from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TemplateStatusCodeCode(GenericTypeCode):
    """
    TemplateStatusCode
    From: http://hl7.org/fhir/ValueSet/template-status-code in valuesets.xml
        The status indicates the level of maturity of the design and may be used to
    manage the use of the design.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    urn:oid:2.16.840.1.113883.3.1937.98.5.8
    """
    codeset: FhirUri = "urn:oid:2.16.840.1.113883.3.1937.98.5.8"


class TemplateStatusCodeCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/template-status-code in valuesets.xml
    """

    Draft = TemplateStatusCodeCode("draft")
    """
    From: http://hl7.org/fhir/ValueSet/template-status-code in valuesets.xml
    """
    UnderPre_publicationReview = TemplateStatusCodeCode("pending")
    """
    From: http://hl7.org/fhir/ValueSet/template-status-code in valuesets.xml
    """
    Active = TemplateStatusCodeCode("active")
    """
    From: http://hl7.org/fhir/ValueSet/template-status-code in valuesets.xml
    """
    InReview = TemplateStatusCodeCode("review")
    """
    From: http://hl7.org/fhir/ValueSet/template-status-code in valuesets.xml
    """
    Cancelled = TemplateStatusCodeCode("cancelled")
    """
    From: http://hl7.org/fhir/ValueSet/template-status-code in valuesets.xml
    """
    Rejected = TemplateStatusCodeCode("rejected")
    """
    From: http://hl7.org/fhir/ValueSet/template-status-code in valuesets.xml
    """
    Retired = TemplateStatusCodeCode("retired")
    """
    From: http://hl7.org/fhir/ValueSet/template-status-code in valuesets.xml
    """
    Terminated = TemplateStatusCodeCode("terminated")
