from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TestReportStatusCode(GenericTypeCode):
    """
    TestReportStatus
    From: http://hl7.org/fhir/report-status-codes in valuesets.xml
        The current status of the test report.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/report-status-codes
    """
    codeset: FhirUri = "http://hl7.org/fhir/report-status-codes"


class TestReportStatusCodeValues:
    """
    All test operations have completed.
    From: http://hl7.org/fhir/report-status-codes in valuesets.xml
    """

    Completed = TestReportStatusCode("completed")
    """
    A test operations is currently executing.
    From: http://hl7.org/fhir/report-status-codes in valuesets.xml
    """
    InProgress = TestReportStatusCode("in-progress")
    """
    A test operation is waiting for an external client request.
    From: http://hl7.org/fhir/report-status-codes in valuesets.xml
    """
    Waiting = TestReportStatusCode("waiting")
    """
    The test script execution was manually stopped.
    From: http://hl7.org/fhir/report-status-codes in valuesets.xml
    """
    Stopped = TestReportStatusCode("stopped")
    """
    This test report was entered or created in error.
    From: http://hl7.org/fhir/report-status-codes in valuesets.xml
    """
    EnteredInError = TestReportStatusCode("entered-in-error")
