from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TestScriptRequestMethodCodeCode(GenericTypeCode):
    """
    TestScriptRequestMethodCode
    From: http://hl7.org/fhir/http-operations in valuesets.xml
        The allowable request method or HTTP operation codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/http-operations
    """
    codeset: FhirUri = "http://hl7.org/fhir/http-operations"


class TestScriptRequestMethodCodeCodeValues:
    """
    HTTP DELETE operation.
    From: http://hl7.org/fhir/http-operations in valuesets.xml
    """

    DELETE = TestScriptRequestMethodCodeCode("delete")
    """
    HTTP GET operation.
    From: http://hl7.org/fhir/http-operations in valuesets.xml
    """
    GET = TestScriptRequestMethodCodeCode("get")
    """
    HTTP OPTIONS operation.
    From: http://hl7.org/fhir/http-operations in valuesets.xml
    """
    OPTIONS = TestScriptRequestMethodCodeCode("options")
    """
    HTTP PATCH operation.
    From: http://hl7.org/fhir/http-operations in valuesets.xml
    """
    PATCH = TestScriptRequestMethodCodeCode("patch")
    """
    HTTP POST operation.
    From: http://hl7.org/fhir/http-operations in valuesets.xml
    """
    POST = TestScriptRequestMethodCodeCode("post")
    """
    HTTP PUT operation.
    From: http://hl7.org/fhir/http-operations in valuesets.xml
    """
    PUT = TestScriptRequestMethodCodeCode("put")
    """
    HTTP HEAD operation.
    From: http://hl7.org/fhir/http-operations in valuesets.xml
    """
    HEAD = TestScriptRequestMethodCodeCode("head")
