from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TextureModifiedFoodTypeCodesCode(GenericTypeCode):
    """
    TextureModifiedFoodTypeCodes
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
        TextureModifiedFoodType: Codes for types of foods that are texture-modified.
    This value set is composed SNOMED CT Concepts from SCTID 255620007 Foods
    (substance) and is provided as a suggestive example.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class TextureModifiedFoodTypeCodesCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """

    Foods = TextureModifiedFoodTypeCodesCode("255620007")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    Meat = TextureModifiedFoodTypeCodesCode("28647000")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    Vegetables = TextureModifiedFoodTypeCodesCode("22836000")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    Fruit = TextureModifiedFoodTypeCodesCode("72511004")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    DairyFoods = TextureModifiedFoodTypeCodesCode("226760005")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    DietaryFatsAndOils = TextureModifiedFoodTypeCodesCode("226887002")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    Eggs = TextureModifiedFoodTypeCodesCode("102263004")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    FoodStarch = TextureModifiedFoodTypeCodesCode("74242007")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    FruitNutsAndSeeds = TextureModifiedFoodTypeCodesCode("227415002")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    Grain = TextureModifiedFoodTypeCodesCode("264331002")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    SauceSeasoningsAndSoups = TextureModifiedFoodTypeCodesCode("227518002")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    Seafood = TextureModifiedFoodTypeCodesCode("44027008")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    StarchyFood = TextureModifiedFoodTypeCodesCode("226529007")
    """
    From: http://hl7.org/fhir/ValueSet/modified-foodtype in valuesets.xml
    """
    VegetablesPlusHerbsAndSpices = TextureModifiedFoodTypeCodesCode("227210005")
