from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TextureModifierCodesCode(GenericTypeCode):
    """
    TextureModifierCodes
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
        TextureModifier: Codes for food consistency types or texture modifications to
    apply to foods. This value set is composed of SNOMED CT (US Extension and
    Core) Concepts from SCTID 229961002 Food consistency types (substance)
    hierarchy and is provided as a suggestive example.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://snomed.info/sct
    """
    codeset: FhirUri = "http://snomed.info/sct"


class TextureModifierCodesCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """

    Cut_upFood = TextureModifierCodesCode("228053002")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    EasyToChewFood = TextureModifierCodesCode("439091000124107")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    ChoppedFood = TextureModifierCodesCode("228049004")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    GroundFood = TextureModifierCodesCode("441881000124103")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    MincedFood = TextureModifierCodesCode("441761000124103")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    MashedFood = TextureModifierCodesCode("441751000124100")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    SoftFood = TextureModifierCodesCode("228059003")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    StrainedFood = TextureModifierCodesCode("441791000124106")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    LiquidizedFood = TextureModifierCodesCode("228055009")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    LumpyFood = TextureModifierCodesCode("228056005")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    MoistFood = TextureModifierCodesCode("441771000124105")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    Semi_solidFood = TextureModifierCodesCode("228057001")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    SingleTextureFood = TextureModifierCodesCode("228058006")
    """
    From: http://hl7.org/fhir/ValueSet/texture-code in valuesets.xml
    """
    SolidFood = TextureModifierCodesCode("228060008")
