from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TribalEntityUS(GenericTypeCode):
    """
    v3.TribalEntityUS
    From: http://terminology.hl7.org/ValueSet/v3-TribalEntityUS in v3-codesystems.xml
         INDIAN ENTITIES RECOGNIZED AND ELIGIBLE TO RECEIVE SERVICES FROM THE UNITED
    STATES BUREAU OF INDIAN AFFAIRS
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-TribalEntityUS
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-TribalEntityUS"


class TribalEntityUSValues:
    """
    NATIVE ENTITIES WITHIN THE STATE OF ALASKA RECOGNIZED AND ELIGIBLE TO RECEIVE
    SERVICES FROM THE UNITED STATES BUREAU OF INDIAN AFFAIRS
    From: http://terminology.hl7.org/CodeSystem/v3-TribalEntityUS in v3-codesystems.xml
    """

    NativeEntityAlaska = TribalEntityUS("_NativeEntityAlaska")
    """
    NATIVE ENTITIES WITHIN THE CONTIGUOUS 48 STATES
    From: http://terminology.hl7.org/CodeSystem/v3-TribalEntityUS in v3-codesystems.xml
    """
    NativeEntityContiguous = TribalEntityUS("_NativeEntityContiguous")
