from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TriggerEventID(GenericTypeCode):
    """
    v3.triggerEventID
    From: http://terminology.hl7.org/ValueSet/v3-triggerEventID in v3-codesystems.xml
          Description:
    This code system contains all HL7 artifacts of type TE (Trigger Event) that
    are created by HL7 or its affiliates or their designates using the realm
    namespacing rules approved by HL7.  Local implementations who create trigger
    events outside of these namespacing rules, (e.g. using the ZZ realm code) must
    register their own code system.  The specific list of legal codes can be found
    by consulting the HL7 publications (editions, ballots, implementation guides,
    etc.) published by HL7 Inc. and by the various HL7 affiliates and their
    designates.  Codes shall be expressed in upper case, with separator as shown
    in HL7 publications with no version id.  E.g. PORX_TE123456UV.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/v3-triggerEventID
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/v3-triggerEventID"


class TriggerEventIDValues:
    """
    Description:
    From: http://terminology.hl7.org/CodeSystem/v3-triggerEventID in v3-codesystems.xml
    """

    ResultStatus = TriggerEventID("POLB_TE004000UV")
    """
    Description:
    From: http://terminology.hl7.org/CodeSystem/v3-triggerEventID in v3-codesystems.xml
    """
    ResultConfirm = TriggerEventID("POLB_TE004001UV")
    """
    Description:
    From: http://terminology.hl7.org/CodeSystem/v3-triggerEventID in v3-codesystems.xml
    """
    ResultReject = TriggerEventID("POLB_TE004002UV")
    """
    Description:
    From: http://terminology.hl7.org/CodeSystem/v3-triggerEventID in v3-codesystems.xml
    """
    ResultTracking = TriggerEventID("POLB_TE004007UV")
    """
    Description:
    From: http://terminology.hl7.org/CodeSystem/v3-triggerEventID in v3-codesystems.xml
    """
    ResultInProgress = TriggerEventID("POLB_TE004100UV")
    """
    Description:
    From: http://terminology.hl7.org/CodeSystem/v3-triggerEventID in v3-codesystems.xml
    """
    ResultActivate = TriggerEventID("POLB_TE004102UV")
    """
    Description:
    From: http://terminology.hl7.org/CodeSystem/v3-triggerEventID in v3-codesystems.xml
    """
    ResultCompleteWithFulfillment = TriggerEventID("POLB_TE004200UV")
    """
    Description:
    From: http://terminology.hl7.org/CodeSystem/v3-triggerEventID in v3-codesystems.xml
    """
    ResultCorrected = TriggerEventID("POLB_TE004201UV")
    """
    Description:
    From: http://terminology.hl7.org/CodeSystem/v3-triggerEventID in v3-codesystems.xml
    """
    ResultComplete = TriggerEventID("POLB_TE004202UV")
    """
    Description:
    From: http://terminology.hl7.org/CodeSystem/v3-triggerEventID in v3-codesystems.xml
    """
    ResultAbort = TriggerEventID("POLB_TE004301UV")
    """
    Description:
    From: http://terminology.hl7.org/CodeSystem/v3-triggerEventID in v3-codesystems.xml
    """
    ResultNullify = TriggerEventID("POLB_TE004500UV")
