from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class TypeRestfulInteractionCode(GenericTypeCode):
    """
    TypeRestfulInteraction
    From: http://hl7.org/fhir/ValueSet/type-restful-interaction in valuesets.xml
        Operations supported by REST at the type or instance level.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/restful-interaction
    """
    codeset: FhirUri = "http://hl7.org/fhir/restful-interaction"


class TypeRestfulInteractionCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/type-restful-interaction in valuesets.xml
    """

    Read = TypeRestfulInteractionCode("read")
    """
    From: http://hl7.org/fhir/ValueSet/type-restful-interaction in valuesets.xml
    """
    Vread = TypeRestfulInteractionCode("vread")
    """
    From: http://hl7.org/fhir/ValueSet/type-restful-interaction in valuesets.xml
    """
    Update = TypeRestfulInteractionCode("update")
    """
    From: http://hl7.org/fhir/ValueSet/type-restful-interaction in valuesets.xml
    """
    Patch = TypeRestfulInteractionCode("patch")
    """
    From: http://hl7.org/fhir/ValueSet/type-restful-interaction in valuesets.xml
    """
    Delete = TypeRestfulInteractionCode("delete")
    """
    From: http://hl7.org/fhir/ValueSet/type-restful-interaction in valuesets.xml
    """
    History_instance = TypeRestfulInteractionCode("history-instance")
    """
    From: http://hl7.org/fhir/ValueSet/type-restful-interaction in valuesets.xml
    """
    History_type = TypeRestfulInteractionCode("history-type")
    """
    From: http://hl7.org/fhir/ValueSet/type-restful-interaction in valuesets.xml
    """
    Create = TypeRestfulInteractionCode("create")
    """
    From: http://hl7.org/fhir/ValueSet/type-restful-interaction in valuesets.xml
    """
    Search_type = TypeRestfulInteractionCode("search-type")
