from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class UDICodesCode(GenericTypeCode):
    """
    UDICodes
    From: http://hl7.org/fhir/ex-udi in valuesets.xml
        This value set includes sample UDI codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://hl7.org/fhir/ex-udi
    """
    codeset: FhirUri = "http://hl7.org/fhir/ex-udi"


class UDICodesCodeValues:
    """
    GUDID (FDA) US Repository
    From: http://hl7.org/fhir/ex-udi in valuesets.xml
    """

    GUDID_FDA_ = UDICodesCode("gudid")
