from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class UnitsOfTimeCode(GenericTypeCode):
    """
    UnitsOfTime
    From: http://hl7.org/fhir/ValueSet/units-of-time in valuesets.xml
        A unit of time (units from UCUM).
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://unitsofmeasure.org
    """
    codeset: FhirUri = "http://unitsofmeasure.org"


class UnitsOfTimeCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/units-of-time in valuesets.xml
    """

    Second = UnitsOfTimeCode("s")
    """
    From: http://hl7.org/fhir/ValueSet/units-of-time in valuesets.xml
    """
    Minute = UnitsOfTimeCode("min")
    """
    From: http://hl7.org/fhir/ValueSet/units-of-time in valuesets.xml
    """
    Hour = UnitsOfTimeCode("h")
    """
    From: http://hl7.org/fhir/ValueSet/units-of-time in valuesets.xml
    """
    Day = UnitsOfTimeCode("d")
    """
    From: http://hl7.org/fhir/ValueSet/units-of-time in valuesets.xml
    """
    Week = UnitsOfTimeCode("wk")
    """
    From: http://hl7.org/fhir/ValueSet/units-of-time in valuesets.xml
    """
    Month = UnitsOfTimeCode("mo")
    """
    From: http://hl7.org/fhir/ValueSet/units-of-time in valuesets.xml
    """
    Year = UnitsOfTimeCode("a")
