from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class USCLSCodesCode(GenericTypeCode):
    """
    USCLSCodes
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
        This value set includes a smattering of USCLS codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/ex-USCLS
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/ex-USCLS"


class USCLSCodesCodeValues:
    """
    Exam, comp, primary
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """

    Exam_Comp_Primary = USCLSCodesCode("1101")
    """
    Exam, comp, mixed
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Exam_Comp_Mixed = USCLSCodesCode("1102")
    """
    Exam, comp, permanent
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Exam_Comp_Permanent = USCLSCodesCode("1103")
    """
    Exam, recall
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Exam_Recall = USCLSCodesCode("1201")
    """
    Exam, emergency
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Exam_Emergency = USCLSCodesCode("1205")
    """
    Radiograph, series (12)
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Radiograph_Series_12_ = USCLSCodesCode("2101")
    """
    Radiograph, series (16)
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Radiograph_Series_16_ = USCLSCodesCode("2102")
    """
    Radiograph, bitewing
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Radiograph_Bitewing = USCLSCodesCode("2141")
    """
    Radiograph, panoramic
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Radiograph_Panoramic = USCLSCodesCode("2601")
    """
    Polishing, 1 unit
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Polishing_1Unit = USCLSCodesCode("11101")
    """
    Polishing, 2 unit
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Polishing_2Unit = USCLSCodesCode("11102")
    """
    Polishing, 3 unit
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Polishing_3Unit = USCLSCodesCode("11103")
    """
    Polishing, 4 unit
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Polishing_4Unit = USCLSCodesCode("11104")
    """
    Amalgam, 1 surface
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Amalgam_1Surface = USCLSCodesCode("21211")
    """
    Amalgam, 2 surface
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Amalgam_2Surface = USCLSCodesCode("21212")
    """
    Crown, PFM
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Crown_PFM = USCLSCodesCode("27211")
    """
    Maryland Bridge
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    MarylandBridge = USCLSCodesCode("67211")
    """
    Lab, commercial
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Lab_Commercial = USCLSCodesCode("99111")
    """
    Lab, in office
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Lab_InOffice = USCLSCodesCode("99333")
    """
    Expense
    From: http://terminology.hl7.org/CodeSystem/ex-USCLS in valuesets.xml
    """
    Expense = USCLSCodesCode("99555")
