from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class V2_0078(GenericTypeCode):
    """
    v2.0078
    From: http://terminology.hl7.org/ValueSet/v2-0078 in v2-tables.xml
        HL7-defined code system of concepts which specify a categorical assessment of
    an observation value.

       Notes:

       This is being communicated in v2.x in OBX-8 (Observation Interpretation),
    in v3 in ObservationInterpretation (CWE) in R1 (Representative Realm) and in
    FHIR in    Observation.interpretation.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v2-0078
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v2-0078"
