from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Validation_processCode(GenericTypeCode):
    """
    validation-process
    From: http://terminology.hl7.org/CodeSystem/validation-process in valuesets.xml
        The primary process by which the target is validated
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/validation-process
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/validation-process"


class Validation_processCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/validation-process in valuesets.xml
    """

    EditCheck = Validation_processCode("edit-check")
    """
    From: http://terminology.hl7.org/CodeSystem/validation-process in valuesets.xml
    """
    ValueSet = Validation_processCode("valueset")
    """
    From: http://terminology.hl7.org/CodeSystem/validation-process in valuesets.xml
    """
    PrimarySource = Validation_processCode("primary")
    """
    From: http://terminology.hl7.org/CodeSystem/validation-process in valuesets.xml
    """
    MultipleSources = Validation_processCode("multi")
    """
    From: http://terminology.hl7.org/CodeSystem/validation-process in valuesets.xml
    """
    Standalone = Validation_processCode("standalone")
    """
    From: http://terminology.hl7.org/CodeSystem/validation-process in valuesets.xml
    """
    InContext = Validation_processCode("in-context")
