from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Validation_statusCode(GenericTypeCode):
    """
    validation-status
    From: http://terminology.hl7.org/CodeSystem/validation-status in valuesets.xml
        Status of the validation of the target against the primary source
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/CodeSystem/validation-status
    """
    codeset: FhirUri = "http://terminology.hl7.org/CodeSystem/validation-status"


class Validation_statusCodeValues:
    """
    From: http://terminology.hl7.org/CodeSystem/validation-status in valuesets.xml
    """

    Successful = Validation_statusCode("successful")
    """
    From: http://terminology.hl7.org/CodeSystem/validation-status in valuesets.xml
    """
    Failed = Validation_statusCode("failed")
    """
    The validations status has not been determined yet
    From: http://terminology.hl7.org/CodeSystem/validation-status in valuesets.xml
    """
    Unknown = Validation_statusCode("unknown")
