from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class VitalSignsCode(GenericTypeCode):
    """
    VitalSigns
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
        This value set indicates the allowed vital sign result types.   The LOINC code
    for Vitals Signs panel (85353-1) is a grouping structure for a set of vital
    signs and includes related links (with type=has-member) to the Observations in
    this set (e.g. respiratory rate, heart rate, BP).  The Blood pressure panel
    (85354-9) is used to group the component observations Systolic blood pressure
    (8480-6) and Diastolic blood pressure (8462-4).
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://loinc.org
    """
    codeset: FhirUri = "http://loinc.org"


class VitalSignsCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """

    _85353_1 = VitalSignsCode("85353-1")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _9279_1 = VitalSignsCode("9279-1")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _8867_4 = VitalSignsCode("8867-4")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _2708_6 = VitalSignsCode("2708-6")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _8310_5 = VitalSignsCode("8310-5")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _8302_2 = VitalSignsCode("8302-2")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _9843_4 = VitalSignsCode("9843-4")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _29463_7 = VitalSignsCode("29463-7")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _39156_5 = VitalSignsCode("39156-5")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _85354_9 = VitalSignsCode("85354-9")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _8480_6 = VitalSignsCode("8480-6")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _8462_4 = VitalSignsCode("8462-4")
    """
    From: http://hl7.org/fhir/ValueSet/observation-vitalsignresult in valuesets.xml
    """
    _8478_0 = VitalSignsCode("8478-0")
