from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class VitalSignsUnitsCode(GenericTypeCode):
    """
    VitalSignsUnits
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
        Common UCUM units for recording Vital Signs
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://unitsofmeasure.org
    """
    codeset: FhirUri = "http://unitsofmeasure.org"


class VitalSignsUnitsCodeValues:
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """

    Percent = VitalSignsUnitsCode("%")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """
    Centimeter = VitalSignsUnitsCode("cm")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """
    Inch_international_ = VitalSignsUnitsCode("[in_i]")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """
    Kilogram = VitalSignsUnitsCode("kg")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """
    Gram = VitalSignsUnitsCode("g")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """
    Pound_USAndBritish_ = VitalSignsUnitsCode("[lb_av]")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """
    DegreeCelsius = VitalSignsUnitsCode("Cel")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """
    DegreeFahrenheit = VitalSignsUnitsCode("[degF]")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """
    MillimeterOfMercury = VitalSignsUnitsCode("mm[Hg]")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """
    PerMinute = VitalSignsUnitsCode("/min")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """
    Kilogram_meter_2_ = VitalSignsUnitsCode("kg/m2")
    """
    From: http://hl7.org/fhir/ValueSet/ucum-vitals-common in valuesets.xml
    """
    SquareMeter = VitalSignsUnitsCode("m2")
